<?php
if(!function_exists('s7upf_vc_adv_scroll'))
{
    function s7upf_vc_adv_scroll($attr, $content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'width'      => '',
            'pos'     => 'left',
            'custom_css' => '',
            'el_class' => '',
        ),$attr));
        if(!empty($custom_css)) $css_class = vc_shortcode_custom_css_class( $custom_css );
            $html .=    '<div class="sidebar-scroll-wrap">
                            <div class="sidebar-scroll '.esc_attr($pos.' '.$custom_css.' '.$el_class).'">';
            $html .=            wpb_js_remove_wpautop($content, false);
            $html .=        '</div>
                        </div>';
        return $html;
    }
}
stp_reg_shortcode('adv_scroll','s7upf_vc_adv_scroll');
vc_map(
    array(
        'name'     => esc_html__( 'Banner Scroll', 'isone' ),
        'base'     => 'adv_scroll',
        'category' => esc_html__( '7Up-theme', 'isone' ),
        'icon'     => 'icon-st',
        'as_parent' => array('only' => 'vc_column_text,vc_single_image,sv_advantage,sv_product_list,sv_lastest_post'),
        'content_element' => true,
        'js_view' => 'VcColumnView',
        'params'   => array(                       
            array(
                'heading'     => esc_html__( 'Width banner', 'isone' ),
                'type'        => 'textfield',
                'description' => esc_html__( 'Enter number of item. Default is 270px.', 'isone' ),
                'param_name'  => 'width',
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Banner position', 'isone' ),
                'param_name'  => 'pos',
                'value'       => array(
                    esc_html__( 'Left', 'isone' )          => 'left',
                    esc_html__( 'Right', 'isone' )         => 'right',
                    esc_html__( 'Bottom', 'isone' )        => 'bottom',
                ),
            ),
            array(
                "type"          => "textfield",
                "heading"       => esc_html__("Add custom Class",'isone'),
                "param_name"    => "el_class",
            ),
            array(
                "type"          => "css_editor",
                "heading"       => esc_html__("Custom Block",'isone'),
                "param_name"    => "custom_css",
                'group'         => esc_html__('Advanced','isone')
            )
        )
    )
);

/*******************************************END MAIN*****************************************/
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_Adv_Scroll extends WPBakeryShortCodesContainer {
    }
}
?>