<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */
// Start at 16/6/2016
if(!function_exists('s7upf_vc_header_meta'))
{
    function s7upf_vc_header_meta($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'             => 'check-cart19',
            'check_list'        => '',
            'check_list8'        => '',
            'ac_icon'           => 'fa-user-o',
            'ac_icon_login'     => 'fa-user-o',
            'wl_icon'           => 'fa-heart-o',
            'wl_link'           => '#',
            'co_icon'           => 'fa-check-square-o',
            'co_link'           => '#',
            'cart_icon'         => 'fa-shopping-basket',
            'account_content'   => '',
            'account_content_login'   => '',
            'login_url'         => '',
            'register_url'      => '',
        ),$attr));
        $check_array = explode(',', $check_list);
        switch ($style) {
            case 'home8':
                $html .=    '<ul class="wrap-cart09 list-inline-block pull-right">';        
                if(in_array('cart', $check_array) && !is_admin()){
                    $cart_url = "#";
                    if(function_exists('wc_get_cart_url')) $cart_url = wc_get_cart_url();
                    $cart_icon_html =   '<a class="mini-cart-link" href="'.esc_url($cart_url).'">
                                            <span class="mini-cart-icon"><i class="fa fa-shopping-basket" aria-hidden="true"></i></span>
                                            <span class="mini-cart-number cart-item-count">0</span>
                                        </a>';
                    $cart_html =    '<li>
                                        <div class="mini-cart-box">'
                                            .$cart_icon_html;
                    $cart_html .=           '<div class="mini-cart-content content-mini-cart">                                    
                                                <div class="mini-cart-main-content">'.s7upf_mini_cart().'</div>                    
                                                <input class="num-decimal" type="hidden" value="'.get_option("woocommerce_price_num_decimals").'">
                                                <input class="get-currency" type="hidden" value=".'.get_option("woocommerce_currency").'">
                                            </div>
                                        </div>
                                    </li>';
                    $html .= apply_filters('s7upf_tempalte_mini_cart',$cart_html);
                }
                if(in_array('wishlist', $check_array)){
                    $html .=    '<li>
                                    <div class="wishlist-box">
                                        <a href="'.esc_url($wl_link).'" class="wishlist-top-link"><i class="fa fa-heart-o" aria-hidden="true"></i><span class="wishlist-number">0</span></a>
                                    </div>
                                </li>';
                }
                if(in_array('account', $check_array)){
                    if(is_user_logged_in() && !empty($account_content_login)){
                        $html .=    '<li><div class="checkout-box">
                                        <a href="#" class="checkout-link"><i class="fa fa-user-o" aria-hidden="true"></i></a>';
                        if(!empty($account_content)){
                            $html .=    '<ul class="list-checkout list-unstyled">';
                            parse_str(urldecode($account_content_login), $account_list);
                            foreach ($account_list as $value) {
                                $icon_html = '';
                                if(!empty($value['icon'])){
                                    if(strpos($value['icon'],'lnr') !== false) $icon_html = '<span class="lnr '.$value['icon'].'"></span>';
                                    else $icon_html =   '<i class="fa '.$value['icon'].'"></i>';
                                }
                                $html .=            '<li><a href="'.esc_url($value['url']).'">'.$icon_html.' '.$value['title'].'</a></li>';
                            }
                            $html .=        '</ul>';
                        }
                        $html .=    '</div></li>';
                    }
                    else{
                        $html .=    '<li>
                                        <div class="checkout-box">
                                            <a href="#" class="checkout-link"><i class="fa fa-user-o" aria-hidden="true"></i></a>';
                        if(!empty($account_content)){
                            $html .=        '<ul class="list-checkout list-unstyled">';
                            parse_str(urldecode($account_content), $account_list);
                            foreach ($account_list as $value) {
                                $icon_html = '';
                                if(!empty($value['icon'])){
                                    if(strpos($value['icon'],'lnr') !== false) $icon_html = '<span class="lnr '.$value['icon'].'"></span>';
                                    else $icon_html =   '<i class="fa '.$value['icon'].'"></i>';
                                }
                                $html .=            '<li><a href="'.esc_url($value['url']).'">'.$icon_html.' '.$value['title'].'</a></li>';
                            }
                            $html .=            '</ul>';
                        }
                        $html .=        '</div>
                                    </li>';
                    }
                }
                $html .=        '</ul>';
                break;
            
            default:
                $html .=    '<div class="wrap-check-cart19">
                                <ul class="list-inline-block '.esc_attr($style).'">';        
                if(in_array('cart', $check_array) && !is_admin()){
                    $cart_url = "#";
                    if(function_exists('wc_get_cart_url')) $cart_url = wc_get_cart_url();
                    if($style == 'check-cart19 show-text icon-color cart-style2'){
                        $cart_icon_html =   '<a class="dropdown-link mini-cart-link" href="'.esc_url($cart_url).'">
                                                <span class="mini-cart-icon"><i class="fa fa-shopping-basket"></i></span>
                                                <span class="mini-cart-number"><b class="cart-item-count">0</b> '.esc_html__("item","isone").'</span>
                                            </a>';
                    }
                    else{
                        $cart_icon_html =   '<a class="mini-cart-link" href="'.esc_url($cart_url).'">
                                                <span class="mini-cart-icon"><i class="white fa '.esc_attr($cart_icon).'" aria-hidden="true"></i></span>
                                                <span class="mini-cart-number white"><sup class="cart-item-count">0</sup> <span>'.esc_html__("Cart","isone").'</span></span>
                                            </a>';
                    }
                    $cart_html =    '<li>
                                        <div class="mini-cart-box mini-cart2 dropdown-box">'
                                            .$cart_icon_html;
                    $cart_html .=           '<div class="mini-cart-content content-mini-cart dropdown-list">                                    
                                                <div class="mini-cart-main-content">'.s7upf_mini_cart().'</div>                    
                                                <input class="num-decimal" type="hidden" value="'.get_option("woocommerce_price_num_decimals").'">
                                                <input class="get-currency" type="hidden" value=".'.get_option("woocommerce_currency").'">
                                            </div>
                                        </div>
                                    </li>';
                    $html .= apply_filters('s7upf_tempalte_mini_cart',$cart_html);
                }
                if(in_array('wishlist', $check_array)){
                    $html .=    '<li>
                                    <a href="'.esc_url($wl_link).'" class="wishlist-top-link"><i class="white fa '.esc_attr($wl_icon).'" aria-hidden="true"></i><span class="white text-meta-check">'.esc_html__("Wish","isone").'<br> '.esc_html__("List","isone").'</span></a>
                                </li>';
                }
                if(in_array('account', $check_array)){
                    if(is_user_logged_in() && !empty($account_content_login)){
                        $html .=    '<li><div class="checkout-box dropdown-box">
                                        <a href="#" class="checkout-link">
                                            <i class="white fa '.esc_attr($ac_icon_login).'" aria-hidden="true"></i>
                                            <span class="white text-meta-check">'.esc_html__("Sign out","isone").'<br> '.esc_html__("My Seo Shop","isone").'</span>
                                        </a>';
                        if(!empty($account_content)){
                            $html .=    '<div class="dropdown-list">
                                            <p>'.esc_html__("Welcome to isone.com","isone").'</p>
                                            <a href="'.esc_url(wp_logout_url()).'" class="sign-link bg-color2 radius white">'.esc_html__("Logout","isone").'</a>
                                            <ul class="list-none sign-list">';
                            parse_str(urldecode($account_content_login), $account_list);
                            foreach ($account_list as $value) {
                                $icon_html = '';
                                if(!empty($value['icon'])){
                                    if(strpos($value['icon'],'lnr') !== false) $icon_html = '<span class="lnr '.$value['icon'].'"></span>';
                                    else $icon_html =   '<i class="fa '.$value['icon'].'"></i>';
                                }
                                $html .=            '<li><a href="'.esc_url($value['url']).'">'.$icon_html.' '.$value['title'].'</a></li>';
                            }
                            $html .=        '</ul>
                                        </div>';
                        }
                        $html .=    '</div></li>';
                    }
                    else{
                        $html .=    '<li>
                                        <div class="checkout-box dropdown-box">
                                            <a href="#" class="dropdown-link">
                                                <i class="white fa '.esc_attr($ac_icon).'" aria-hidden="true"></i>
                                                <span class="white text-meta-check">'.esc_html__("Sign in | Join","isone").'<br> '.esc_html__("My Seo Shop","isone").'</span>
                                            </a>';
                        if(!empty($account_content)){
                            if(empty($login_url)) $login_url = wp_login_url();
                            if(empty($register_url)) $login_url = wp_registration_url();
                            $html .=        '<div class="dropdown-list">
                                                <p>'.esc_html__("Welcome to isone.com","isone").'</p>
                                                <a href="'.esc_url($login_url).'" class="sign-link bg-color2 radius white">'.esc_html__("Sign in","isone").'</a>
                                                <p>'.esc_html__("New Custone?","isone").'</p>
                                                <a href="'.esc_url($register_url).'" class="sign-link bg-color radius white">'.esc_html__("Join Free","isone").'</a>
                                                <ul class="list-none sign-list">';
                            parse_str(urldecode($account_content), $account_list);
                            foreach ($account_list as $value) {
                                $icon_html = '';
                                if(!empty($value['icon'])){
                                    if(strpos($value['icon'],'lnr') !== false) $icon_html = '<span class="lnr '.$value['icon'].'"></span>';
                                    else $icon_html =   '<i class="fa '.$value['icon'].'"></i>';
                                }
                                $html .=            '<li><a href="'.esc_url($value['url']).'">'.$icon_html.' '.$value['title'].'</a></li>';
                            }
                            $html .=            '</ul>
                                            </div>';
                        }
                        $html .=        '</div>
                                    </li>';
                    }
                }
                $html .=        '</ul>
                            </div>';
                break;
        }        
        return $html;
    }
}

stp_reg_shortcode('sv_header_meta','s7upf_vc_header_meta');

vc_map( array(
    "name"      => esc_html__("SV Header meta", 'isone'),
    "base"      => "sv_header_meta",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "holder" => "div",
            "heading" => esc_html__("Style",'isone'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Default",'isone')   => 'check-cart19',
                esc_html__("Default(icon color)",'isone')   => 'check-cart19 icon-color',
                esc_html__("Default show extra text",'isone')   => 'check-cart19 show-text',
                esc_html__("Default show extra text(icon color)",'isone')   => 'check-cart19 show-text icon-color',
                esc_html__("Home 3",'isone')   => 'check-cart19 show-text icon-color cart-style2',
                esc_html__("Home 5",'isone')   => 'check-cart19 icon-color-main',
                esc_html__("Home 5 show extra text(icon main color)",'isone')   => 'check-cart19 show-text icon-color-main',
                esc_html__("Home 8",'isone')   => 'home8',
                )
        ),
        array(
            "type" => "checkbox",
            "holder" => "div",
            "heading" => esc_html__("Box Display",'isone'),
            "param_name" => "check_list",
            "value"     => array(
                esc_html__("Mini Cart",'isone') => 'cart',
                esc_html__("Wishlist",'isone')  => 'wishlist',
                esc_html__("Account",'isone')   => 'account',
                ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Cart Icon",'isone'),
            "param_name" => "cart_icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Wishlist Icon",'isone'),
            "param_name" => "wl_icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Wishlist Link",'isone'),
            "param_name" => "wl_link",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Checkout Icon",'isone'),
            "param_name" => "co_icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Checkout Link",'isone'),
            "param_name" => "co_link",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Account Icon",'isone'),
            "param_name" => "ac_icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Account Icon Login",'isone'),
            "param_name" => "ac_icon_login",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Custom login url Link",'isone'),
            "param_name" => "login_url",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Custom register url",'isone'),
            "param_name" => "register_url",
        ),
        array(
            "type" => "add_icon_link",
            "heading" => esc_html__("Account Content",'isone'),
            "param_name" => "account_content",
        ),
        array(
            "type" => "add_icon_link",
            "heading" => esc_html__("Account Content Login",'isone'),
            "param_name" => "account_content_login",
        ),
    )
));