<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_info_countdown'))
{
    function s7upf_vc_info_countdown($attr, $content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'time'      => '',
            'd'         => 'D',
            'h'         => 'H',
            'm'         => 'M',
            's'         => 'S',
        ),$attr));
        if(!empty($time)){
            $data_text = '["'.$d.'","'.$h.'","'.$m.'","'.$s.'"]';
            $html .=    '<div class="intro-countdown">
                            '.wpb_js_remove_wpautop($content, true).'
                            <div class="deals-cowndown time-countdown" data-date="'.esc_attr($time).'" data-text="'.esc_attr($data_text).'"></div>
                        </div>';
        }        
        return $html;
    }
}

stp_reg_shortcode('s7upf_info_countdown','s7upf_vc_info_countdown');

vc_map( array(
    "name"      => esc_html__("SV Info Countdown", 'isone'),
    "base"      => "s7upf_info_countdown",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "textfield",
            "heading" => esc_html__("Time",'isone'),
            "param_name" => "time",
            'description'   => esc_html__( 'Enter time for countdown. Format is mm/dd/yyyy or mm/dd/yyyy hh:mm:ss. Example: 12/15/2017', 'isone' ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Days text",'isone'),
            "param_name" => "d",
            'description'   => esc_html__( 'Default is D', 'isone' ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Hours text",'isone'),
            "param_name" => "h",
            'description'   => esc_html__( 'Default is H', 'isone' ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Minutes text",'isone'),
            "param_name" => "m",
            'description'   => esc_html__( 'Default is M', 'isone' ),
        ),        
        array(
            "type" => "textfield",
            "heading" => esc_html__("Seconds text",'isone'),
            "param_name" => "d",
            'description'   => esc_html__( 'Default is S', 'isone' ),
        ),
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => esc_html__("Content",'isone'),
            "param_name" => "content",
        ),
    )
));