<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('sv_vc_instagram_box'))
{
    function sv_vc_instagram_box($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'user'       => '',
            'title'      => '',
            'des'      => '',
            'photos'     => '12',            
            'token'      => '',
            'size_index'    => '0',
        ),$attr));
        if ($user != ''){
            $data = s7upf_scrape_instagram($user, $photos, $token, $size_index);
            if(isset($data['photos'])) $media_array = $data['photos'];
            $html .=    '<div class="instagram-fanpage">';
            if(!empty($title)) $html .=    '<h2 class="title18">'.esc_html($title).'</h2>';
            if(!empty($des)) $html .=    '<p>'.esc_html($des).'</p>';
            $html .=        '<ul class="list-inline-block photo-follow">
                                <li><i class="fa fa-camera"></i><span>'.$data['count'].' '.esc_html__("photos","isone").'</span></li>
                                <li><i class="fa fa-user"></i><span>'.$data['followed_by'].' '.esc_html__("followers","isone").'</span></li>
                            </ul>
                            <ul class="list-instagram list-none clearfix">';
        
            if(!empty($media_array)){
                foreach ($media_array as $item) {
                    if(isset($item['link']) && isset($item['thumbnail_src'])){
                        $html .= '<li><a target="blank" href="'. esc_url( $item['link'] ) .'"><img src="'. esc_url($item['thumbnail_src']) .'"></a></li>';
                    }
                }              
            }
            $html .=        '</ul>
                        </div>';
        }
        return $html;
    }
}

stp_reg_shortcode('sv_instagram_box','sv_vc_instagram_box');

vc_map( array(
    "name"      => esc_html__("SV Instagram Box", 'isone'),
    "base"      => "sv_instagram_box",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(        
        array(
            "type"          => "textfield",
            "holder"        => "h3",
            "heading"       => esc_html__("Title",'isone'),
            "param_name"    => "title",
        ),
        array(
            "type"          => "textfield",
            "holder"        => "div",
            "heading"       => esc_html__("Description",'isone'),
            "param_name"    => "des",
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("User",'isone'),
            "param_name"    => "user",
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Number",'isone'),
            "param_name"    => "photos",
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Token",'isone'),
            "param_name"    => "token",
            "description"   => esc_html__("Enter token to view more 12 of photos. Create token your account at: https://outofthesandbox.com/pages/instagram-access-token",'isone'),
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Image custom size",'isone'),
            "param_name"    => "size_index",
            "value"         => array(
                esc_html__("Small",'isone')          => '0',
                esc_html__("Medium",'isone')         => '1',
                esc_html__("Large",'isone')          => '2',
                ),
            'dependency'    => array(
                'element'       => 'source',
                'value'         => array('username'),
            ),
            'description'   => esc_html__( 'Choose instagram image size to display', 'isone' ),
        ),
    )
));