<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 31/08/15
 * Time: 10:00 AM
 */
/************************************Main Carousel*************************************/
if(class_exists("woocommerce")){
    if(!function_exists('sv_vc_category_menu'))
    {
        function sv_vc_category_menu($attr, $content = false)
        {
            $html = $css_class = '';
            extract(shortcode_atts(array(
                'style'      => 'wrap-cat-icon19',
                'title'      => '',
                'title_bt'   => '',
                'link_title' => '',
            ),$attr));
            switch ($style) {
                case 'value':
                    
                    break;
                
                default:
                    $html .=    '<div class="wrap-cat-icon dropdown-box '.esc_attr($style).'">';
                    if(!empty($title)) $html .= '<h2 class="title14 title-cat-icon">'.esc_html($title).'</h2>';
                    $html .=        '<div class="wrap-list-cat-icon">
                                        <ul class="list-cat-icon">';
                    $html .=                wpb_js_remove_wpautop($content, false);
                    $html .=            '</ul>';
                    if(!empty($title_bt)) $html .=  '<h2 class="bg-color white title24 title-bt"><a href="'.esc_url($link_title).'">'.esc_html($title_bt).'</a></h2>';
                    $html .=        '</div>';
                    $html .=    '</div>';
                    break;
            }            
            return $html;
        }
    }
    stp_reg_shortcode('sv_category_menu','sv_vc_category_menu');
    vc_map(
        array(
            'name'     => esc_html__( 'Product Category Menu', 'isone' ),
            'base'     => 'sv_category_menu',
            'category' => esc_html__( '7Up-theme', 'isone' ),
            'icon'     => 'icon-st',
            'as_parent' => array( 'only' => 'sv_category_item,sv_category_title_break_item' ),
            'content_element' => true,
            'js_view' => 'VcColumnView',
            'params'   => array(
                array(
                    'type'        => 'dropdown',
                    'heading'     => esc_html__( 'Style', 'isone' ),
                    'param_name'  => 'style',
                    'value'       => array(
                        esc_html__( 'Default', 'isone' )  => 'wrap-cat-icon19',
                        esc_html__( 'Home 5', 'isone' )  => 'wrap-cat-icon19 cat-style5',
                        ),
                ),                
                array(
                    'heading'     => esc_html__( 'Title', 'isone' ),
                    'type'        => 'textfield',
                    'param_name'  => 'title',
                ),
                array(
                    'heading'     => esc_html__( 'Title Bottom', 'isone' ),
                    'type'        => 'textfield',
                    'param_name'  => 'title_bt',
                ),
                array(
                    'heading'     => esc_html__( 'Link Title Bottom', 'isone' ),
                    'type'        => 'textfield',
                    'param_name'  => 'link_title',
                ),
            )
        )
    );

    /*******************************************END MAIN*****************************************/

    /**************************************BEGIN ITEM************************************/
    //Banner item Frontend
    if(!function_exists('sv_vc_category_title_break_item'))
    {
        function sv_vc_category_title_break_item($attr, $content = false)
        {
            $html = $content_hover = $el_class = '';
            extract(shortcode_atts(array(
                'title'          => '',
            ),$attr));
            $html .=    '</ul>
                        <h2 class="title14 title-cat-icon">'.esc_html($title).'</h2>
                        <ul class="list-cat-icon">';
            return $html;
        }
    }
    stp_reg_shortcode('sv_category_title_break_item','sv_vc_category_title_break_item');

    // Banner item
    vc_map(
        array(
            'name'     => esc_html__( 'Title Break Item', 'isone' ),
            'base'     => 'sv_category_title_break_item',
            'icon'     => 'icon-st',
            'content_element' => true,
            'as_child' => array('only' => 'sv_category_menu'),
            'params'   => array(
                array(
                    'type'        => 'textfield',
                    'holder'      => 'h4',
                    'heading'     => esc_html__( 'Title', 'isone' ),
                    'param_name'  => 'title',
                ),
            )
        )
    );


    /**************************************BEGIN ITEM************************************/
    //Banner item Frontend
    if(!function_exists('sv_vc_category_item'))
    {
        function sv_vc_category_item($attr, $content = false)
        {
            $html = $content_hover = $el_class = '';
            extract(shortcode_atts(array(
                'cat'          => '',
                'icon'          => '',
                'mega_content'  => '',
                'page_id'       => '',
                'title'       => '',
                'link'       => '',
            ),$attr));
            if(!empty($cat)) $cat = str_replace(' ', '', $cat);
                switch ($mega_content) {
                    case 'page':
                        $content_hover .=    '<div class="cat-mega-menu cat-mega-style1">';
                        $content_hover .=       apply_filters('s7upf_output_content',S7upf_Template::get_vc_pagecontent($page_id));
                        $content_hover .=    '</div>';
                        break;
                    
                    case 'editor':
                        $content_hover .=    '<div class="cat-mega-menu cat-mega-style1">';
                        $content_hover .=       wpb_js_remove_wpautop($content, true);
                        $content_hover .=    '</div>';
                        break;

                    case 'featured':
                        $content_hover .=       '<div class="cat-mega-menu cat-mega-style2">
                                                    <h2 class="title-cat-mega-menu">'.esc_html__("Special products","isone").'</h2>
                                                    <div class="row">';
                        $args = array(
                            'post_type'         => 'product',
                            'posts_per_page'    => 3,
                            'meta_key'          => '_featured',
                            'meta_value'    => 'yes',
                            );
                        if(!empty($cat)){
                            $args['tax_query'][]=array(
                                'taxonomy'  => 'product_cat',
                                'field'     => 'slug',
                                'terms'     => $cat
                            );
                        }
                        $query = new WP_Query($args);
                        if($query->have_posts()) {
                            while($query->have_posts()) {
                                $query->the_post();
                                global $product;
                                $content_hover .=       s7upf_product_item(
                                                            'item-product-ajax first-item',
                                                            3,
                                                            '',
                                                            '',
                                                            '',
                                                            array(
                                                                'quickview'     => array(
                                                                    'status'    => 'show',
                                                                    'pos'       => 'pos-top',
                                                                    'style'     => 'plus',
                                                                    ),
                                                                'extra-link'    => array(
                                                                    'status'    => 'show',
                                                                    'style'     => '',
                                                                    )
                                                                ),
                                                            array(300,300),
                                                            '',
                                                            '',
                                                            'show'
                                                        );
                            }
                        }
                        $content_hover .=           '</div>
                                                </div>';
                        wp_reset_postdata();
                        break;

                    default:
                        # code...
                        break;
                }
                if(!empty($content_hover)) $el_class = 'has-cat-mega';
                $term = get_term_by( 'slug',$cat, 'product_cat' );
                $term_link = $term_title = '';
                if(!empty($term) && is_object($term)){
                    $term_link = get_term_link( $term->term_id, 'product_cat' );
                    $term_title = $term->name;
                }
                if(!empty($link)) $term_link = $link;
                if(!empty($title)) $term_title = $title;
                if(empty($icon)) $check_iclass = 'cat-no-img';
                else $check_iclass = '';
                if(!empty($term_title) && !empty($term_link)){
                    $html .=    '<li class="'.esc_attr($el_class.' '.$check_iclass).'">
                                    <a href="'.esc_url($term_link).'">'.$term_title.'
                                        '.wp_get_attachment_image($icon,'full').'
                                    </a>
                                    '.$content_hover.'
                                </li>';
                }
            return $html;
        }
    }
    stp_reg_shortcode('sv_category_item','sv_vc_category_item');

    // Banner item
    if(isset($_GET['return'])) $check_add = $_GET['return'];
    if(empty($check_add)) add_action( 'vc_before_init_base','sv_admin_category_item',10,100 );
    if ( ! function_exists( 'sv_admin_category_item' ) ) {
        function sv_admin_category_item(){
            vc_map(
                array(
                    'name'     => esc_html__( 'Category Item', 'isone' ),
                    'base'     => 'sv_category_item',
                    'icon'     => 'icon-st',
                    'content_element' => true,
                    'as_child' => array('only' => 'sv_category_menu'),
                    'params'   => array(
                        array(
                            'holder'     => 'div',
                            'heading'     => esc_html__( 'Product Categories', 'isone' ),
                            'type'        => 'autocomplete',
                            'param_name'  => 'cat',
                            'settings' => array(
                                'multiple' => false,
                                'sortable' => false,
                                'values' => s7upf_get_product_taxonomy(),
                            ),
                            'save_always' => true,
                            'description' => esc_html__( 'List of product categories', 'isone' ),
                        ),                        
                        array(
                            'type'        => 'textfield',
                            'heading'     => esc_html__( 'Custom title', 'isone' ),
                            'param_name'  => 'title',
                        ),
                        array(
                            'type'        => 'textfield',
                            'heading'     => esc_html__( 'Custom Link', 'isone' ),
                            'param_name'  => 'link',
                        ),
                        array(
                            'type'        => 'attach_image',
                            'heading'     => esc_html__( 'Icon image', 'isone' ),
                            'param_name'  => 'icon',
                        ),
                        array(
                            'type'        => 'dropdown',
                            'heading'     => esc_html__( 'Content hover', 'isone' ),
                            'param_name'  => 'mega_content',
                            'value'       => array(
                                esc_html__( 'None', 'isone' )             => '',
                                esc_html__( 'Content page', 'isone' )     => 'page',
                                esc_html__( 'Content Editor', 'isone' )   => 'editor',
                                esc_html__( 'Featured Product', 'isone' ) => 'featured',
                                ),
                        ),
                        array(
                            'type'        => 'dropdown',
                            'heading'     => esc_html__( 'Choose page content', 'isone' ),
                            'param_name'  => 'page_id',
                            'value'       => s7upf_list_all_page(),
                            'dependency'  => array(
                                'element'   => 'mega_content',
                                'value'   => 'page',
                                )
                        ),
                        array(
                            'type'        => 'textarea_html',
                            'heading'     => esc_html__( 'Content', 'isone' ),
                            'param_name'  => 'content',
                            'dependency'  => array(
                                'element'   => 'mega_content',
                                'value'   => 'editor',
                                )
                        ),
                    )
                )
            );
        }
    }

    /**************************************END ITEM************************************/

    //Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
    if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
        class WPBakeryShortCode_Sv_Category_Menu extends WPBakeryShortCodesContainer {}
    }
    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Sv_Category_Item extends WPBakeryShortCode {}
        class WPBakeryShortCode_Sv_Title_Break_Item extends WPBakeryShortCode {}
    }
}