<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 05/09/15
 * Time: 10:00 AM
 */
if(class_exists("woocommerce")){
if(!function_exists('sv_vc_product_list'))
{
    function sv_vc_product_list($attr, $content = false)
    {
        $html = $view_html = '';
        extract(shortcode_atts(array(
            'style'         => 'list-slider1',
            'title'         => '',
            'number'        => '8',
            'cats'          => '',
            'order_by'      => 'date',
            'order'         => 'DESC',
            'product_type'  => '',
            'item'          => '',
            'item_res'      => '',
            'speed'         => '',
            'size'          => '',
            'time'          => '',
            'time2'         => '',
            'view_link'     => '',
            'image'         => '',
            'image_pos'     => 'ad-left',
            'intro_pos'     => 'intro-left',
            'icon'          => '',
            'des'           => '',
            'adv_slider'    => '',
            'adv_list'      => '',
            'tab_image'     => '',
            'title_list'    => '',
            'color_box'     => '',
            'check_show'    => '',
            'item_class'    => 'col-md-3 col-sm-6 col-xs-6'
        ),$attr));
        if(!empty($cats)) $cats = str_replace(' ', '', $cats);        
        $custom_list = array();
        $args = array(
            'post_type'         => 'product',
            'posts_per_page'    => $number,
            'orderby'           => $order_by,
            'order'             => $order,
            'paged'             => 1,
            );
        if($product_type == 'trendding'){
            $args['meta_query'][] = array(
                    'key'     => 'trending_product',
                    'value'   => 'on',
                    'compare' => '=',
                );
        }
        if($product_type == 'toprate'){
            $args['meta_key'] = '_wc_average_rating';
            $args['orderby'] = 'meta_value_num';
            $args['meta_query'] = WC()->query->get_meta_query();
            $args['tax_query'][] = WC()->query->get_tax_query();
        }
        if($product_type == 'mostview'){
            $args['meta_key'] = 'post_views';
            $args['orderby'] = 'meta_value_num';
        }
        if($product_type == 'bestsell'){
            $args['meta_key'] = 'total_sales';
            $args['orderby'] = 'meta_value_num';
        }
        if($product_type=='onsale'){
            $args['meta_query']['relation']= 'OR';
            $args['meta_query'][]=array(
                'key'   => '_sale_price',
                'value' => 0,
                'compare' => '>',                
                'type'          => 'numeric'
            );
            $args['meta_query'][]=array(
                'key'   => '_min_variation_sale_price',
                'value' => 0,
                'compare' => '>',                
                'type'          => 'numeric'
            );
        }
        if($product_type == 'featured'){
            $args['tax_query'][] = array(
                'taxonomy' => 'product_visibility',
                'field'    => 'name',
                'terms'    => 'featured',
                'operator' => 'IN',
            );
        }
        if($product_type == 'recently-viewed'){
            $viewed_products = ! empty( $_COOKIE['woocommerce_recently_viewed'] ) ? (array) explode( '|', $_COOKIE['woocommerce_recently_viewed'] ) : array();
            $viewed_products = array_reverse( array_filter( array_map( 'absint', $viewed_products ) ) );
            $args['no_found_rows'] = 1;
            $args['post_status'] = 'publish';
            $args['post__in'] = $viewed_products;
            $args['orderby'] = 'post__in';
        }
        if(!empty($cats)) {
            $custom_list = explode(",",$cats);
            $args['tax_query'][]=array(
                'taxonomy'=>'product_cat',
                'field'=>'slug',
                'terms'=> $custom_list
            );
        }
        $orderby = '';
        if(isset($_GET['orderby'])){
            $orderby = $_GET['orderby'];
            switch ($orderby) {
                case 'price' :
                    $args['orderby']  = "meta_value_num ID";
                    $args['order']    = 'ASC';
                    $args['meta_key'] = '_price';
                break;

                case 'price-desc' :
                    $args['orderby']  = "meta_value_num ID";
                    $args['order']    = 'DESC';
                    $args['meta_key'] = '_price';
                break;

                case 'popularity' :
                    $args['meta_key'] = 'total_sales';
                    $args['order']    = 'DESC';
                break;

                case 'rating' :
                    $args['meta_key'] = '_wc_average_rating';
                    $args['orderby'] = 'meta_value_num';
                    $args['order']    = 'DESC';
                break;

                case 'date':
                    $args['orderby'] = 'date';
                    break;
                
                default:
                    $args['orderby'] = $orderby;
                    break;
            }
        }
        $product_query = new WP_Query($args);
        $count = 1;
        $count_query = $product_query->post_count;
        if(!empty($size)) $size = explode('x', $size);
        switch ($style) {
            case 'list-megamenu':
                if(empty($item) && empty($item_res)) $item_res = '';
                if(empty($item)) $item =2;
                if(empty($size)) $size = array(300,300);
                $html .=    '<div class="mega-new-arrival">';
                if(!empty($title)) $html .= '<h2 class="mega-menu-title">'.esc_html($title).'</h2>';
                $html .=        '<div class="mega-new-arrival-slider">
                                    <div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=    '<div class="item">
                                        <div class="item-product-ajax item-product">
                                            <div class="product-thumb">
                                                <a class="product-thumb-link" href="'.esc_url(get_the_permalink()).'">
                                                    '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                </a>
                                                <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link plus"><span>'.esc_html__("quick view","isone").'</span></a>
                                                '.s7upf_product_link('','hidden-text').'
                                            </div>
                                            <div class="product-info">
                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                '.s7upf_get_price_html().'
                                            </div>
                                        </div>
                                    </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;
                
            case 'list-slider13':
                if(empty($item) && empty($item_res)) $item_res = '0:1,480:2,768:3,990:4,1200:5';
                if(empty($item)) $item = 5;
                if(empty($size)) $size = array(230,230);
                $html .=    '<div class="product-relate13">';
                if(!empty($title)) $html .=    '<h2 class="title30 font-bold"><i class="fa '.esc_attr($icon).'"></i>'.esc_html($title).'</h2>';
                $html .=        '<div class="new-pro-slider08">
                                    <div class="wrap-item navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=        '<div class="item-product item-new-pro08 border">
                                            <div class="product-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                                    '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                </a>
                                                <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link plus">'.esc_html__("quick view","isone").'</a>
                                                '.s7upf_product_link().'
                                            </div>
                                            <div class="product-info">
                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                '.s7upf_get_rating_html().'
                                                '.s7upf_get_price_html().'
                                            </div>
                                        </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'cat-slider12':
                if(!empty($cats)){
                    if(empty($item) && empty($item_res)) $item_res = '0:1,480:2,767:3,768:2,990:3';
                    if(empty($item)) $item = 3;
                    if(empty($size)) $size = array(300,300);
                    $pre = rand(1,100);
                    $tabs = explode(",",$cats);
                    $tab_active = 0;
                    $tab_html = $tab_content = '';
                    foreach ($tabs as $key => $tab) {
                        $term = get_term_by( 'slug',$tab, 'product_cat' );
                        if(!empty($term) && is_object($term)){
                            if($key == $tab_active) $active = 'active';
                            else $active = '';
                            $key_adv = $key+1;
                            $tab_html .=    '<li class="'.esc_attr($active).'"><a href="#'.esc_attr($pre.$term->slug).'" data-toggle="tab" aria-expanded="true">'.$term->name.'</a></li>';
                            $tab_content .=    '<div id="'.$pre.$term->slug.'" class="tab-pane '.$active.'">
                                                    <div class="new-pro-slider08">
                                                        <div class="wrap-item navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                            unset($args['tax_query']);
                            $args['tax_query'][]=array(
                                'taxonomy'=>'product_cat',
                                'field'=>'slug',
                                'terms'=> $tab
                            );
                            $product_query = new WP_Query($args);
                            $max_page = $product_query->max_num_pages;
                            if($product_query->have_posts()) {
                                while($product_query->have_posts()) {
                                    $product_query->the_post();
                                    global $product;         
                                    $tab_content .=         '<div class="item-product item-new-pro08 border">
                                                                <div class="product-thumb">
                                                                    <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                                                        '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                                    </a>
                                                                    <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link plus">'.esc_html__("quick view","isone").'</a>
                                                                    '.s7upf_product_link().'
                                                                </div>
                                                                <div class="product-info">
                                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                                    '.s7upf_get_rating_html(true).'
                                                                    '.s7upf_get_price_html().'
                                                                </div>
                                                            </div>';
                                }
                            }
                            $tab_content .=             '</div>
                                                    </div>
                                                </div>';
                        }
                    }
                    $html .=    '<div class="content-block-pro12">';
                    if(!empty($title)) $html .= '<h2 class="title18">'.esc_html($title).'</h2>';
                    $html .=        '<ul class="list-inline-block title-list-tab12 text-uppercase">
                                        '.$tab_html.'
                                    </ul>';
                    $html .=        '<div class="tab-content">
                                        '.$tab_content.'
                                    </div>
                                </div>';
                }
                break;

            case 'list-side12':
                if(empty($item) && empty($item_res)) $item_res = '0:1,480:2,768:1';
                if(empty($item)) $item = 1;
                if(empty($size)) $size = array(100,100);
                $html .=    '<div class="sidebar-product12">';
                if(!empty($title)) $html .=    '<h2 class="title18 white bg-color"><i class="fa '.esc_attr($icon).'"></i>'.esc_html($title).'</h2>';
                $html .=        '<div class="best-product-slider12">
                                    <div class="wrap-item navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        if($count % 3 == 1) $html .=    '<div class="item">';
                        $html .=        '<div class="item-best-pro12 table">
                                            <div class="product-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                                    '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                </a>
                                            </div>
                                            <div class="product-info">
                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                '.s7upf_get_price_html().'
                                                '.s7upf_get_rating_html(false,'shop-list').'
                                            </div>
                                        </div>';
                        if($count % 3 == 0 || $count == $count_query) $html .=    '</div>';
                        $count++;
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'cat-tab11':
                if(!empty($cats)){
                    if(empty($item) && empty($item_res)) $item_res = '0:1,480:2,768:3,990:4';
                    if(empty($item)) $item = 4;
                    if(empty($size)) $size = array(300,300);
                    $pre = rand(1,100);
                    $tabs = explode(",",$cats);
                    $tab_active = 0;
                    $tab_html = $tab_content = '';
                    $data_tab_image = (array) vc_param_group_parse_atts( $tab_image );
                    foreach ($tabs as $key => $tab) {
                        $term = get_term_by( 'slug',$tab, 'product_cat' );
                        if(!empty($term) && is_object($term)){
                            $term_link = get_term_link( $term->term_id, 'product_cat' );
                            if($key == $tab_active) $active = 'active';
                            else $active = '';
                            $key_adv = $key+1;
                            $image_html = '';
                            if(isset($data_tab_image[$key]['image'])) $image_html = wp_get_attachment_image($data_tab_image[$key]['image'],array(80,80));
                            $tab_html .=    '<div class="item-collect11 text-center '.esc_attr($active).'">
                                                <a title="'.esc_attr($term->name).'" class="load-cat11" href="'.esc_url($term_link).'" data-cat="'.esc_attr($term->slug).'" data-toggle="tab">
                                                    '.$image_html.'
                                                    <span>'.$term->name.'</span>
                                                    <p class="desc silver">'.$term->count.' '.esc_html__("Products","isone").'</p>
                                                </a>
                                            </div>';
                            if($key == $tab_active){
                                $tab_content .=    '<div class="new-pro-slider08">
                                                        <div class="wrap-item navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                                unset($args['tax_query']);
                                $args['tax_query'][]=array(
                                    'taxonomy'=>'product_cat',
                                    'field'=>'slug',
                                    'terms'=> $tab
                                );
                                $product_query = new WP_Query($args);
                                $max_page = $product_query->max_num_pages;
                                if($product_query->have_posts()) {
                                    while($product_query->have_posts()) {
                                        $product_query->the_post();
                                        $tab_content .=     '<div class="item-product item-new-pro08 border">
                                                                <div class="product-thumb">
                                                                    <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                                                        '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                                    </a>
                                                                    <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link plus">'.esc_html__("quick view","isone").'</a>
                                                                    '.s7upf_product_link().'
                                                                </div>
                                                                <div class="product-info">
                                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                                    '.s7upf_get_rating_html().'
                                                                    '.s7upf_get_price_html().'
                                                                </div>
                                                            </div>';
                                    }
                                }
                                $tab_content .=         '</div>
                                                    </div>';
                            }
                        }
                    }
                    $data_load = array(
                        "number"        => $number,
                        "order"         => $order,
                        "order_by"      => $order_by,
                        "product_type"  => $product_type,
                        "size"          => $size,
                        );
                    $data_loadjs = json_encode($data_load);
                    $html .=    '<div class="tab-cat11" data-load_data="'.esc_attr($data_loadjs).'">';
                    if(!empty($title)) $html .= '<h2 class="title30">'.esc_html($title).'</h2>';
                    $html .=        '<div class="title-tab-collect11">
                                        <div class="wrap-item navi-style2 smart-slider" data-item="10" data-speed="" data-itemres="0:3,480:4,560:5,640:6,768:7,860:8,990:9,1170:10" data-prev="" data-next="" data-pagination="" data-navigation="true">
                                            '.$tab_html.'
                                        </div>
                                    </div>';
                    $html .=        '<div class="tab-content">
                                        '.$tab_content.'
                                    </div>
                                </div>';
                }
                break;

            case 'list-slider11':
                if(empty($item) && empty($item_res)) $item_res = '0:1,640:2,990:3';
                if(empty($item)) $item = 3;
                if(empty($size)) $size = array(368,368);
                $d_text = '[&quot;'.esc_html__("DAYS","isone").'&quot;,&quot;'.esc_html__("Hr","isone").'&quot;,&quot;'.esc_html__("Min","isone").'&quot;,&quot;'.esc_html__("Sec","isone").'&quot;]';
                $html .=    '<div class="deal-product11">';
                if(!empty($title)){
                    $html .=    '<h2 class="title-underline title30 color">'.$title.'</h2>';
                }
                $html .=        '<div class="wrap-item navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $ptime = ( $date = get_post_meta( get_the_ID(), '_sale_price_dates_to', true ) ) ? date_i18n( 'Y/m/d', $date ) : '';
                        if(!empty($ptime)) $data_time = $ptime;
                        else $data_time = $time;
                        $html .=    '<div class="item-product item-product-deal11">
                                        <div class="product-thumb border">';
                        $html .=            '<div class="time-countdown10"><div class="time-countdown hidden-canvas" data-date="'.esc_attr($data_time).'" data-text="'.esc_attr($d_text).'"></div></div>';
                        $html .=            '<a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                                '.get_the_post_thumbnail(get_the_ID(),$size).'
                                            </a>
                                            '.s7upf_product_link('product-extra-link5-2').'
                                        </div>
                                        <div class="product-info">
                                            <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                            '.s7upf_get_rating_html(true).'
                                            '.s7upf_get_price_html().'
                                        </div>
                                    </div>';
                    }
                }
                $html .=        '</div>
                            </div>';
                break;

            case 'list-slider10':
                if(empty($item) && empty($item_res)) $item_res = '0:1,568:2,768:1';
                if(empty($item)) $item = 1;
                if(empty($size)) $size = array(100,100);
                $html .=    '<div class="block-product-type10">';
                if(!empty($title)){
                    $html .=    '<h2 class="title30">'.$title.'</h2>';
                }
                $html .=        '<div class="product-type-slider10">
                                    <div class="wrap-item group-navi navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        if($count % 3 == 1) $html .= '<div class="item">';
                        $html .=    '<div class="item-product-type10 table">
                                        <div class="product-thumb">
                                            <a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">
                                                '.get_the_post_thumbnail(get_the_ID(),$size).'
                                            </a>
                                        </div>
                                        <div class="product-info">
                                            <h3 class="product-title font-bold"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                            <ul class="list-inline-block">
                                                <li>
                                                    '.s7upf_get_price_html().'
                                                </li>
                                                <li>
                                                    '.s7upf_get_rating_html(false,'shop-list').'
                                                </li>
                                            </ul>
                                            '.s7upf_addtocart_link('home10').'
                                        </div>
                                    </div>';
                        if($count % 3 == 0 || $count == $count_query) $html .=    '</div>';
                        $count++;
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'cat-slider8':
                if(!empty($cats)){
                    if(empty($item) && empty($item_res)) $item_res = '0:1,480:2,768:3,990:4';
                    if(empty($item)) $item = 4;
                    if(empty($size)) $size = array(300,300);
                    $pre = rand(1,100);
                    $tabs = explode(",",$cats);
                    $tab_active = 0;
                    $tab_html = $tab_content = '';
                    $data_tab_image = (array) vc_param_group_parse_atts( $tab_image );
                    foreach ($tabs as $key => $tab) {
                        $term = get_term_by( 'slug',$tab, 'product_cat' );
                        if(!empty($term) && is_object($term)){
                            if($key == $tab_active) $active = 'active';
                            else $active = '';
                            $key_adv = $key+1;
                            $image_html = '';
                            if(isset($data_tab_image[$key]['image'])) $image_html = wp_get_attachment_image($data_tab_image[$key]['image'],'full');
                            $tab_html .=    '<li class="'.esc_attr($active).'"><a href="#'.esc_attr($pre.$term->slug).'" data-toggle="tab">'.$image_html.'<span>'.$term->name.'</span></a></li>';
                            $tab_content .=    '<div id="'.$pre.$term->slug.'" class="tab-pane '.$active.'">
                                                    <div class="new-pro-slider08">
                                                        <div class="wrap-item navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                            unset($args['tax_query']);
                            $args['tax_query'][]=array(
                                'taxonomy'=>'product_cat',
                                'field'=>'slug',
                                'terms'=> $tab
                            );
                            $product_query = new WP_Query($args);
                            $max_page = $product_query->max_num_pages;
                            if($product_query->have_posts()) {
                                while($product_query->have_posts()) {
                                    $product_query->the_post();
                                    global $product;         
                                    $tab_content .=         '<div class="item-product item-new-pro08 border">
                                                                <div class="product-thumb">
                                                                    <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                                                        '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                                    </a>
                                                                    <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link plus">'.esc_html__("quick view","isone").'</a>
                                                                    '.s7upf_product_link().'
                                                                </div>
                                                                <div class="product-info">
                                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                                    '.s7upf_get_rating_html().'
                                                                    '.s7upf_get_price_html().'
                                                                </div>
                                                            </div>';
                                }
                            }
                            $tab_content .=             '</div>
                                                    </div>
                                                </div>';
                        }
                    }
                    $html .=    '<div class="new-product08">';
                    if(!empty($title)) $html .= '<h2 class="title30 text-center">'.esc_html($title).'</h2>';
                    $html .=        '<ul class="tab-new-pro09 list-inline-block text-center">
                                        '.$tab_html.'
                                    </ul>';
                    $html .=        '<div class="tab-content">
                                        '.$tab_content.'
                                    </div>
                                </div>';
                }
                break;

            case 'list-side6':
                if(empty($size)) $size = array(150,150);
                $html .=    '<div class="sidebar-home015 sidebar-right">
                                <div class="product-special06 bg-white">';
                if(!empty($title)) $html .=    '<div class="title-box19"><span class="color"><i class="fa '.esc_attr($icon).'"></i> </span><h2 class="title18">'.esc_html($title).'</h2></div>';
                $html .=            '<ul class="list-product-scroll list-none">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=        '<li>
                                            <div class="item-product-scroll table">
                                                <div class="product-thumb">
                                                    <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link zoom-thumb">
                                                        '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                    </a>
                                                </div>
                                                <div class="product-info">
                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                    '.s7upf_get_rating_html().'
                                                    '.s7upf_get_price_html().'
                                                </div>
                                            </div>
                                        </li>';
                    }
                }
                $html .=            '</ul>
                                </div>
                            </div>';
                break;

            case 'grid-home6':
                if(empty($size)) $size = array(300,300);
                $html .=    '<div class="special-product06">
                                <div class="title-special06">';
                if(!empty($title)) $html .=    '<h2 class="title18 font-normal">'.esc_html($title).'</h2>';
                if(!empty($view_link)) $html .=    '<a href="'.esc_url($view_link).'" class="seeall">'.esc_html__("See All","isone").'<i class="fa fa-angle-right" aria-hidden="true"></i></a>';
                $html .=        '</div>
                                <div class="list-special06">
                                    <div class="row">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=    '<div class="'.esc_attr($item_class).'">
                                        <div class="item-product06 border bg-white">
                                            <div class="product-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link zoom-thumb">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                                <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link pos-bottom"><span>'.esc_html__("quick view","isone").'</span></a>
                                            </div>
                                            <div class="product-info">
                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                    '.s7upf_get_price_html().'
                                                    '.s7upf_get_rating_html(false,'shop-list').'
                                                    '.s7upf_product_link('home5').'
                                            </div>
                                        </div>
                                    </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'list-loadmore':
                $check_array = explode(',', $check_show);
                if(empty($size)) $size = array(300,300);
                $html .=    '<div class="main-content-home05">
                                <div class="title-box06">';
                if(!empty($title)) $html .=    '<h2 class="title18 font-normal">'.esc_html($title).'</h2>';
                if(in_array('sort', $check_array)){
                    $html .=        '<div class="select-box silver">
                                        <form class="loadmore-sort">
                                            <select name="orderby">
                                                <option '.($orderby == $order_by?'selected="selected"':'').' value="'.esc_attr($order_by).'">'.esc_html__("Sort by","isone").'</option>
                                                <option '.($orderby == "date"?'selected="selected"':'').' value="date">'.esc_html__("Newness","isone").'</option>
                                                <option '.($orderby == "popularity"?'selected="selected"':'').' value="popularity">'.esc_html__("Popularity","isone").'</option>
                                                <option '.($orderby == "price"?'selected="selected"':'').' value="price">'.esc_html__("Price: low to high","isone").'</option>
                                                <option '.($orderby == "price-desc"?'selected="selected"':'').' value="price-desc">'.esc_html__("Price: hight to low","isone").'</option>
                                                <option '.($orderby == "rating"?'selected="selected"':'').' value="rating">'.esc_html__("Average rating","isone").'</option>
                                            </select>
                                        </form>
                                    </div>';
                }
                $html .=        '</div>';
                $html .=        '<div class="list-product05">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=    '<div class="item-product05 bg-white border">
                                        <div class="row">
                                            <div class="col-md-4 col-sm-4 col-xs-4">
                                                <div class="product-thumb">
                                                    <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link zoom-thumb">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                                    <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link pos-bottom"><span>'.esc_html__("quick view","isone").'</span></a>
                                                </div>
                                            </div>
                                            <div class="col-md-8 col-sm-8 col-xs-8">
                                                <div class="product-info">
                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                    '.s7upf_get_price_html().'
                                                    '.s7upf_get_rating_html(false,'shop-list').'
                                                    '.s7upf_product_link('home5');
                        if(in_array('social', $check_array) || in_array('free-ship', $check_array)) $html .=                '<div class="social-shipping">';
                        if(in_array('social', $check_array)){
                            $html .=                    '<div class="social-network05">
                                                            <a href="mailto:?subject='.esc_attr__("I wanted you to see this site&amp;body=Check out this site","isone").' '.get_the_permalink().'" class="float-shadow"><img src="'.get_template_directory_uri().'/assets/css/images/home/home5/icon1.jpg" alt=""></a>
                                                            <a href="'.esc_url('http://pinterest.com/pin/create/button/?url='.get_the_permalink().'&amp;media='.wp_get_attachment_url(get_post_thumbnail_id())).'" class="float-shadow"><img src="'.get_template_directory_uri().'/assets/css/images/home/home5/icon2.jpg" alt=""></a>
                                                            <a href="'.esc_url('http://linkedin.com/shareArticle?mini=true&amp;url='.get_the_permalink().'&amp;title='.get_the_title()).'" class="float-shadow"><img src="'.get_template_directory_uri().'/assets/css/images/home/home5/icon3.jpg" alt=""></a>
                                                        </div>';
                        }
                        if(in_array('free-ship', $check_array)){
                            $html .=                    '<div class="free-ship05">
                                                            <span class="color"><i class="fa fa-car"></i></span><span class="back">'.esc_html__("Free Shipping","isone").'</span>
                                                        </div>';
                        }
                        if(in_array('social', $check_array) || in_array('free-ship', $check_array)) $html .=                '</div>';
                        $html .=                   '<p class="desc">'.get_the_excerpt().'</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>';
                    }
                }
                $html .=        '</div>';
                $max_page = $product_query->max_num_pages;
                $data_load = array(
                    "number"        => $number,
                    "order"         => $order,
                    "order_by"      => $order_by,
                    "orderby"       => $orderby,
                    "product_type"  => $product_type,
                    "cats"          => $cats,
                    "size"          => $size,
                    "check_show"    => $check_show,
                    );
                $data_loadjs = json_encode($data_load);
                if($max_page > 1) $html .=    '<div class="load-more05 text-center"><a data-paged="1" data-maxpage="'.esc_attr($max_page).'" data-load_data="'.esc_attr($data_loadjs).'" href="#" class="shop-button product-loadmore">'.esc_html__("Load more","isone").'</a></div>';
                $html .=    '</div>';
                break;

            case 'list-slider4-adv':
                if(empty($item) && empty($item_res)) $item_res = '0:1,568:2,990:1';
                if(empty($item)) $item = 1;
                if(empty($size)) $size = array(150,150);
                $data_adv_slider = (array) vc_param_group_parse_atts( $adv_slider );
                $data_adv_list = (array) vc_param_group_parse_atts( $adv_list );
                $cat_html = '';
                $col_product = 'col-md-3 col-sm-12 col-xs-12';
                if(empty($adv_slider)) $col_product = 'col-md-7 col-sm-12 col-xs-12';
                if(empty($adv_list)) $col_product = 'col-md-8 col-sm-12 col-xs-12';
                if(empty($adv_list) && empty($adv_slider)) $col_product = 'col-md-12 col-sm-12 col-xs-12';
                if(!empty($cats)){
                    $cat_html .=    '<ul class="list-inline-block sub-cat04">';
                    $custom_list = explode(",",$cats);
                    if(!empty($custom_list)){
                        foreach ($custom_list as $cat) {
                            $term = get_term_by( 'slug',$cat, 'product_cat' );
                            if(!empty($term) && is_object($term)){
                                $term_link = get_term_link( $term->term_id, 'product_cat' );
                                $term_title = $term->name;
                                $cat_html .=    '<li><a href="'.esc_url($term_link).'" class="black">'.esc_html($term_title).'</a></li>';
                            }
                        }
                    }
                    $cat_html .=    '</ul>';
                }
                $html .=    '<div class="product-box04 '.esc_attr($color_box).'">';
                if(!empty($title)){
                    $html .=    '<div class="title-box19">
                                    <span class="color"><i class="fa '.esc_attr($icon).'"></i> </span><h2 class="title18">'.$title.'</h2>
                                    '.$cat_html.'
                                </div>';
                }
                $html .=        '<div class="content-product-box04 border bg-white">
                                    <div class="row">';
                $html .=                '<div class="col-md-4 col-sm-6 col-xs-6">
                                            <div class="adv-slider04">
                                                <div class="wrap-item smart-slider" data-item="1" data-speed="5000" data-itemres="" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if(is_array($data_adv_slider)){
                    foreach ($data_adv_slider as $value) {
                        $html .=                    '<div class="item-adv04 banner-adv">
                                                        <a href="'.esc_url($value['link']).'" class="adv-thumb-link">'.wp_get_attachment_image($value['image'],'full').'</a>
                                                        <div class="banner-info white">
                                                            <h2 class="title16">'.esc_html($value['title']).'</h2>
                                                            <p class="desc white">'.esc_html($value['des']).'</p>
                                                        </div>
                                                    </div>';
                    }
                }
                $html .=                        '</div>
                                            </div>
                                        </div>
                                        <div class="col-md-5 col-sm-6 col-xs-6">
                                            <ul class="list-none list-adv-pro04">';
                if(is_array($data_adv_list)){
                    foreach ($data_adv_list as $value) {
                        $html .=                '<li>
                                                    <div class="item-adv-pro04 table">
                                                        <div class="product-info">
                                                            <h3 class="title14"><a href="'.esc_url($value['link']).'" class="black">'.esc_html($value['title']).'</a></h3>
                                                            <p class="desc">'.esc_html($value['des']).'</p>
                                                        </div>
                                                        <div class="product-thumb">
                                                            <a href="'.esc_url($value['link']).'" class="product-thumb-link">'.wp_get_attachment_image($value['image'],'full').'</a>
                                                        </div>
                                                    </div>
                                                </li>';
                    }
                }
                $html .=                    '</ul>
                                        </div>
                                        <div class="'.esc_attr($col_product).'">
                                            <div class="product-trend04">';
                if(!empty($title_list)) $html .='<h2 class="white bg-color title14">'.esc_html($title_list).'</h2>';
                $html .=                        '<div class="trend-product-slider04">
                                                    <div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        if($count % 3 == 1) $html .= '<div class="item">';
                        $html .=                        '<div class="item-product19 table">
                                                            <div class="product-thumb">
                                                                <a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">
                                                                    '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                                </a>
                                                                '.s7upf_saleoff_html('style2').'
                                                            </div>
                                                            <div class="product-info">
                                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                                '.s7upf_get_rating_html(true,'','color').'
                                                                '.s7upf_get_price_html().'
                                                            </div>
                                                        </div>';
                        if($count % 3 == 0 || $count == $count_query) $html .=    '</div>';
                        $count++;
                    }
                }
                $html .=                            '</div>
                                                </div>
                                            </div>
                                        </div>';
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'grid-small3':
                if(empty($size)) $size = array(150,150);
                $html .=    '<div class="product-box19">';
                if(!empty($title)){
                    $html .=    '<div class="title-box19">
                                    <span class="color"><i class="fa '.esc_attr($icon).'"></i> </span><h2 class="title18">'.$title.'</h2>
                                </div>';
                }
                $html .=        '<div class="list-product-box19">
                                    <div class="row">
                                        <div class="col-md-12">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        if($count % 2 == 1) $html .= '<div class="list-item-product19">';
                        $html .=    '<div class="item-product19 hoz">
                                        <div class="product-thumb">
                                            <a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">
                                                '.get_the_post_thumbnail(get_the_ID(),$size).'
                                            </a>
                                            '.s7upf_saleoff_html('style2').'
                                        </div>
                                        <div class="product-info">
                                            <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                            '.s7upf_get_rating_html(true,'','color').'
                                            '.s7upf_get_price_html().'
                                        </div>
                                    </div>';
                        if($count % 2 == 0 || $count == $count_query) $html .=    '</div>';
                        $count++;
                    }
                }
                $html .=                '</div>';
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'grid-home3':
                if(empty($size)) $size = array(300,300);
                $html .=    '<div class="product-box19">';
                if(!empty($title)){
                    $html .=    '<div class="title-box19">
                                    <span class="color"><i class="fa '.esc_attr($icon).'"></i> </span><h2 class="title18">'.$title.'</h2>
                                </div>';
                }
                $html .=        '<div class="list-product-box19">
                                    <div class="row">
                                        <div class="col-md-12">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        if($count % 4 == 1){
                            $html .=    '<div class="list-item-product19">
                                            <div class="item-product19 ver">
                                                <div class="product-thumb">
                                                    <a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">
                                                        '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                    </a>
                                                    '.s7upf_saleoff_html('style2').'
                                                </div>
                                                <div class="product-info">
                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                    '.s7upf_get_rating_html(true,'','color').'
                                                    '.s7upf_get_price_html().'
                                                </div>
                                            </div>
                                        </div>';
                        }
                        else{
                            if($count % 4 == 2) $html .=    '<div class="list-item-product19">';
                            $html .=    '<div class="item-product19 hoz">
                                            <div class="product-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">
                                                    '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                </a>
                                                '.s7upf_saleoff_html('style2').'
                                            </div>
                                            <div class="product-info">
                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                '.s7upf_get_rating_html(true,'','color').'
                                                '.s7upf_get_price_html().'
                                            </div>
                                        </div>';
                            if($count % 4 == 0 || $count == $count_query) $html .=    '</div>';
                        }
                        $count++;
                    }
                }
                $html .=                '</div>';
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'grid-animation':
                if(empty($size)) $size = array(300,300);
                $html .=    '<div class="top-selling15">';
                if(!empty($title)) {
                    $html .=    '<div class="text-center title-box15 wow zoomIn">
                                    <h2 class="title30">'.esc_html($title).'</h2>';
                    if(!empty($des)) $html .=    '<p class="desc">'.esc_html($des).'</p>';
                    $html .=    '</div>';
                }
                $html .=        '<div class="list-topsale15">
                                    <div class="row">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=        '<div class="col-md-6 col-sm-6 col-xs-12">
                                            <div class="item-product15 wow slideInUp">
                                                <div class="row">
                                                    <div class="col-md-6 col-sm-12 col-xs-6">
                                                        <div class="product-thumb">
                                                            <a class="product-thumb-link" href="'.esc_url(get_the_permalink()).'">
                                                                '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                            </a>
                                                            '.s7upf_get_cat_in('product_brand').'
                                                            <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link pos-bottom">'.esc_html__("quick view","isone").'</a>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6 col-sm-12 col-xs-6">
                                                        <div class="product-info">
                                                            <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                            '.s7upf_get_price_html().'
                                                            '.s7upf_get_rating_html().'
                                                            <p class="desc">'.s7upf_substr(get_the_excerpt(),0,60).'</p>
                                                            '.s7upf_product_link('product-extra-link5-2').'
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'list-slider2':
                if(empty($item) && empty($item_res)) $item_res = '0:1,640:2,990:3,1024:4';
                if(empty($item)) $item = 4;
                if(empty($size)) $size = array(200,200);
                if(empty($title)) $image_pos = '';
                $html .=    '<div class="product-box02 '.esc_attr($intro_pos).' bg-white border">';
                if(!empty($title) || !empty($view_link)){
                    $html .=    '<div class="intro-box2">';
                    if(!empty($title)) $html .=    '<h2 class="title18">'.$title.'</h2>';
                    if(!empty($view_link)) $html .=    '<a href="'.esc_url($view_link).'" class="shop-button">'.esc_html__("view all","isone").'</a>';
                    $html .=    '</div>';
                }
                $html .=        '<div class="product-box-slider2">';
                $html .=            '<div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=        '<div class="item-product19 text-center">
                                            <div class="product-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'">
                                                    '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                </a>
                                            </div>
                                            <div class="product-info">
                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                '.s7upf_get_rating_html().'
                                                '.s7upf_get_price_html().'
                                            </div>
                                        </div>';
                    }
                }
                $html .=            '</div>';
                $html .=        '</div>
                            </div>';
                break;

            case 'mega-sale':
                if(empty($item) && empty($item_res)) $item_res = '0:1,480:2,768:3,990:4';
                if(empty($item)) $item = 4;
                if(empty($size)) $size = array(200,200);
                if(!empty($time2)) $time2 = s7upf_get_deals_time($time2);
                $html .=    '<div class="mega-product-sale">';
                if(!empty($title)) $html .=    '<h2 class="title14 border-bottom">sale</h2>';
                if(!empty($time2)){
                    $html .=    '<div class="hotdeal5">';
                    $html .=        '<span>'.esc_html__("Ends in:","isone").'</span>
                                    <div class="countdown-master flip-clock-wrapper" data-time="'.esc_attr($time2).'"></div>
                                </div>';                
                }
                $html .=        '<div class="mega-sale-slider">';
                $html .=            '<div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=        '<div class="item-product19 ver">
                                            <div class="product-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'">
                                                    '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                </a>
                                                '.s7upf_get_saleoff_html().'
                                            </div>
                                            <div class="product-info">
                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                '.s7upf_get_rating_html().'
                                                '.s7upf_get_price_html().'
                                            </div>
                                        </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'list-banner-scroll':
                if(empty($size)) $size = array(270,270);
                $html .=    '<div class="product-scroll-bar">';
                if(!empty($title)){
                $html .=        '<div class="title-box19">
                                    <span class="color"><i class="fa '.esc_attr($icon).'"></i> </span><h2 class="title18">'.esc_html($title).'</h2>
                                </div>';
                }
                $html .=        '<ul class="list-product-scroll list-none">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=        '<li>
                                            <div class="item-product-scroll table">
                                                <div class="product-thumb">
                                                    <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link zoom-thumb">
                                                        '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                    </a>
                                                </div>
                                                <div class="product-info">
                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                    '.s7upf_get_rating_html().'
                                                    '.s7upf_get_price_html().'
                                                </div>
                                            </div>
                                        </li>';
                    }
                }
                $html .=        '</ul>
                            </div>';
                break;

            case 'flash-deals1':
                if(empty($item) && empty($item_res)) $item_res = '0:1,480:2,768:3,990:4,1024:5';
                if(empty($item)) $item = 5;
                if(empty($size)) $size = array(200,200);
                $html .=    '<div class="product-box19 deal-box2">';
                if(!empty($title)){
                    $html .=    '<div class="title-box19">';
                    if(!empty($icon)) $html .=    '<span class="color"><i class="fa '.esc_attr($icon).'"></i> </span>';
                    $html .=        '<ul class="list-inline-block">';
                    if(!empty($title)) $html .=        '<li><h2 class="title18">'.$title.'</h2></li>';
                    if(!empty($time)){
                        $html .=        '<li>
                                            <div class="end-in2 white bg-color">
                                                <strong>'.esc_html__("Ends in:","isone").'</strong>
                                                <div class="time-countdown" data-date="'.esc_attr($time).'" data-day="false" data-text="[&quot;&quot;,&quot;&quot;,&quot;&quot;,&quot;&quot;]"></div>
                                            </div>
                                        </li>';
                                    }
                    if(!empty($des)) $html .=        '<li><strong class="gray">'.$des.'</strong></li>';
                    $html .=        '</ul>';
                    if(!empty($view_link)) $html .=        '<a href="'.esc_url($view_link).'" class="view-more wobble-top silver">'.esc_html__("View more","isone").'</a>';
                    $html .=    '</div>';
                }
                $html .=        '<div class="product-box-slider2">';
                $html .=            '<div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=        '<div class="item-product19 text-center">
                                            <div class="product-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'">
                                                    '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                </a>
                                            </div>
                                            <div class="product-info">
                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                '.s7upf_get_rating_html().'
                                                '.s7upf_get_price_html().'
                                            </div>
                                        </div>';
                    }
                }
                $html .=            '</div>';
                $html .=        '</div>
                            </div>';
                break;

            default:
                if(empty($item) && empty($item_res)) $item_res = '0:1,640:2,990:3,1024:4';
                if(empty($item)) $item = 4;
                if(empty($size)) $size = array(200,200);
                if(empty($title)) $image_pos = '';
                $html .=    '<div class="product-box01 '.esc_attr($image_pos).' bg-white border">';
                if(!empty($title)){
                    $html .=    '<div class="banner-adv01 adv-background" data-image="'.esc_attr(wp_get_attachment_image_url($image,'full')).'">
                                    <div class="adv-info white text-center">
                                        <h2 class="title18">'.$title.'</h2>
                                        <a href="'.esc_url($view_link).'" class="shopnow border radius white">'.esc_html__("shop now","isone").'</a>
                                    </div>
                                </div>';
                }
                $html .=        '<div class="product-box-slider01">';
                $html .=            '<div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($product_query->have_posts()) {
                    while($product_query->have_posts()) {
                        $product_query->the_post();
                        $html .=        '<div class="item-product19 text-center">
                                            <div class="product-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'">
                                                    '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                </a>
                                            </div>
                                            <div class="product-info">
                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                '.s7upf_get_rating_html().'
                                                '.s7upf_get_price_html().'
                                            </div>
                                        </div>';
                    }
                }
                $html .=            '</div>';
                $html .=        '</div>
                            </div>';
                break;
        }
        wp_reset_postdata();
        return $html;
    }
}

stp_reg_shortcode('sv_product_list','sv_vc_product_list');
$check_add = '';
if(isset($_GET['return'])) $check_add = $_GET['return'];
if(empty($check_add)) add_action( 'vc_before_init_base','sv_add_list_product',10,100 );
if ( ! function_exists( 'sv_add_list_product' ) ) {
    function sv_add_list_product(){
        vc_map( array(
            "name"      => esc_html__("SV Product list", 'isone'),
            "base"      => "sv_product_list",
            "icon"      => "icon-st",
            "category"  => '7Up-theme',
            "params"    => array(
                array(
                    'heading'     => esc_html__( 'Style', 'isone' ),
                    'holder'      => 'div',
                    'type'        => 'dropdown',
                    'description' => esc_html__( 'Choose style to display.', 'isone' ),
                    'param_name'  => 'style',
                    'value'       => array(                        
                        esc_html__('List slider (Home 1)','isone')     => 'list-slider1',
                        esc_html__('Flash Deals (Home 1)','isone')     => 'flash-deals1',
                        esc_html__('List slider (Home 2)','isone')     => 'list-slider2',
                        esc_html__('Grid animation (Home 2)','isone')  => 'grid-animation',
                        esc_html__('Grid (Home 3)','isone')            => 'grid-home3',
                        esc_html__('Grid small (Home 3)','isone')      => 'grid-small3',
                        esc_html__('List slider (Adv Home 4)','isone') => 'list-slider4-adv',
                        esc_html__('List load more','isone')           => 'list-loadmore',
                        esc_html__('Grid (Home 6)','isone')            => 'grid-home6',
                        esc_html__('List side (Home 6)','isone')       => 'list-side6',
                        esc_html__('Categories tab slider (Home 8)','isone')       => 'cat-slider8',
                        esc_html__('Mega Sale','isone')                => 'mega-sale',
                        esc_html__('List banner scroll','isone')       => 'list-banner-scroll',
                        esc_html__('List slider small 10','isone')       => 'list-slider10',
                        esc_html__('List slider 11 (Time countdown)','isone')       => 'list-slider11',
                        esc_html__('Categories tab slider(Ajax loader 11)','isone')       => 'cat-tab11',
                        esc_html__('List side (Home 12)','isone')       => 'list-side12',
                        esc_html__('Categories tab slider (Home 12)','isone')       => 'cat-slider12',
                        esc_html__('List slider 13','isone')       => 'list-slider13',
                        esc_html__('List slider mega menu','isone')     => 'list-megamenu',
                        )
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Custom class item",'isone'),
                    "param_name" => "item_class",
                    'description'   => esc_html__( 'Enter class for item grid. You can change column display form here. Default is "col-md-3 col-sm-6 col-xs-6"', 'isone' ),
                    'dependency'    => array(
                        'element'   => 'style',
                        'value'   => array('grid-home6'),
                        ),
                ),
                array(
                    "type" => "checkbox",
                    "holder" => "div",
                    "heading" => esc_html__("Box Display",'isone'),
                    "param_name" => "check_show",
                    "value"     => array(
                        esc_html__("Sort selection",'isone') => 'sort',
                        esc_html__("Social Item",'isone')  => 'social',
                        esc_html__("Free Ship",'isone')   => 'free-ship',
                        ),
                    'dependency'    => array(
                        'element'   => 'style',
                        'value'   => array('list-loadmore'),
                        ),
                ),
                array(
                    'heading'     => esc_html__( 'Color Box', 'isone' ),
                    'type'        => 'dropdown',
                    'param_name'  => 'color_box',
                    'value'       => array(                        
                        esc_html__('Default)','isone')    => '',
                        esc_html__('Blue','isone')        => 'blue-box',
                        esc_html__('Red','isone')         => 'red-box',
                        esc_html__('Purple','isone')      => 'purple-box',
                        esc_html__('Green','isone')       => 'green-box',
                        esc_html__('Orange','isone')      => 'orange-box',
                        ),
                    'dependency'    => array(
                        'element'   => 'style',
                        'value'   => array('list-slider4-adv'),
                        ),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Time",'isone'),
                    "param_name" => "time",
                    'description'   => esc_html__( 'Enter time for countdown. Format is mm/dd/yyyy or mm/dd/yyyy hh:mm:ss. Example: 12/15/2017', 'isone' ),
                    'dependency'    => array(
                        'element'   => 'style',
                        'value'   => array('flash-deals1','list-slider11'),
                        ),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Time",'isone'),
                    "param_name" => "time2",
                    'description'   => esc_html__( 'Enter time(hours:minutes) to countdown. Format is hh:mm. Example 18:30.', 'isone' ),
                    'dependency'    => array(
                        'element'   => 'style',
                        'value'   => array('mega-sale'),
                        ),
                ),
                array(
                    'heading'     => esc_html__( 'Adv position', 'isone' ),
                    'type'        => 'dropdown',
                    'param_name'  => 'image_pos',
                    'value'       => array(                        
                        esc_html__('Left','isone')     => 'ad-left',
                        esc_html__('Right','isone')     => 'ad-right',
                        ),
                    "dependency"    => array(
                        "element"       => "style",
                        "value"         => array('list-slider1'),
                        )
                ),
                array(
                    'heading'     => esc_html__( 'Intro position', 'isone' ),
                    'type'        => 'dropdown',
                    'param_name'  => 'intro_pos',
                    'value'       => array(                        
                        esc_html__('Left','isone')     => 'intro-left',
                        esc_html__('Right','isone')     => 'intro-right',
                        ),
                    "dependency"    => array(
                        "element"       => "style",
                        "value"         => array('list-slider2'),
                        )
                ),
                array(
                    "type"          => "attach_image",
                    "heading"       => esc_html__("Image adv",'isone'),
                    "param_name"    => "image",
                    "dependency"    => array(
                        "element"       => "style",
                        "value"         => array('list-slider1'),
                        )
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("View link",'isone'),
                    "param_name"    => "view_link",
                    "dependency"    => array(
                        "element"       => "style",
                        "value"         => array('list-slider1','flash-deals1','list-slider2','grid-home6'),
                        )
                ),
                array(
                    'type'        => 'textfield',
                    'holder'      => 'h3',
                    'heading'     => esc_html__( 'Title', 'isone' ),
                    'param_name'  => 'title',
                ),
                array(
                    'type'        => 'textfield',
                    'holder'      => 'h3',
                    'heading'     => esc_html__( 'Title Product List', 'isone' ),
                    'param_name'  => 'title_list',
                    "dependency"    => array(
                        "element"       => "style",
                        "value"         => array('list-slider4-adv'),
                        )
                ),
                array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Description', 'isone' ),
                    'param_name'  => 'des',
                    "dependency"    => array(
                        "element"       => "style",
                        "value"         => array('flash-deals1','grid-animation'),
                        )
                ),
                array(
                    'type'          => 'iconpicker',
                    'heading'       => esc_html__( 'Icon', 'isone' ),
                    'param_name'    => 'icon',
                    'value'         => '',
                    'settings'      => array(
                        'emptyIcon'     => true,
                        'iconsPerPage'  => 4000,
                    ),
                    'description'   => esc_html__( 'Select icon from library.', 'isone' ),
                    "dependency"    => array(
                        "element"       => "style",
                        "value"         => array('flash-deals1','list-banner-scroll','grid-home3','grid-small3','list-slider4-adv','list-side6'),
                        )
                ),
                array(
                    'heading'     => esc_html__( 'Number', 'isone' ),
                    'type'        => 'textfield',
                    'description' => esc_html__( 'Enter number of product. Default is 8.', 'isone' ),
                    'param_name'  => 'number',
                ),
                array(
                    'heading'     => esc_html__( 'Product Type', 'isone' ),
                    'type'        => 'dropdown',
                    'param_name'  => 'product_type',
                    'value' => array(
                        esc_html__('Default','isone')            => '',
                        esc_html__('Trendding','isone')          => 'trendding',
                        esc_html__('Featured Products','isone')  => 'featured',
                        esc_html__('Best Sellers','isone')       => 'bestsell',
                        esc_html__('On Sale','isone')            => 'onsale',
                        esc_html__('Top rate','isone')           => 'toprate',
                        esc_html__('Most view','isone')          => 'mostview',
                        esc_html__('Recently viewed','isone')    => 'recently-viewed',
                    ),
                    'description' => esc_html__( 'Select Product View Type', 'isone' ),
                ),
                array(
                    'holder'     => 'div',
                    'heading'     => esc_html__( 'Product Categories', 'isone' ),
                    'type'        => 'autocomplete',
                    'param_name'  => 'cats',
                    'settings' => array(
                        'multiple' => true,
                        'sortable' => true,
                        'values' => s7upf_get_product_taxonomy(),
                    ),
                    'save_always' => true,
                    'description' => esc_html__( 'List of product categories', 'isone' ),
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Order By', 'isone' ),
                    'value' => s7upf_get_order_list(),
                    'param_name' => 'orderby',
                    'description' => esc_html__( 'Select Orderby Type ', 'isone' ),
                    'edit_field_class'=>'vc_col-sm-6 vc_column',
                ),
                array(
                    'heading'     => esc_html__( 'Order', 'isone' ),
                    'type'        => 'dropdown',
                    'param_name'  => 'order',
                    'value' => array(                   
                        esc_html__('Desc','isone')  => 'DESC',
                        esc_html__('Asc','isone')  => 'ASC',
                    ),
                    'description' => esc_html__( 'Select Order Type ', 'isone' ),
                    'edit_field_class'=>'vc_col-sm-6 vc_column',
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Size Thumbnail",'isone'),
                    "param_name"    => "size",
                    "group"         => esc_html__("Advanced",'isone'),
                    'description'   => esc_html__( 'Enter site thumbnail to crop. [width]x[height]. Example is 300x300', 'isone' ),
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Item",'isone'),
                    "param_name"    => "item",
                    "group"         => esc_html__("Advanced",'isone'),
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Item Responsive",'isone'),
                    "param_name"    => "item_res",
                    "group"         => esc_html__("Advanced",'isone'),
                    'description'   => esc_html__( 'Enter item for screen width(px) format is width:value and separate values by ",". Example is 0:2,600:3,1000:4. Default is auto.', 'isone' ),
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Speed",'isone'),
                    "param_name"    => "speed",
                    "group"         => esc_html__("Advanced",'isone'),                    
                ),
                array(
                    "type" => "param_group",
                    "heading" => esc_html__("Add Image Slider",'isone'),
                    "param_name" => "adv_slider",
                    "group"         => esc_html__("Advantage image",'isone'),
                    "params"    => array(
                        array(
                            "type" => "attach_image",
                            "heading" => esc_html__("Image",'isone'),
                            "param_name" => "image",
                        ),
                        array(
                            "type" => "textfield",
                            "heading" => esc_html__("Title",'isone'),
                            "param_name" => "title",
                        ),
                        array(
                            "type" => "textfield",
                            "heading" => esc_html__("Description",'isone'),
                            "param_name" => "des",
                        ),
                        array(
                            "type" => "textfield",
                            "heading" => esc_html__("Link",'isone'),
                            "param_name" => "link",
                        ),
                    ),
                    "dependency"    => array(
                        "element"       => "style",
                        "value"         => array('list-slider4-adv'),
                        )
                ),
                array(
                    "type" => "param_group",
                    "heading" => esc_html__("Add Image List",'isone'),
                    "param_name" => "adv_list",
                    "group"         => esc_html__("Advantage image",'isone'),
                    "params"    => array(
                        array(
                            "type" => "attach_image",
                            "heading" => esc_html__("Image",'isone'),
                            "param_name" => "image",
                        ),
                        array(
                            "type" => "textfield",
                            "heading" => esc_html__("Title",'isone'),
                            "param_name" => "title",
                        ),
                        array(
                            "type" => "textfield",
                            "heading" => esc_html__("Description",'isone'),
                            "param_name" => "des",
                        ),
                        array(
                            "type" => "textfield",
                            "heading" => esc_html__("Link",'isone'),
                            "param_name" => "link",
                        ),
                    ),
                    "dependency"    => array(
                        "element"       => "style",
                        "value"         => array('list-slider4-adv'),
                        )
                ),
                array(
                    "type" => "param_group",
                    "heading" => esc_html__("Add Category image tab",'isone'),
                    "param_name" => "tab_image",
                    "group"         => esc_html__("Tab image",'isone'),
                    "params"    => array(
                        array(
                            "type" => "attach_image",
                            "heading" => esc_html__("Image",'isone'),
                            "param_name" => "image",
                        ),
                    ),
                    "dependency"    => array(
                        "element"       => "style",
                        "value"         => array('cat-slider8','cat-tab11'),
                        )
                ),
            )
        ));
    }
}
//Home 5
    add_action( 'wp_ajax_load_more_products', 's7upf_load_more_products' );
    add_action( 'wp_ajax_nopriv_load_more_products', 's7upf_load_more_products' );
    if(!function_exists('s7upf_load_more_products')){
        function s7upf_load_more_products() {
            $paged = $_POST['paged'];
            $load_data = $_POST['load_data'];
            $load_data = str_replace('\"', '"', $load_data);
            $load_data = json_decode($load_data,true);
            extract($load_data);
            $html = '';
            $args = array(
                'post_type'         => 'product',
                'posts_per_page'    => $number,
                'orderby'           => $order_by,
                'order'             => $order,
                'paged'             => $paged + 1,
                );
            if($product_type == 'trendding'){
                $args['meta_query'][] = array(
                        'key'     => 'trending_product',
                        'value'   => 'on',
                        'compare' => '=',
                    );
            }
            if($product_type == 'toprate'){
                $args['meta_key'] = '_wc_average_rating';
                $args['orderby'] = 'meta_value_num';
                $args['meta_query'] = WC()->query->get_meta_query();
                $args['tax_query'][] = WC()->query->get_tax_query();
            }
            if($product_type == 'mostview'){
                $args['meta_key'] = 'post_views';
                $args['orderby'] = 'meta_value_num';
            }
            if($product_type == 'bestsell'){
                $args['meta_key'] = 'total_sales';
                $args['orderby'] = 'meta_value_num';
            }
            if($product_type=='onsale'){
                $args['meta_query']['relation']= 'OR';
                $args['meta_query'][]=array(
                    'key'   => '_sale_price',
                    'value' => 0,
                    'compare' => '>',                
                    'type'          => 'numeric'
                );
                $args['meta_query'][]=array(
                    'key'   => '_min_variation_sale_price',
                    'value' => 0,
                    'compare' => '>',                
                    'type'          => 'numeric'
                );
            }
            if($product_type == 'featured'){
                $args['tax_query'][] = array(
                    'taxonomy' => 'product_visibility',
                    'field'    => 'name',
                    'terms'    => 'featured',
                    'operator' => 'IN',
                );
            }
            if($product_type == 'recently-viewed'){
                $viewed_products = ! empty( $_COOKIE['woocommerce_recently_viewed'] ) ? (array) explode( '|', $_COOKIE['woocommerce_recently_viewed'] ) : array();
                $viewed_products = array_reverse( array_filter( array_map( 'absint', $viewed_products ) ) );
                $args['no_found_rows'] = 1;
                $args['post_status'] = 'publish';
                $args['post__in'] = $viewed_products;
                $args['orderby'] = 'post__in';
            }
            if(!empty($cats)) {
                $custom_list = explode(",",$cats);
                $args['tax_query'][]=array(
                    'taxonomy'=>'product_cat',
                    'field'=>'slug',
                    'terms'=> $custom_list
                );
            }
            if(isset($_GET['orderby'])) $orderby = $_GET['orderby'];
            if(!empty($orderby)){
                switch ($orderby) {
                    case 'price' :
                        $args['orderby']  = "meta_value_num ID";
                        $args['order']    = 'ASC';
                        $args['meta_key'] = '_price';
                    break;

                    case 'price-desc' :
                        $args['orderby']  = "meta_value_num ID";
                        $args['order']    = 'DESC';
                        $args['meta_key'] = '_price';
                    break;

                    case 'popularity' :
                        $args['meta_key'] = 'total_sales';
                        add_filter( 'posts_clauses', array( WC()->query, 'order_by_popularity_post_clauses' ) );
                    break;

                    case 'rating' :
                        $args['meta_key'] = '_wc_average_rating';
                        $args['orderby'] = 'meta_value_num';
                        $args['meta_query'] = WC()->query->get_meta_query();
                        $args['tax_query'][] = WC()->query->get_tax_query();
                    break;

                    case 'date':
                        $args['orderby'] = 'date';
                        break;
                    
                    default:
                        $args['orderby'] = $orderby;
                        break;
                }
            }
            $check_array = explode(',', $check_show);
            $product_query = new WP_Query($args);
            if($product_query->have_posts()) {
                while($product_query->have_posts()) {
                    $product_query->the_post();
                    $html .=    '<div class="item-product05 bg-white border">
                                    <div class="row">
                                        <div class="col-md-4 col-sm-4 col-xs-4">
                                            <div class="product-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link zoom-thumb">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                                <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link pos-bottom"><span>'.esc_html__("quick view","isone").'</span></a>
                                            </div>
                                        </div>
                                        <div class="col-md-8 col-sm-8 col-xs-8">
                                            <div class="product-info">
                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                '.s7upf_get_price_html().'
                                                '.s7upf_get_rating_html(false,'shop-list').'
                                                '.s7upf_product_link('home5');
                    if(in_array('social', $check_array) || in_array('free-ship', $check_array)) $html .=                '<div class="social-shipping">';
                    if(in_array('social', $check_array)){
                        $html .=                    '<div class="social-network05">
                                                        <a href="mailto:?subject='.esc_attr__("I wanted you to see this site&amp;body=Check out this site","isone").' '.get_the_permalink().'" class="float-shadow"><img src="'.get_template_directory_uri().'/assets/css/images/home/home5/icon1.jpg" alt=""></a>
                                                        <a href="'.esc_url('http://pinterest.com/pin/create/button/?url='.get_the_permalink().'&amp;media='.wp_get_attachment_url(get_post_thumbnail_id())).'" class="float-shadow"><img src="'.get_template_directory_uri().'/assets/css/images/home/home5/icon2.jpg" alt=""></a>
                                                        <a href="'.esc_url('http://linkedin.com/shareArticle?mini=true&amp;url='.get_the_permalink().'&amp;title='.get_the_title()).'" class="float-shadow"><img src="'.get_template_directory_uri().'/assets/css/images/home/home5/icon3.jpg" alt=""></a>
                                                    </div>';
                    }
                    if(in_array('free-ship', $check_array)){
                        $html .=                    '<div class="free-ship05">
                                                        <span class="color"><i class="fa fa-car"></i></span><span class="back">'.esc_html__("Free Shipping","isone").'</span>
                                                    </div>';
                    }
                    if(in_array('social', $check_array) || in_array('free-ship', $check_array)) $html .=                '</div>';
                    $html .=                   '<p class="desc">'.get_the_excerpt().'</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>';
                }
            }
            echo apply_filters('s7upf_output_content',$html);
            wp_reset_postdata();
            die();
        }
    }
    //Home 11
    add_action( 'wp_ajax_load_tab_products', 's7upf_load_tab_products' );
    add_action( 'wp_ajax_nopriv_load_tab_products', 's7upf_load_tab_products' );
    if(!function_exists('s7upf_load_tab_products')){
        function s7upf_load_tab_products() {
            $cats = $_POST['cat'];
            $load_data = $_POST['load_data'];
            $load_data = str_replace('\"', '"', $load_data);
            $load_data = json_decode($load_data,true);
            extract($load_data);
            $html = '';
            $args = array(
                'post_type'         => 'product',
                'posts_per_page'    => $number,
                'orderby'           => $order_by,
                'order'             => $order,
                );
            if($product_type == 'trendding'){
                $args['meta_query'][] = array(
                        'key'     => 'trending_product',
                        'value'   => 'on',
                        'compare' => '=',
                    );
            }
            if($product_type == 'toprate'){
                $args['meta_key'] = '_wc_average_rating';
                $args['orderby'] = 'meta_value_num';
                $args['meta_query'] = WC()->query->get_meta_query();
                $args['tax_query'][] = WC()->query->get_tax_query();
            }
            if($product_type == 'mostview'){
                $args['meta_key'] = 'post_views';
                $args['orderby'] = 'meta_value_num';
            }
            if($product_type == 'bestsell'){
                $args['meta_key'] = 'total_sales';
                $args['orderby'] = 'meta_value_num';
            }
            if($product_type=='onsale'){
                $args['meta_query']['relation']= 'OR';
                $args['meta_query'][]=array(
                    'key'   => '_sale_price',
                    'value' => 0,
                    'compare' => '>',                
                    'type'          => 'numeric'
                );
                $args['meta_query'][]=array(
                    'key'   => '_min_variation_sale_price',
                    'value' => 0,
                    'compare' => '>',                
                    'type'          => 'numeric'
                );
            }
            if($product_type == 'featured'){
                $args['tax_query'][] = array(
                    'taxonomy' => 'product_visibility',
                    'field'    => 'name',
                    'terms'    => 'featured',
                    'operator' => 'IN',
                );
            }
            if($product_type == 'recently-viewed'){
                $viewed_products = ! empty( $_COOKIE['woocommerce_recently_viewed'] ) ? (array) explode( '|', $_COOKIE['woocommerce_recently_viewed'] ) : array();
                $viewed_products = array_reverse( array_filter( array_map( 'absint', $viewed_products ) ) );
                $args['no_found_rows'] = 1;
                $args['post_status'] = 'publish';
                $args['post__in'] = $viewed_products;
                $args['orderby'] = 'post__in';
            }
            if(!empty($cats)) {
                $custom_list = explode(",",$cats);
                $args['tax_query'][]=array(
                    'taxonomy'=>'product_cat',
                    'field'=>'slug',
                    'terms'=> $custom_list
                );
            } 
            $product_query = new WP_Query($args);
            if($product_query->have_posts()) {
                while($product_query->have_posts()) {
                    $product_query->the_post();
                    $html .=    '<div class="item-product item-new-pro08 border">
                                    <div class="product-thumb">
                                        <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                            '.get_the_post_thumbnail(get_the_ID(),$size).'
                                        </a>
                                        <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link plus">'.esc_html__("quick view","isone").'</a>
                                        '.s7upf_product_link().'
                                    </div>
                                    <div class="product-info">
                                        <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                        '.s7upf_get_rating_html().'
                                        '.s7upf_get_price_html().'
                                    </div>
                                </div>';
                }
            }
            echo apply_filters('s7upf_output_content',$html);
            wp_reset_postdata();
            die();
        }
    }
}