<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 05/09/15
 * Time: 10:00 AM
 */
if(class_exists("woocommerce")){
    if(!function_exists('s7upf_vc_product_tab'))
    {
        function s7upf_vc_product_tab($attr, $content = false)
        {
            $html = $el_class = $html_wl = $html_cp = '';
            extract(shortcode_atts(array(
                'style'             => '',
                'tabs'              => '',
                'number'            => '',
                'cats'              => '',
                'brands'            => '',
                'order_by'          => 'date',
                'order'             => 'DESC',
                'size'              => '',
                'item'          => '',
                'item_res'      => '',
                'speed'         => '',
                'title'         => '',
            ),$attr));
            $args=array(
                'post_type'         => 'product',
                'posts_per_page'    => $number,
                'orderby'           => $order_by,
                'order'             => $order
            );
            if(!empty($cats)) {
                $custom_list = explode(",",$cats);
                $args['tax_query'][]=array(
                    'taxonomy'=>'product_cat',
                    'field'=>'slug',
                    'terms'=> $custom_list
                );
            }
            if(!empty($brands)) {
                $custom_brands = explode(",",$brands);
                $args['tax_query']['relation'] =  'AND';
                $args['tax_query'][]=array(
                    'taxonomy'=>'product_brand',
                    'field'=>'slug',
                    'terms'=> $custom_brands
                );
            }
            if(!empty($size)) $size = explode('x', $size);
            $pre = rand(1,100);
            if(!empty($tabs)){
                $tabs = explode(',', $tabs);
                $tab_html = $content_html = $tab_html2 = '';
                foreach ($tabs as $key => $tab) {
                    switch ($tab) {
                        case 'bestsell':
                            $tab_title =    esc_html__("Popular","isone");
                            $args['meta_key'] = 'total_sales';
                            $args['orderby'] = 'meta_value_num';
                            break;

                        case 'toprate':
                            $tab_title =    esc_html__("Most review","isone");
                            unset($args['meta_key']);
                            $args['meta_key'] = '_wc_average_rating';
                            $args['orderby'] = 'meta_value_num';
                            $args['meta_query'] = WC()->query->get_meta_query();
                            $args['tax_query'][] = WC()->query->get_tax_query();
                            break;
                        
                        case 'mostview':
                            $tab_title =    esc_html__("Most View","isone");
                            unset($args['no_found_rows']);
                            unset($args['meta_query']);
                            unset($args['tax_query']);
                            if(!empty($cats)) {
                                $custom_list = explode(",",$cats);
                                $args['tax_query'][]=array(
                                    'taxonomy'=>'product_cat',
                                    'field'=>'slug',
                                    'terms'=> $custom_list
                                );
                            }
                            $args['meta_key'] = 'post_views';
                            $args['orderby'] = 'meta_value_num';
                            break;

                        case 'featured':
                            $tab_title =    esc_html__("Featured","isone");
                            $args['tax_query'][] = array(
                                'taxonomy' => 'product_visibility',
                                'field'    => 'name',
                                'terms'    => 'featured',
                                'operator' => 'IN',
                            );
                            break;

                        case 'trendding':
                            unset($args['meta_key']);
                            unset($args['meta_value']);
                            $tab_title =    esc_html__("Tredding","isone");
                            $args['meta_query'][] = array(
                                'key'     => 'trending_product',
                                'value'   => 'on',
                                'compare' => '=',
                            );
                            break;
                        
                        case 'onsale':
                            $tab_title =    esc_html__("On sale","isone");
                            unset($args['meta_query']);
                            unset($args['meta_key']);
                            unset($args['meta_value']);
                            $args['meta_query']['relation']= 'OR';
                            $args['meta_query'][]=array(
                                'key'   => '_sale_price',
                                'value' => 0,
                                'compare' => '>',                
                                'type'          => 'numeric'
                            );
                            $args['meta_query'][]=array(
                                'key'   => '_min_variation_sale_price',
                                'value' => 0,
                                'compare' => '>',                
                                'type'          => 'numeric'
                            );
                            break;
                        
                        default:
                            $tab_title =    esc_html__("New arrivals","isone");
                            $args['orderby'] = 'date';
                            break;
                    }
                    if($key == 0) $f_class = 'active';
                    else $f_class = '';
                    $product_query = new WP_Query($args);
                    $count = 1;
                    $count_query = $product_query->post_count;
                    $tab_html .=    '<li class="'.$f_class.'"><a class="title14" href="'.esc_url('#'.$pre.$tab).'" data-toggle="tab">'.$tab_title.'</a></li>';
                    $content_html .=    '<div id="'.$pre.$tab.'" class="tab-pane clearfix '.$f_class.'">';
                    switch ($style) {
                        case 'home10':
                            $tab_html2 .=    '<li class="'.$f_class.'"><a class="shop-button bg-white" href="'.esc_url('#'.$pre.$tab).'" data-toggle="tab">'.$tab_title.'</a></li>';
                            if(empty($item) && empty($item_res)) $item_res = '0:1,560:2,990:3';
                            if(empty($item)) $item = 3;
                            if(empty($size)) $size = array(380,380);
                            $content_html .=    '<div class="product-tab-slider10">
                                                    <div class="wrap-item group-navi navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                            if($product_query->have_posts()) {
                                while($product_query->have_posts()) {
                                    $product_query->the_post();
                                    $content_html .=    '<div class="item-product10 bg-white">
                                                            <div class="product-thumb">
                                                                <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link zoom-thumb">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                                            </div>
                                                            <div class="product-info">
                                                                <h3 class="product-title font-bold"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                                '.s7upf_get_price_html().'
                                                                '.s7upf_get_rating_html(false,'shop-list').'
                                                                '.s7upf_product_link('product-extra-link5-10').'
                                                            </div>
                                                        </div>';
                                }
                            }
                            $content_html .=        '</div>
                                                </div>';
                            break;

                        case 'home9':
                            if(empty($size)) $size = array(380,380);
                            $content_html .=    '<div class="list-product-loadmore09">
                                                    <div class="row">';
                            if($product_query->have_posts()) {
                                while($product_query->have_posts()) {
                                    $product_query->the_post();
                                    $content_html .=    '<div class="col-md-4 col-sm-4 col-xs-6">
                                                            <div class="item-product item-product09">
                                                                <div class="product-thumb">
                                                                    <a class="product-thumb-link" href="'.esc_url(get_the_permalink()).'">
                                                                        '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                                    </a>
                                                                    <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link"><span>'.esc_html__("quick view","isone").'</span></a>
                                                                    '.s7upf_product_link('product-extra-link5-2').'
                                                                </div>
                                                                <div class="product-info">
                                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                                    '.s7upf_get_rating_html(true).'
                                                                    '.s7upf_get_cat_in2().'
                                                                    '.s7upf_get_price_html().'
                                                                </div>
                                                            </div>
                                                        </div>';
                                }
                            }
                            $content_html .=        '</div>';
                            $max_page = $product_query->max_num_pages;
                            $data_load = array(
                                "number"        => $number,
                                "order"         => $order,
                                "order_by"      => $order_by,
                                "tab"           => $tab,
                                "cats"          => $cats,
                                "size"          => $size,
                                );
                            $data_loadjs = json_encode($data_load);
                            if($max_page > 1) $content_html .=  '<a data-paged="1" data-maxpage="'.esc_attr($max_page).'" data-load_data="'.esc_attr($data_loadjs).'" href="#" class="text-center black btn-loadmore09 load-more9">'.esc_html__("load more products","isone").'</a>';
                            $content_html .=    '</div>';
                            break;

                        case 'home8':
                            if(empty($item) && empty($item_res)) $item_res = '0:1,480:2,980:3,1200:4';
                            if(empty($item)) $item = 4;
                            if(empty($size)) $size = array(300,300);
                            $content_html .=    '<div class="product-slider08 lf-append">
                                                    <div class="wrap-item navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="">';
                            if($product_query->have_posts()) {
                                while($product_query->have_posts()) {
                                    $product_query->the_post();
                                     if($count % 2 == 1) $content_html .=    '<div class="item-pro08">';
                                    $content_html .=    '<div class="item-product">
                                                            <div class="product-thumb">
                                                                <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                                                    '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                                </a>
                                                                <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link plus">'.esc_html__("quick view","isone").'</a>
                                                                '.s7upf_product_link().'
                                                            </div>
                                                            <div class="product-info">
                                                                <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                                '.s7upf_get_price_html().'
                                                                '.s7upf_get_rating_html().'                                                                    
                                                            </div>
                                                        </div>';
                                    if($count % 2 == 0 || $count == $count_query) $content_html .=    '</div>';
                                    $count++;
                                }
                            }
                            $content_html .=        '</div>
                                                </div>';
                            break;
                        
                        default:
                            if(empty($size)) $size = array(300,300);
                            $content_html .=    '<div class="list-product-loadmore07 clearfix">';
                            if($product_query->have_posts()) {
                                while($product_query->have_posts()) {
                                    $product_query->the_post();
                                    $content_html .=    '<div class="product-5-col">
                                                            <div class="item-product19 item-product text-center">
                                                                <div class="product-thumb">
                                                                    <a class="product-thumb-link" href="'.esc_url(get_the_permalink()).'">
                                                                        '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                                    </a>
                                                                    <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link plus">'.esc_html__("quick view","isone").'</a>
                                                                    '.s7upf_product_link().'
                                                                </div>
                                                                <div class="product-info">
                                                                    <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                                                    '.s7upf_get_rating_html().'
                                                                    '.s7upf_get_price_html().'
                                                                </div>
                                                            </div>
                                                        </div>';
                                }
                            }
                            $content_html .=    '</div>';
                            $max_page = $product_query->max_num_pages;
                            $data_load = array(
                                "number"        => $number,
                                "order"         => $order,
                                "order_by"      => $order_by,
                                "tab"           => $tab,
                                "cats"          => $cats,
                                "size"          => $size,
                                );
                            $data_loadjs = json_encode($data_load);
                            if($max_page > 1) $content_html .=  '<div class="text-center">
                                                                    <a data-paged="1" data-maxpage="'.esc_attr($max_page).'" data-load_data="'.esc_attr($data_loadjs).'" href="#" class="shop-button load-more7">'.esc_html__("load more products","isone").'</a>
                                                                </div>';
                            break;
                    }                   
                    $content_html .=    '</div>';
                }
                switch ($style) {
                    case 'home10':
                        $html .=    '<div class="our-product10-wrap">';
                        if(!empty($title)) $html .=    '<h2 class="title30">'.esc_html($title).'</h2>';
                        $html .=        '<ul class="title-tab10 list-inline-block font-bold text-uppercase">
                                            '.$tab_html2.'
                                        </ul>
                                        <div class="tab-content">
                                            '.$content_html.'
                                        </div>
                                    </div>';
                        break;

                    case 'home9':
                        $html .=    '<div class="our-product09">';
                        if(!empty($title)) $html .=    '<h2 class="title30 text-center font-bold">'.esc_html($title).'</h2>';
                        $html .=        '<ul class="list-tab09 list-inline-block text-center">
                                            '.$tab_html.'
                                        </ul>
                                        <div class="tab-content">
                                            '.$content_html.'
                                        </div>
                                    </div>';
                        break;

                    case 'home8':
                        $html .=    '<div class="product-tab08">
                                        <div class="title-tab12">
                                            <ul class="list-none">
                                                '.$tab_html.'
                                            </ul>
                                        </div>
                                        <div class="tab-content">
                                            '.$content_html.'
                                        </div>
                                    </div>';                        
                        break;
                    
                    default:
                        $html .=    '<div class="product-tab07">
                                        <ul class="list-inline-block list-tab07 text-center">
                                            '.$tab_html.'
                                        </ul>
                                        <div class="tab-content">
                                            '.$content_html.'
                                        </div>
                                    </div>';
                        break;
                }                
            }
            wp_reset_postdata();
            return $html;
        }
    }

    stp_reg_shortcode('sv_product_tab','s7upf_vc_product_tab');
    add_action( 'vc_before_init_base','s7upf_add_product_tab',10,100 );
    if ( ! function_exists( 's7upf_add_product_tab' ) ) {
        function s7upf_add_product_tab(){
            vc_map( array(
                "name"      => esc_html__("SV Product Tab", 'isone'),
                "base"      => "sv_product_tab",
                "icon"      => "icon-st",
                "category"  => '7Up-theme',
                "params"    => array(
                    array(
                        "type" => "dropdown",
                        "heading" => esc_html__("Style",'isone'),
                        "param_name" => "style",
                        "value"     => array(
                            esc_html__("Default",'isone')   => '',
                            esc_html__("Home 8",'isone')   => 'home8',
                            esc_html__("Home 9",'isone')   => 'home9',
                            esc_html__("Home 10",'isone')   => 'home10',
                            )
                    ),
                    array(
                        "type" => "textfield",
                        "holder" => "div",
                        "heading" => esc_html__("Title",'isone'),
                        "param_name" => "title",
                        "dependency"    => array(
                            "element"   => "style",
                            "value"   => array("home9",'home10'),
                            )
                    ),
                    array(
                        'heading'     => esc_html__( 'Number', 'isone' ),
                        'type'        => 'textfield',
                        'description' => esc_html__( 'Enter number of product. Default is 10.', 'isone' ),
                        'param_name'  => 'number',
                    ),
                    array(
                        'holder'     => 'div',
                        'heading'     => esc_html__( 'Product Categories', 'isone' ),
                        'type'        => 'checkbox',
                        'param_name'  => 'cats',
                        'value'       => s7upf_list_taxonomy('product_cat',false)
                    ),                    
                    array(
                        'holder'     => 'div',
                        'heading'     => esc_html__( 'Product Brands', 'isone' ),
                        'type'        => 'checkbox',
                        'param_name'  => 'brands',
                        'value'       => s7upf_list_taxonomy('product_brand',false)
                    ),
                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__( 'Order By', 'isone' ),
                        'value' => s7upf_get_order_list(),
                        'param_name' => 'orderby',
                        'description' => esc_html__( 'Select Orderby Type ', 'isone' ),
                        'edit_field_class'=>'vc_col-sm-6 vc_column',
                    ),
                    array(
                        'heading'     => esc_html__( 'Order', 'isone' ),
                        'type'        => 'dropdown',
                        'param_name'  => 'order',
                        'value' => array(                   
                            esc_html__('Desc','isone')  => 'DESC',
                            esc_html__('Asc','isone')  => 'ASC',
                        ),
                        'description' => esc_html__( 'Select Order Type ', 'isone' ),
                        'edit_field_class'=>'vc_col-sm-6 vc_column',
                    ),
                    array(
                        "type" => "checkbox",
                        "heading" => esc_html__("Tabs",'isone'),
                        "param_name" => "tabs",
                        "value" => array(
                            esc_html__("New Arrivals",'isone')    => 'newarrival',
                            esc_html__("Best Seller",'isone')     => 'bestsell',
                            esc_html__("Most Review",'isone')     => 'toprate',
                            esc_html__("Most View",'isone')       => 'mostview',
                            esc_html__("Featured",'isone')        => 'featured',
                            esc_html__("Trendding",'isone')       => 'trendding',
                            esc_html__("On Sale",'isone')         => 'onsale',
                            ),
                    ),
                    array(
                        "type"          => "textfield",
                        "heading"       => esc_html__("Size Thumbnail",'isone'),
                        "param_name"    => "size",
                        "group"         => esc_html__("Advanced",'isone'),
                        'description'   => esc_html__( 'Enter site thumbnail to crop. [width]x[height]. Example is 300x300', 'isone' ),
                    ),
                    array(
                        "type"          => "textfield",
                        "heading"       => esc_html__("Item slider",'isone'),
                        "param_name"    => "item",
                        "group"         => esc_html__("Advanced",'isone'),
                    ),
                    array(
                        "type"          => "textfield",
                        "heading"       => esc_html__("Item Responsive",'isone'),
                        "param_name"    => "item_res",
                        "group"         => esc_html__("Advanced",'isone'),
                        'description'   => esc_html__( 'Enter item for screen width(px) format is width:value and separate values by ",". Example is 0:2,600:3,1000:4. Default is auto.', 'isone' ),
                    ),
                    array(
                        "type"          => "textfield",
                        "heading"       => esc_html__("Speed slider",'isone'),
                        "param_name"    => "speed",
                        "group"         => esc_html__("Advanced",'isone'),                    
                    ),
                )
            ));
        }
    }
    add_action( 'wp_ajax_load_more_products7', 's7upf_load_more_products7' );
    add_action( 'wp_ajax_nopriv_load_more_products7', 's7upf_load_more_products7' );
    if(!function_exists('s7upf_load_more_products7')){
        function s7upf_load_more_products7() {
            $paged = $_POST['paged'];
            $load_data = $_POST['load_data'];
            $load_data = str_replace('\"', '"', $load_data);
            $load_data = json_decode($load_data,true);
            extract($load_data);
            $html = '';
            $args = array(
                'post_type'         => 'product',
                'posts_per_page'    => $number,
                'orderby'           => $order_by,
                'order'             => $order,
                'paged'             => $paged + 1,
                );
            switch ($tab) {
                case 'bestsell':
                    $args['meta_key'] = 'total_sales';
                    $args['orderby'] = 'meta_value_num';
                    break;

                case 'toprate':
                    $args['meta_key'] = '_wc_average_rating';
                    $args['orderby'] = 'meta_value_num';
                    $args['meta_query'] = WC()->query->get_meta_query();
                    $args['tax_query'][] = WC()->query->get_tax_query();
                    break;
                
                case 'mostview':                    
                    $args['meta_key'] = 'post_views';
                    $args['orderby'] = 'meta_value_num';
                    break;

                case 'featured':
                    $args['orderby'] = $order_by;
                    $args['meta_key'] = '_featured';
                    $args['meta_value'] = 'yes';
                    break;

                case 'trendding':
                    $args['meta_query'][] = array(
                        'key'     => 'trending_product',
                        'value'   => 'on',
                        'compare' => '=',
                    );
                    break;
                
                case 'onsale':
                    $args['meta_query']['relation']= 'OR';
                    $args['meta_query'][]=array(
                        'key'   => '_sale_price',
                        'value' => 0,
                        'compare' => '>',                
                        'type'          => 'numeric'
                    );
                    $args['meta_query'][]=array(
                        'key'   => '_min_variation_sale_price',
                        'value' => 0,
                        'compare' => '>',                
                        'type'          => 'numeric'
                    );
                    break;
                
                default:
                    $args['orderby'] = 'date';
                    break;
            }
            if(!empty($cats)) {
                $custom_list = explode(",",$cats);
                $args['tax_query'][]=array(
                    'taxonomy'=>'product_cat',
                    'field'=>'slug',
                    'terms'=> $custom_list
                );
            }
            if(!empty($size)) $size = explode('x', $size);
            $product_query = new WP_Query($args);
            if($product_query->have_posts()) {
                while($product_query->have_posts()) {
                    $product_query->the_post();
                    if(empty($size)) $size = array(300,300);
                    $html .=    '<div class="product-5-col">
                                    <div class="item-product19 item-product text-center">
                                        <div class="product-thumb">
                                            <a class="product-thumb-link" href="'.esc_url(get_the_permalink()).'">
                                                '.get_the_post_thumbnail(get_the_ID(),$size).'
                                            </a>
                                            <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link plus">'.esc_html__("quick view","isone").'</a>
                                            '.s7upf_product_link().'
                                        </div>
                                        <div class="product-info">
                                            <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                            '.s7upf_get_rating_html().'
                                            '.s7upf_get_price_html().'
                                        </div>
                                    </div>
                                </div>';
                }
            }
            echo apply_filters('s7upf_output_content',$html);
            wp_reset_postdata();
            die();
        }
    }
    add_action( 'wp_ajax_load_more_products9', 's7upf_load_more_products9' );
    add_action( 'wp_ajax_nopriv_load_more_products9', 's7upf_load_more_products9' );
    if(!function_exists('s7upf_load_more_products9')){
        function s7upf_load_more_products9() {
            $paged = $_POST['paged'];
            $load_data = $_POST['load_data'];
            $load_data = str_replace('\"', '"', $load_data);
            $load_data = json_decode($load_data,true);
            extract($load_data);
            $html = '';
            $args = array(
                'post_type'         => 'product',
                'posts_per_page'    => $number,
                'orderby'           => $order_by,
                'order'             => $order,
                'paged'             => $paged + 1,
                );
            switch ($tab) {
                case 'bestsell':
                    $args['meta_key'] = 'total_sales';
                    $args['orderby'] = 'meta_value_num';
                    break;

                case 'toprate':
                    $args['meta_key'] = '_wc_average_rating';
                    $args['orderby'] = 'meta_value_num';
                    $args['meta_query'] = WC()->query->get_meta_query();
                    $args['tax_query'][] = WC()->query->get_tax_query();
                    break;
                
                case 'mostview':                    
                    $args['meta_key'] = 'post_views';
                    $args['orderby'] = 'meta_value_num';
                    break;

                case 'featured':
                    $args['orderby'] = $order_by;
                    $args['meta_key'] = '_featured';
                    $args['meta_value'] = 'yes';
                    break;

                case 'trendding':
                    $args['meta_query'][] = array(
                        'key'     => 'trending_product',
                        'value'   => 'on',
                        'compare' => '=',
                    );
                    break;
                
                case 'onsale':
                    $args['meta_query']['relation']= 'OR';
                    $args['meta_query'][]=array(
                        'key'   => '_sale_price',
                        'value' => 0,
                        'compare' => '>',                
                        'type'          => 'numeric'
                    );
                    $args['meta_query'][]=array(
                        'key'   => '_min_variation_sale_price',
                        'value' => 0,
                        'compare' => '>',                
                        'type'          => 'numeric'
                    );
                    break;
                
                default:
                    $args['orderby'] = 'date';
                    break;
            }
            if(!empty($cats)) {
                $custom_list = explode(",",$cats);
                $args['tax_query'][]=array(
                    'taxonomy'=>'product_cat',
                    'field'=>'slug',
                    'terms'=> $custom_list
                );
            }
            if(!empty($size)) $size = explode('x', $size);
            else $size = array(380,380);
            $product_query = new WP_Query($args);
            if($product_query->have_posts()) {
                while($product_query->have_posts()) {
                    $product_query->the_post();
                    $html .=    '<div class="col-md-4 col-sm-4 col-xs-6">
                                    <div class="item-product item-product09">
                                        <div class="product-thumb">
                                            <a class="product-thumb-link" href="'.esc_url(get_the_permalink()).'">
                                                '.get_the_post_thumbnail(get_the_ID(),$size).'
                                            </a>
                                            <a data-product-id="'.get_the_ID().'" href="'.esc_url(get_the_permalink()).'" class="product-quick-view quickview-link"><span>'.esc_html__("quick view","isone").'</span></a>
                                            '.s7upf_product_link('product-extra-link5-2').'
                                        </div>
                                        <div class="product-info">
                                            <h3 class="product-title"><a href="'.esc_url(get_the_permalink()).'" title="'.esc_attr(get_the_title()).'">'.get_the_title().'</a></h3>
                                            '.s7upf_get_rating_html().'
                                            '.s7upf_get_cat_in2().'
                                            '.s7upf_get_price_html().'
                                        </div>
                                    </div>
                                </div>';
                }
            }
            echo apply_filters('s7upf_output_content',$html);
            wp_reset_postdata();
            die();
        }
    }
}
