<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */
if(!function_exists('s7upf_vc_smart_intro'))
{
    function s7upf_vc_smart_intro($attr, $content = false)
    {
        $html = $icon_html = '';
        extract(shortcode_atts(array(
            'image'         => '',
            'list'          => '',
        ),$attr));
        $data = (array) vc_param_group_parse_atts( $list );
        $html .=    '<div class="banner-intro-function">
                        '.wp_get_attachment_image($image,'full',0,array('class'=>'function-image'));
        if(is_array($data)){
            foreach ($data as $key => $value) {
                $p_class = S7upf_Assets::build_css('top: '.$value['top'].'%;left: '.$value['left'].'%;');
                $html .=    '<div class="plus-function '.esc_attr($p_class).'">
                                <a href="#" class="plus-icon"><i class="fa fa-plus"></i></a>
                                <div class="detail-function">
                                    <div class="banner-adv zoom-image"><a href="'.esc_url($value['link']).'" class="adv-thumb-link">
                                        '.wp_get_attachment_image($value['image'],'full').'
                                    </a></div>
                                    <div class="function-info">
                                        <h3 class="title14 font-bold">'.esc_html($value['title']).'</h3>
                                        <p class="desc">'.esc_html($value['des']).'</p>
                                    </div>
                                </div>
                            </div>';
            }
        }        
        $html .=    '</div>';          
		return  $html;
    }
}

stp_reg_shortcode('smart_intro','s7upf_vc_smart_intro');


vc_map( array(
    "name"      => esc_html__("SV Smart Intro", 'isone'),
    "base"      => "smart_intro",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Image",'isone'),
            "param_name" => "image",
        ),
		array(
            "type" => "param_group",
            "heading" => esc_html__("Add Node",'isone'),
            "param_name" => "list",
            "params"    => array(
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Top",'isone'),
                    "param_name" => "top",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Left",'isone'),
                    "param_name" => "left",
                ),
                array(
                    "type" => "attach_image",
                    "heading" => esc_html__("Image",'isone'),
                    "param_name" => "image",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Title",'isone'),
                    "param_name" => "title",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Description",'isone'),
                    "param_name" => "des",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Link",'isone'),
                    "param_name" => "link",
                ),
            )
        ),
    )
));