<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_advantage'))
{
    function s7upf_vc_advantage($attr,$content = false)
    {
        $html = $view_html = $link_item = $css_class = '';
        extract(shortcode_atts(array(
            'style'      => 'item-adv4',
            'image'      => '',
            'image2'     => '',
            'imageb'     => '',
            'size'       => '',
            'title'      => '',
            'title2'     => '',
            'time'       => '',
            'link'       => '',
            'info_color' => '',            
            'info_class' => '',           
            'animation'  => '',
            'custom_css' => '',
            'percent' => '',
        ),$attr));
        if($animation == 'zoom-out' && empty($imageb)) $imageb = $image;
        if(!empty($custom_css)) $css_class = vc_shortcode_custom_css_class( $custom_css );
        if(!empty($size)) $size = explode('x', $size);
        else $size = 'full';        
        if(!empty($info_color)) $info_color = S7upf_Assets::build_css('color:'.$info_color);
        switch ($style) {
            case 'adv-home13':
                $html .=    '<div class="item-adv13 border bg-white">
                                <div class="adv-info13 '.esc_attr($info_color.' '.$info_class).'">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                                <div class="adv-thumb13">'.wp_get_attachment_image($image,$size).'</div>
                            </div>';
                break;

            case 'adv-home12':
                $html .=    '<div class="item-ads12 banner-adv '.esc_attr($style.' '.$animation).' '.esc_attr($css_class.' '.$info_class).'">
                                <a class="adv-thumb-link" href="'.esc_url($link).'">
                                    '.wp_get_attachment_image($image,$size).'
                                    '.wp_get_attachment_image($imageb,$size).'
                                </a>';
                if(!empty($percent)){
                    $html .=    '<div class="sale-off12 white text-center text-uppercase">
                                    <span>'.esc_html__("-up to-","isone").'</span>
                                    <h3 class="title30">'.$percent.'%</h3>
                                    <span>'.esc_html__("off","isone").'</span>
                                </div>';
                }
                if(!empty($content)){
                    $html .=    '<div class="adv-info adv-info12 bg-white text-center text-uppercase '.esc_attr($info_color.' '.$info_class).'">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>';
                }
                $html .=    '</div>';
                break;

            case 'item-ads11':
            case 'item-ads11 style1':
            case 'item-ads11 style2':
                $html .=    '<div class="banner-adv '.esc_attr($style.' '.$animation).' '.esc_attr($css_class.' '.$info_class).'">
                                <a class="adv-thumb-link" href="'.esc_url($link).'">
                                    '.wp_get_attachment_image($image,$size).'
                                    '.wp_get_attachment_image($imageb,$size).'
                                </a>';
                if(!empty($content)){
                    $html .=    '<div class="adv-info adv-info11 text-center '.esc_attr($info_color.' '.$info_class).'">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>';
                }
                $html .=    '</div>';
                break;

            case 'adv-home10-2':
                $d_text = '["'.esc_html__("DAYS","isone").'","'.esc_html__("HOURS","isone").'","'.esc_html__("MINS","isone").'","'.esc_html__("SEC","isone").'"]';
                $html .=    '<div class="deal-banner10 banner-adv '.esc_attr($style.' '.$animation).' '.esc_attr($css_class.' '.$info_class).'">
                                <a class="adv-thumb-link" href="'.esc_url($link).'">
                                    '.wp_get_attachment_image($image,$size).'
                                    '.wp_get_attachment_image($imageb,$size).'
                                </a>
                                <div class="banner-info white bg-color '.esc_attr($info_color.' '.$info_class).'">';
                $html .=            wpb_js_remove_wpautop($content, true);
                if(!empty($time)){
                    $html .=        '<div class="time-countdown time-countdown10 hidden-canvas" data-date="'.esc_attr($time).'" data-text="'.esc_attr($d_text).'"></div>';
                }
                $html .=            '<a href="'.esc_url($link).'" class="shop-button bg-white color bg-white title18 font-bold">'.esc_html__("view all","isone").'</a>
                                </div>
                            </div>';
                break;

            case 'adv-home10':
                $html .=    '<div class="item-ads10 banner-adv '.esc_attr($style.' '.$animation).' '.esc_attr($css_class.' '.$info_class).'">
                                <a class="adv-thumb-link" href="'.esc_url($link).'">
                                    '.wp_get_attachment_image($image,$size).'
                                    '.wp_get_attachment_image($imageb,$size).'
                                </a>';
                if(!empty($content)){
                    $html .=    '<div class="banner-info text-center '.esc_attr($info_color.' '.$info_class).'">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>';
                }
                $html .=    '</div>';
                break;

            case 'adv-home9':
                $d_text = '["'.esc_html__("DAYS","isone").'","'.esc_html__("HOURS","isone").'","'.esc_html__("MINS","isone").'","'.esc_html__("SEC","isone").'"]';
                $html .=    '<div class="item-adv09 banner-adv '.esc_attr($style.' '.$animation).' '.esc_attr($css_class.' '.$info_class).'">
                                <a class="adv-thumb-link" href="'.esc_url($link).'">
                                    '.wp_get_attachment_image($image,$size).'
                                    '.wp_get_attachment_image($imageb,$size).'
                                </a>
                                <div class="banner-info text-center white '.esc_attr($info_color.' '.$info_class).'">';
                if(!empty($title2)) $html .=    '<h3 class="title-before title30 font-bold">'.esc_html($title2).'</h3>';
                if(!empty($time)){
                    $html .=        '<div class="deal-clock09 time-countdown hidden-canvas" data-date="'.esc_attr($time).'" data-text="'.esc_attr($d_text).'"></div>';
                }
                $html .=            wpb_js_remove_wpautop($content, true);
                $html .=        '</div>
                            </div>';
                break;

            case 'adv-home8':
                $html .=    '<div class="banner-adv08 banner-adv '.esc_attr($style.' '.$animation).' '.esc_attr($css_class.' '.$info_class).'">
                                <a class="adv-thumb-link" href="'.esc_url($link).'">
                                    '.wp_get_attachment_image($image,$size).'
                                    '.wp_get_attachment_image($imageb,$size).'
                                </a>
                                <div class="adv-info '.esc_attr($info_color.' '.$info_class).'">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;

            case 'adv-home7':
                $d_text = '["","","",""]';
                $html .=    '<div class="item-adv07 text-center bg-white '.esc_attr($style.' '.$animation).' '.esc_attr($css_class.' '.$info_class).'">
                                <a class="adv-thumb-link" href="'.esc_url($link).'">
                                    '.wp_get_attachment_image($image,$size).'
                                    '.wp_get_attachment_image($imageb,$size).'
                                </a>
                                <div class="info-adv07">';
                if(!empty($title2)) $html .=    '<h3 class="title30 color font-light">'.esc_html($title2).'</h3>';
                if(!empty($time)){
                    $html .=        '<div class="end-in2 white bg-color2 inline-block">
                                        <strong>'.esc_html__("Ends in:","isone").'</strong>
                                        <div class="time-countdown hidden-canvas" data-date="'.esc_attr($time).'" data-text="'.esc_attr($d_text).'" data-day="false"></div>
                                    </div>';
                }
                if(!empty($title)) $html .=    '<h2 class="title24 text-uppercase font-bold">'.esc_html($title).'</h2>';
                if(!empty($content)){
                    $html .=        '<div class="list-dot">
                                        <span class="bg-color"></span>
                                        <span class="bg-color"></span>
                                        <span class="bg-color"></span>
                                    </div>';
                    $html .=        wpb_js_remove_wpautop($content, true);
                }
                $html .=        '</div>
                            </div>';
                break;

            case 'cat-home2':
                $html .=    '<div class="item-morecat5">
                                <div class="product-thumb banner-adv '.esc_attr($style.' '.$animation).' '.esc_attr($css_class).'">
                                    <a class="adv-thumb-link" href="'.esc_url($link).'">
                                        '.wp_get_attachment_image($image,$size).'
                                        '.wp_get_attachment_image($imageb,$size).'
                                    </a>
                                </div>';
                if(!empty($content)){
                    $html .=    '<div class="morecat-info5 '.esc_attr($info_color.' '.$info_class).'">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>';
                }
                $html .=    '</div>';
                break;

            case 'banner-home2':
                $html .=    '<div class="banner-top2 banner-adv '.esc_attr($style.' '.$animation).' '.esc_attr($css_class).'">
                                <a class="adv-thumb-link" href="'.esc_url($link).'">
                                    '.wp_get_attachment_image($image,$size).'
                                    '.wp_get_attachment_image($imageb,$size).'
                                </a>';
                if(!empty($content)){
                    $html .=    '<div class="adv-info '.esc_attr($info_color.' '.$info_class).'">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>';
                }
                $html .=    '</div>';
                break;

            case 'adv-coupon-brand':
                $html .=    '<div class="item-tab-coupon text-center border bg-white '.esc_attr($css_class).'">
                                <div class="coupon-brand">
                                    <a href="'.esc_url($link).'" class="wobble-horizontal">'.wp_get_attachment_image($image,$size).'</a>
                                </div>
                                <div class="coupon-info '.esc_attr($info_color.' '.$info_class).'">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;

            case 'adv-brand adv-cat':
                $html .=    '<div class="banner-adv '.esc_attr($style.' '.$animation).' '.esc_attr($css_class).'">
                                <a href="'.esc_url($link).'" class="adv-thumb-link">'.wp_get_attachment_image($image,$size).'</a>
                                <a href="'.esc_url($link).'" class="brand-logo">
                                <div class="adv-info text-center white">
                                    '.wp_get_attachment_image($image2,$size);
                if(!empty($title)) $html .=    '<h3>'.esc_html($title).'</h3>';
                $html .=        '</div>
                                </a>
                            </div>';
                break;

            case 'adv-brand':
                $html .=    '<div class="banner-adv '.esc_attr($style.' '.$animation).' '.esc_attr($css_class).'">
                                <a href="'.esc_url($link).'" class="adv-thumb-link">'.wp_get_attachment_image($image,$size).'</a>
                                <a href="'.esc_url($link).'" class="brand-logo">'.wp_get_attachment_image($image2,$size).'</a>
                            </div>';
                break;
                
            case 'adv-megamenu':
                $html .=    '<div class="mega-adv '.esc_attr($style.' '.$animation).' '.esc_attr($css_class).'">
                                <div class="banner-image">
                                    <a class="adv-thumb-link" href="'.esc_url($link).'">
                                        '.wp_get_attachment_image($image,$size).'
                                        '.wp_get_attachment_image($imageb,$size).'
                                    </a> 
                                </div>
                                <div class="mega-adv-info '.esc_attr($info_color.' '.$info_class).'">
                                    <h3 class="title18"><a href="'.esc_url($link).'">'.esc_html($title).'</a></h3>
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;
            
            default:        
                $html .=    '<div class="banner-adv '.esc_attr($style.' '.$animation).' '.esc_attr($css_class).'">
                                <a class="adv-thumb-link" href="'.esc_url($link).'">
                                    '.wp_get_attachment_image($image,$size).'
                                    '.wp_get_attachment_image($imageb,$size).'
                                </a>';
                if(!empty($content)){
                    $html .=        '<div class="adv-info '.esc_attr($info_color.' '.$info_class).'">
                                        '.wpb_js_remove_wpautop($content, true).'
                                    </div>';
                }
                if($style == 'adv-video-icon') $html .=   '<a href="'.esc_url($link).'" class="video-icon white"><i class="fa fa-play-circle"></i></a>';
                $html .=    '</div>';
                break;
        }
        return $html;
    }
}

stp_reg_shortcode('sv_advantage','s7upf_vc_advantage');
vc_map( array(
    "name"      => esc_html__("SV Advantage", 'isone'),
    "base"      => "sv_advantage",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style",'isone'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Default",'isone')   => '',
                esc_html__("Default 2 column",'isone')   => 'df-col2',
                esc_html__("Adv mega menu",'isone')   => 'adv-megamenu',
                esc_html__("Adv brand",'isone')   => 'adv-brand',
                esc_html__("Adv category",'isone')   => 'adv-brand adv-cat',
                esc_html__("Adv video icon",'isone')   => 'adv-video-icon',
                esc_html__("Adv coupon brand",'isone')   => 'adv-coupon-brand',
                esc_html__("Banner home 2",'isone')   => 'banner-home2',
                esc_html__("Banner cattegory content",'isone')   => 'cat-home2',
                esc_html__("Adv home 7",'isone')   => 'adv-home7',
                esc_html__("Adv home 8",'isone')   => 'adv-home8',
                esc_html__("Adv home 9",'isone')   => 'adv-home9',
                esc_html__("Adv home 10",'isone')   => 'adv-home10',
                esc_html__("Adv home 10 (time countdown)",'isone')   => 'adv-home10-2',
                esc_html__("Adv home 11",'isone')   => 'item-ads11',
                esc_html__("Adv home 11 (style 1)",'isone')   => 'item-ads11 style1',
                esc_html__("Adv home 11 (style 2)",'isone')   => 'item-ads11 style2',
                esc_html__("Adv home 12",'isone')   => 'adv-home12',
                esc_html__("Adv home 13 (No animation)",'isone')   => 'adv-home13',
                )
        ),
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Image",'isone'),
            "param_name" => "image",
        ),        
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Image 2",'isone'),
            "param_name" => "image2",
            "dependency"    => array(
                "element"   => "style",
                "value"   => array("adv-brand","adv-brand adv-cat"),
                )
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Animation",'isone'),
            "param_name" => "animation",
            "value"     => array(
                esc_html__("Default",'isone')                    => '',
                esc_html__("Zoom",'isone')                       => 'zoom-image',
                esc_html__("Zoom out",'isone')                   => 'zoom-out',
                esc_html__("Fade out-in",'isone')                => 'fade-out-in',
                esc_html__("Zoom Fade out-in",'isone')           => 'zoom-image fade-out-in',
                esc_html__("Fade in-out",'isone')                => 'fade-in-out',
                esc_html__("Zoom rotate",'isone')                => 'zoom-rotate',
                esc_html__("Zoom rotate Fade out-in",'isone')    => 'zoom-rotate fade-out-in',
                esc_html__("Overlay",'isone')                    => 'overlay-image',
                esc_html__("Overlay Zoom",'isone')               => 'overlay-image zoom-image',
                esc_html__("Overlay Zoom rotate",'isone')        => 'overlay-image zoom-rotate',
                esc_html__("Zoom in Info",'isone')               => 'ef-movies',
                esc_html__("Line scale",'isone')                 => 'line-scale',
                esc_html__("Zoom image line",'isone')            => 'zoom-image line-scale',
                esc_html__("Gray image line",'isone')            => 'gray-image line-scale',
                esc_html__("Zoom rotate image line",'isone')     => 'zoom-rotate line-scale',
                esc_html__("Gray image",'isone')                 => 'gray-image',
                esc_html__("Pull curtain",'isone')               => 'pull-curtain',
                esc_html__("Pull curtain gray image",'isone')    => 'pull-curtain gray-image',
                esc_html__("Pull curtain zoom image",'isone')    => 'pull-curtain zoom-image',
                ),
        ),
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Image hover",'isone'),
            "param_name" => "imageb",
            "dependency"    => array(
                "element"   => "animation",
                "value"   => array("zoom-out"),
                )
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Image Size",'isone'),
            "param_name"    => "size",
            'description'   => esc_html__( 'Enter site thumbnail to crop. [width]x[height]. Example is 300x300', 'isone' ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Link",'isone'),
            "param_name" => "link",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Time",'isone'),
            "param_name" => "time",
            'description'   => esc_html__( 'Enter time for countdown. Format is mm/dd/yyyy or mm/dd/yyyy hh:mm:ss. Example: 12/15/2017', 'isone' ),
            'dependency'    => array(
                'element'   => 'style',
                'value'   => array('adv-home7','adv-home9','adv-home10-2'),
                ),
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "heading" => esc_html__("Title before",'isone'),
            "param_name" => "title2",
            "dependency"    => array(
                "element"   => "style",
                "value"   => array("adv-home7",'adv-home9'),
                )
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "heading" => esc_html__("Title",'isone'),
            "param_name" => "title",
            "dependency"    => array(
                "element"   => "style",
                "value"   => array("adv-megamenu","adv-brand adv-cat","adv-home7"),
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Percent off",'isone'),
            "param_name" => "percent",
            "dependency"    => array(
                "element"   => "style",
                "value"   => array("adv-home12"),
                )
        ),
        array(
            "type"          => "colorpicker",
            "heading"       => esc_html__("Text Color",'isone'),
            "param_name"    => "info_color",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Info extra class",'isone'),
            "param_name" => "info_class",
        ),
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => esc_html__("Content",'isone'),
            "param_name" => "content",
        ),        
        array(
            "type"          => "css_editor",
            "heading"       => esc_html__("Custom Block",'isone'),
            "param_name"    => "custom_css",
            'group'         => esc_html__('Advanced','isone')
        )
    )
));
