<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 31/08/15
 * Time: 10:00 AM
 */
/************************************Main Carousel*************************************/
if(!function_exists('s7upf_vc_slide_carousel'))
{
    function s7upf_vc_slide_carousel($attr, $content = false)
    {
        $html = $css_class = '';
        extract(shortcode_atts(array(
            'item'      => '1',
            'speed'     => '',
            'itemres'   => '',
            'nav_slider'=> 'nav-hidden',
            'animation' => '',
            'custom_css' => '',
            'banner_bg' => '',
            'el_class' => '',
        ),$attr));
        if(!empty($custom_css)) $css_class = vc_shortcode_custom_css_class( $custom_css );
        if($nav_slider == 'arrow-style07') $css_class .= 'arrow-style07';
        if($nav_slider == 'banner-slider banner-slider08') $css_class .= 'pagi-style2 navi-style2';
        if($nav_slider == 'banner-slider banner-slider12') $css_class .= 'navi-style2 pagi-style2';
        if($nav_slider == 'ads-slider12') $css_class .= 'navi-style2';
            $html .=    '<div class="'.esc_attr($nav_slider.' '.$banner_bg.' '.$el_class).'">';
            $html .=        '<div class="wrap-item sv-slider '.$css_class.'" data-item="'.$item.'" data-speed="'.$speed.'" data-itemres="'.$itemres.'" data-animation="'.$animation.'" data-nav="'.$nav_slider.'" data-prev="'.esc_attr__("Prev","isone").'" data-next="'.esc_attr__("Next","isone").'">';
            $html .=            wpb_js_remove_wpautop($content, false);
            $html .=        '</div>';
            $html .=    '</div>';
        return $html;
    }
}
stp_reg_shortcode('slide_carousel','s7upf_vc_slide_carousel');
vc_map(
    array(
        'name'     => esc_html__( 'Carousel Slider', 'isone' ),
        'base'     => 'slide_carousel',
        'category' => esc_html__( '7Up-theme', 'isone' ),
        'icon'     => 'icon-st',
        'as_parent' => array( 'only' => 'vc_column_text,vc_single_image,slide_banner_item,slide_cat_item,slide_service_item,slide_testimonial_item,sv_product_list_basic,sv_advantage' ),
        'content_element' => true,
        'js_view' => 'VcColumnView',
        'params'   => array(                       
            array(
                'heading'     => esc_html__( 'Item slider display', 'isone' ),
                'type'        => 'textfield',
                'description' => esc_html__( 'Enter number of item. Default is 1.', 'isone' ),
                'param_name'  => 'item',
            ),
            array(
                'heading'     => esc_html__( 'Speed', 'isone' ),
                'type'        => 'textfield',
                'description' => esc_html__( 'Enter time slider go to next item. Unit (ms). Example 5000. If empty this field autoPlay is false.', 'isone' ),
                'param_name'  => 'speed',
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Navigation style', 'isone' ),
                'param_name'  => 'nav_slider',
                'value'       => array(
                    esc_html__( 'Hidden', 'isone' )                   => 'nav-hidden',
                    esc_html__( 'Default Navigation', 'isone' )       => 'banner-slider',
                    esc_html__( 'Small side Navigation', 'isone' )    => 'arrow-style07',
                    esc_html__( 'Navigation home 8', 'isone' )        => 'banner-slider banner-slider08',
                    esc_html__( 'Navigation home 12', 'isone' )       => 'banner-slider banner-slider12',
                    esc_html__( 'Navigation home 12 (small)', 'isone' )       => 'ads-slider12',
                ),
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Image style', 'isone' ),
                'param_name'  => 'banner_bg',
                'value'       => array(
                    esc_html__( 'Default', 'isone' )                  => '',
                    esc_html__( 'Banner Background', 'isone' )      => 'bg-slider',
                    esc_html__( 'Background Parallax', 'isone' )      => 'bg-slider parallax-slider',
                ),
            ),
            array(
                'heading'     => esc_html__( 'Custom Item', 'isone' ),
                'type'        => 'textfield',
                'description'   => esc_html__( 'Enter item for screen width(px) format is width:value and separate values by ",". Example is 0:2,600:3,1000:4. Default is auto.', 'isone' ),
                'param_name'  => 'itemres',
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Slider Animation', 'isone' ),
                'param_name'  => 'animation',
                'value'       => array(
                    esc_html__( 'None', 'isone' )        => '',
                    esc_html__( 'Fade', 'isone' )        => 'fade',
                    esc_html__( 'BackSlide', 'isone' )   => 'backSlide',
                    esc_html__( 'GoDown', 'isone' )      => 'goDown',
                    esc_html__( 'FadeUp', 'isone' )      => 'fadeUp',
                    )
            ),
            array(
                "type"          => "textfield",
                "heading"       => esc_html__("Add custom Class",'isone'),
                "param_name"    => "el_class",
            ),
            array(
                "type"          => "css_editor",
                "heading"       => esc_html__("Custom Block",'isone'),
                "param_name"    => "custom_css",
                'group'         => esc_html__('Advanced','isone')
            )
        )
    )
);

/*******************************************END MAIN*****************************************/


/**************************************BEGIN ITEM************************************/
//Banner item Frontend
if(!function_exists('s7upf_vc_slide_banner_item'))
{
    function s7upf_vc_slide_banner_item($attr, $content = false)
    {
        $html = $view_html = $view_html2 = '';
        extract(shortcode_atts(array(
            'style'         => '',
            'image'         => '',
            'link'          => '',
            'info_animation' => '',
            'info_align' => '',
            'info_color' => '',
            'info_el_class' => '',
        ),$attr));
        if(!empty($image)){
            $thumb_class = $info_class = '';
            if(!empty($thumb_animation)) $thumb_class = 'animated';
            if(!empty($info_animation)) $info_class = 'animated';
            switch ($style) {
                case 'item-slider13':
                case 'item-slider12':
                case 'item-slider09':
                case 'item-slider08':
                    $html .=    '<div class="item-slider '.esc_attr($style).'">
                                    <div class="banner-thumb"><a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a></div>
                                    <div class="banner-info '.esc_attr($info_color).' '.esc_attr($info_align).' '.esc_attr($info_class).' '.esc_attr($info_el_class).'" data-animated="'.esc_attr($info_animation).'">
                                        '.wpb_js_remove_wpautop($content, true).'
                                    </div>
                                </div>';
                    break;
                
                default:
                    $html .=    '<div class="item-banner '.esc_attr($style).'">
                                    <div class="banner-thumb">
                                        <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                    </div>';
                    if(!empty($content)){
                    $html .=        '<div class="banner-info '.esc_attr($info_color).' '.esc_attr($info_align).' '.esc_attr($info_class).' '.esc_attr($info_el_class).'" data-animated="'.esc_attr($info_animation).'">
                                        <div class="inner-banner-info">
                                            '.wpb_js_remove_wpautop($content, true).'
                                        </div>
                                    </div>';
                                }
                    $html .=    '</div>';
                    break;
            }            
        }
        return $html;
    }
}
stp_reg_shortcode('slide_banner_item','s7upf_vc_slide_banner_item');

// Banner item
vc_map(
    array(
        'name'     => esc_html__( 'Banner Item', 'isone' ),
        'base'     => 'slide_banner_item',
        'icon'     => 'icon-st',
        'content_element' => true,
        'as_child' => array('only' => 'slide_carousel'),
        'params'   => array(
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Style', 'isone' ),
                'param_name'  => 'style',
                'value'       => array(
                    esc_html__( 'Default', 'isone' ) => '',
                    esc_html__( 'Home 8', 'isone' ) => 'item-slider08',
                    esc_html__( 'Home 9', 'isone' ) => 'item-slider09',
                    esc_html__( 'Home 12', 'isone' ) => 'item-slider12',
                    esc_html__( 'Home 13', 'isone' ) => 'item-slider13',
                    )
            ),
            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__( 'Image', 'isone' ),
                'param_name'  => 'image',
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Link Banner', 'isone' ),
                'param_name'  => 'link',
            ),
            array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Info Animation', 'isone' ),
                    'param_name' => 'info_animation',
                    'value' => s7upf_get_list_animation()
                ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Info Align', 'isone' ),
                'param_name'  => 'info_align',
                'value'       => array(
                    esc_html__( 'None', 'isone' ) => '',
                    esc_html__( 'Left', 'isone' ) => 'text-left',
                    esc_html__( 'Right', 'isone' ) => 'text-right',
                    esc_html__( 'Center', 'isone' ) => 'text-center',
                    )
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Info Color', 'isone' ),
                'param_name'  => 'info_color',
                'value'       => array(
                    esc_html__( 'Default', 'isone' ) => '',
                    esc_html__( 'White', 'isone' ) => 'white',
                    )
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Info Extra Class', 'isone' ),
                'param_name'  => 'info_el_class',
            ),  
            array(
                "type" => "textarea_html",
                "holder" => "div",
                "heading" => esc_html__("Content",'isone'),
                "param_name" => "content",
            ),
        )
    )
);

/**************************************END ITEM************************************/


/**************************************BEGIN ITEM************************************/
//Banner item Frontend
if(!function_exists('s7upf_vc_slide_cat_item'))
{
    function s7upf_vc_slide_cat_item($attr, $content = false)
    {
        $html = $term_link = $term_title = '';
        extract(shortcode_atts(array(
            'style'           => '',
            'cat'           => '',
            'image'         => '',
            'size'         => '',
            'title'         => '',
            'link'          => '',
            'price'         => '',
        ),$attr));
        if(!empty($cat)) $cat = str_replace(' ', '', $cat);
        $term = get_term_by( 'slug',$cat, 'product_cat' );
        if(!empty($term) && is_object($term)){
            $term_link = get_term_link( $term->term_id, 'product_cat' );
            $term_title = $term->name;
        }
        if(!empty($link)) $term_link = $link;
        if(!empty($title)) $term_title = $title;
        if(!empty($size)) $size = explode('x', $size);
        switch ($style) {
            case 'cat-adv16':
                
                break;
            
            default:
                $html .=    '<div class="item-cat07 text-center">
                                <a href="'.esc_url($term_link).'" class="cat-thumb-link">'.wp_get_attachment_image($image,$size).'</a>
                                <h3 class="title14"><a href="'.esc_url($term_link).'">'.esc_html($term_title).'</a></h3>';
                if(isset($term->count)) $html .=    '<p class="silver">'.$term->count.' '.esc_html__("Products","isone").'</p>';
                $html .=        '<a href="'.esc_url($term_link).'" class="shop-button">'.esc_html__("shop now","isone").'</a>
                            </div>';
                break;
        }
        return $html;
    }
}
stp_reg_shortcode('slide_cat_item','s7upf_vc_slide_cat_item');

// Banner item
if(isset($_GET['return'])) $check_add = $_GET['return'];
if(empty($check_add)) add_action( 'vc_before_init_base','sv_admin_category_product_item',10,100 );
if ( ! function_exists( 'sv_admin_category_product_item' ) ) {
    function sv_admin_category_product_item(){
        vc_map(
            array(
                'name'     => esc_html__( 'Product category Item', 'isone' ),
                'base'     => 'slide_cat_item',
                'icon'     => 'icon-st',
                'content_element' => true,
                'as_child' => array('only' => 'slide_carousel'),
                'params'   => array(
                    array(
                        'type'        => 'dropdown',
                        'holder'      => 'div',
                        'heading'     => esc_html__( 'Style', 'isone' ),
                        'param_name'  => 'style',
                        'value'       => array(
                            esc_html__( 'Default', 'isone' )              => '',
                            ),
                    ),
                    array(
                        'holder'     => 'div',
                        'heading'     => esc_html__( 'Product Categories', 'isone' ),
                        'type'        => 'autocomplete',
                        'param_name'  => 'cat',
                        'settings' => array(
                            'multiple' => false,
                            'sortable' => false,
                            'values' => s7upf_get_product_taxonomy(),
                        ),
                        'save_always' => true,
                        'description' => esc_html__( 'List of product categories', 'isone' ),
                    ),
                    array(
                        'type'        => 'attach_image',
                        'heading'     => esc_html__( 'Image', 'isone' ),
                        'param_name'  => 'image',
                    ),
                    array(
                        "type"          => "textfield",
                        "heading"       => esc_html__("Image Size",'isone'),
                        "param_name"    => "size",
                        'description'   => esc_html__( 'Enter site thumbnail to crop. [width]x[height]. Example is 300x300', 'isone' ),
                    ),                    
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__( 'Custom title', 'isone' ),
                        'param_name'  => 'title',
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__( 'Custom Link', 'isone' ),
                        'param_name'  => 'link',
                    ),
                    array(
                        'type'        => 'textarea_html',
                        'heading'     => esc_html__( 'Content', 'isone' ),
                        'param_name'  => 'content',
                        'dependency'  => array(
                                'element'   => 'style',
                                'value'   => array('style-has-content'),
                            )
                    ),
                )
            )
        );
    }
}

/**************************************END ITEM************************************/

/**************************************BEGIN ITEM************************************/
//Banner item Frontend
if(!function_exists('s7upf_vc_slide_service_item'))
{
    function s7upf_vc_slide_service_item($attr, $content = false)
    {
        $html = $term_link = $term_title = '';
        extract(shortcode_atts(array(
            'style'           => '',
            'image'         => '',
            'title'         => '',
            'price'         => '',
            'link'          => '',
            'des'         => '',
            'color'         => '',
        ),$attr));        
        switch ($style) {
            case 'adv-home9':
                $html .=    '<div class="item-adv9">
                                <div class="adv-thumb">
                                    <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>
                                <div class="adv-info9">
                                    <div class="product-price">
                                        <label>'.esc_html__("From","isone").'</label>
                                        <ins><span>'.esc_html($price).'</span></ins>
                                    </div>
                                    <h3 class="product-title"><a href="'.esc_url($link).'">'.esc_html($title).'</a></h3>
                                    <p>'.esc_html($des).'</p>
                                    <a href="'.esc_url($link).'" class="shopnow">'.esc_html__("shop now","isone").' <i class="fa fa-hand-o-right" aria-hidden="true"></i></a>
                                </div>
                            </div>';
                break;

            case 'item-sub-banner':
                $html .=    '<div class="item-sub-banner">
                                <div class="product-thumb">
                                    <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full',0,array('class'=>'wobble-horizontal')).'</a>
                                </div>
                                <div class="product-info">
                                    <h3 class="product-title text-capitalize"><a href="'.esc_url($link).'">'.esc_html($title).'</a></h3>
                                    <strong class="color">'.esc_html($des).'</strong>
                                </div>
                            </div>';
                break;

            case 'item-coupon':
                if(!empty($color)) $color = S7upf_Assets::build_css('background-color:'.$color);
                $html .=    '<div class="item-coupon">
                                <a href="'.esc_url($link).'" class="logo-coupon">'.wp_get_attachment_image($image,'full').'</a>
                                <p>'.esc_html($title).' </p>
                                <a href="'.esc_url($link).'" class="btn-coupon wobble-horizontal '.esc_attr($color).'">'.esc_html__("Get this Coupon","isone").'</a>
                            </div>';
                break;
            
            default:
                $html .=    '<div class="item-service3 white">
                                <a class="service-icon wobble-horizontal" href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                <h2 class="title14"><a href="'.esc_url($link).'">'.esc_html($title).'</a></h2>
                                <p>'.esc_html($des).'</p>
                            </div>';
                break;
        }
        return $html;
    }
}
stp_reg_shortcode('slide_service_item','s7upf_vc_slide_service_item');

// Banner item

vc_map(
    array(
        'name'     => esc_html__( 'Product Service Item', 'isone' ),
        'base'     => 'slide_service_item',
        'icon'     => 'icon-st',
        'content_element' => true,
        'as_child' => array('only' => 'slide_carousel'),
        'params'   => array(
            array(
                'type'        => 'dropdown',
                'holder'      => 'div',
                'heading'     => esc_html__( 'Style', 'isone' ),
                'param_name'  => 'style',
                'value'       => array(
                    esc_html__( 'Home 3', 'isone' )              => '',
                    esc_html__( 'Item coupon(3)', 'isone' )              => 'item-coupon',
                    esc_html__( 'Advantage home 1', 'isone' )              => 'item-sub-banner',
                    esc_html__( 'Advantage home 9', 'isone' )              => 'adv-home9',
                    ),
            ),
            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__( 'Image', 'isone' ),
                'param_name'  => 'image',
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Price', 'isone' ),
                'param_name'  => 'price',
                'dependency'  => array(
                    'element'   => 'style',
                    'value'   => array('adv-home9'),
                    )
            ),
            array(
                'type'        => 'textfield',
                'holder'      => 'div',
                'heading'     => esc_html__( 'Title', 'isone' ),
                'param_name'  => 'title',
            ),
            array(
                'type'        => 'textarea',
                'heading'     => esc_html__( 'Description', 'isone' ),
                'param_name'  => 'des',
                'dependency'  => array(
                    'element'   => 'style',
                    'value'   => array('','item-sub-banner','adv-home9'),
                    )
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Link', 'isone' ),
                'param_name'  => 'link',
            ),
            array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__( 'Color button', 'isone' ),
                'param_name'  => 'color',
                'dependency'  => array(
                    'element'   => 'style',
                    'value'   => 'item-coupon',
                    )
            ),
        )
    )
);

/**************************************END ITEM************************************/

/**************************************BEGIN ITEM************************************/
//Banner item Frontend
if(!function_exists('s7upf_vc_slide_testimonial_item'))
{
    function s7upf_vc_slide_testimonial_item($attr, $content = false)
    {
        $html = $term_link = $term_title = '';
        extract(shortcode_atts(array(
            'style'         => '',
            'image'         => '',
            'title'         => '',
            'link'          => '',
            'des'          => '',
            'time'          => '',
        ),$attr));
        switch ($style) {
            case 'home-14':
                $html .=    '<div class="item-testimo14">
                                <a href="'.esc_url($link).'"><strong>'.esc_html($title).'</strong></a>
                                <p class="desc">'.esc_html($des).'</p>
                                <span>'.esc_html($time).'</span>
                            </div>';
                break;
            
            default:
                $html .=    '<div class="item-testimo">
                                <div class="testimo-thumb">
                                    <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>
                                <div class="testimo-info">';
                if(!empty($title)) $html .= '<h2 class="title14 color">'.esc_html($title).'</h2>';
                $html .=            '<p class="desc">'.esc_html($des).'</p>
                                </div>
                            </div>';
                break;
        }        
        return $html;
    }
}
stp_reg_shortcode('slide_testimonial_item','s7upf_vc_slide_testimonial_item');

// Banner item
add_action( 'vc_before_init_base','sv_admin_testimonial_item',10,100 );
if ( ! function_exists( 'sv_admin_testimonial_item' ) ) {
    function sv_admin_testimonial_item(){
        vc_map(
            array(
                'name'     => esc_html__( 'Product Testimonial Item', 'isone' ),
                'base'     => 'slide_testimonial_item',
                'icon'     => 'icon-st',
                'content_element' => true,
                'as_child' => array('only' => 'slide_carousel'),
                'params'   => array(
                    array(
                        'type'        => 'dropdown',
                        'holder'      => 'div',
                        'heading'     => esc_html__( 'Style', 'isone' ),
                        'param_name'  => 'style',
                        'value'       => array(
                            esc_html__( 'Default', 'isone' )              => '',
                            esc_html__( 'Home 14', 'isone' )              => 'home-14',
                            ),
                    ),
                    array(
                        'type'        => 'attach_image',
                        'heading'     => esc_html__( 'Image', 'isone' ),
                        'param_name'  => 'image',
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__( 'Title', 'isone' ),
                        'param_name'  => 'title',
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__( 'Link', 'isone' ),
                        'param_name'  => 'link',
                    ),
                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__( 'Time', 'isone' ),
                        'param_name'  => 'time',
                        'dependency'  => array(
                            'element'   => 'style',
                            'value'   => 'home-14',
                            )
                    ),
                    array(
                        'type'        => 'textarea',
                        'holder'      => 'div',
                        'heading'     => esc_html__( 'Description', 'isone' ),
                        'param_name'  => 'des',
                    ),
                )
            )
        );
    }
}

/**************************************END ITEM************************************/


//Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_Slide_Carousel extends WPBakeryShortCodesContainer {
    }
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Slide_Banner_Item extends WPBakeryShortCode {}
    class WPBakeryShortCode_Slide_Cat_Item extends WPBakeryShortCode {}
    class WPBakeryShortCode_Slide_Service_Item extends WPBakeryShortCode {}
    class WPBakeryShortCode_Slide_Testimonial_Item extends WPBakeryShortCode {}
}