<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */
if(!function_exists('s7upf_vc_payment'))
{
    function s7upf_vc_payment($attr, $content = false)
    {
        $html = $icon_html = '';
        extract(shortcode_atts(array(
            'style'         => 'text-center',
            'title'         => '',
            'des'         => '',
            'list'          => '',
            'item'          => '',
            'item_res'      => '',
            'speed'         => '',
        ),$attr));
        $data = (array) vc_param_group_parse_atts( $list );
        switch ($style) {
            case 'image-slider10':
                if(empty($item) && empty($item_res)) $item_res = '0:2,375:3,525:4,640:5,768:6,990:7,1170:8';
                if(empty($item)) $item = 8;
                $html .=    '<div class="image-slider10">';
                if(!empty($title)) $html .=    '<h2 class="title30">'.esc_html($title).'</h2>';
                $html .=        '<div class="brand-slider10 lf-append">
                                    <div class="wrap-item group-navi navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-animation="" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=        '<div class="item-brand10">
                                            <a title="'.esc_attr($value['title']).'" href="'.esc_url($value['link']).'">'.wp_get_attachment_image($value['image'],'full').'</a>
                                            <div class="brand-info">
                                                <p>'.$value['des'].'</p>
                                            </div>
                                        </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'cat-list8':
                $html .=    '<div class="cat-list8">';
                if(!empty($title)) $html .=    '<h2 class="title24 font-bold">'.esc_html($title).'</h2>';
                $html .=        '<ul class="list-none list-cat12">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=    '<li>
                                        <a href="'.esc_url($value['link']).'">
                                            '.wp_get_attachment_image($value['image'],'full').'
                                            <span>'.esc_html($value['title']).'</span>
                                        </a>
                                    </li>';
                    }
                }
                $html .=        '</ul>
                            </div>';
                break;

            case 'brand-list8':
                $html .=    '<div class="block-brand08 text-center">';
                if(!empty($title)) $html .=    '<h2 class="title30">'.esc_html($title).'</h2>';
                if(!empty($des)) $html .=    '<p class="desc">'.esc_html($des).'</p>';
                $html .=        '<ul class="list-inline-block list-brand08">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=    '<li><a href="'.esc_url($value['link']).'" class="wobble-top">'.wp_get_attachment_image($value['image'],'full').'</a></li>';
                    }
                }
                $html .=        '</ul>
                            </div>';
                break;

            case 'tes-slider8':
                if(empty($item) && empty($item_res)) $item_res = '0:1';
                if(empty($item)) $item = 1;
                $html .=    '<div class="what-client07 border bg-white">';
                if(!empty($title)) $html .=    '<h2 class="title30 color text-center">'.esc_html($title).'</h2>';
                $html .=        '<div class="client-slider07">
                                    <div class="wrap-item navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-animation="fade" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=        '<div class="item-client07 text-center">
                                            <a href="'.esc_url($value['link']).'" class="client-thumb">'.wp_get_attachment_image($value['image'],'full',0,array("class"=>"round")).'</a>
                                            <p class="desc">'.esc_html($value['des']).'</p>
                                            <a href="'.esc_url($value['link']).'" class="client-name color2"><strong>'.esc_html($value['title']).'</strong></a>
                                            <span class="client-job">- '.esc_html($value['pos']).'</span>
                                        </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'cat-slider8':
                if(empty($item) && empty($item_res)) $item_res = '0:1,480:2,768:3,990:4';
                if(empty($item)) $item = 4;
                $html .=    '<div class="pop-cat09">';
                if(!empty($title)) $html .= '<h2 class="title30 text-center">'.esc_html($title).'</h2>';
                $html .=        '<div class="popcat-slider09">
                                    <div class="wrap-item navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-animation="" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=    '<div class="item-popcat09 border banner-adv zoom-image text-center">
                                        <a href="'.esc_url($value['link']).'" class="adv-thumb-link">'.wp_get_attachment_image($value['image'],'full').'</a>
                                        <h3 class="title14"><a href="'.esc_url($value['link']).'" class="black">'.esc_html($value['title']).'</a></h3>
                                    </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'tes-slider7':
                if(empty($item) && empty($item_res)) $item_res = '0:1';
                if(empty($item)) $item = 1;
                $html .=    '<div class="what-client07 border bg-white">';
                if(!empty($title)) $html .=    '<h2 class="title30 color text-center">'.esc_html($title).'</h2>';
                $html .=        '<div class="client-slider07">
                                    <div class="wrap-item arrow-style07 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-animation="fade" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=        '<div class="item-client07 text-center">
                                            <a href="'.esc_url($value['link']).'" class="client-thumb">'.wp_get_attachment_image($value['image'],'full',0,array("class"=>"round")).'</a>
                                            <p class="desc">'.esc_html($value['des']).'</p>
                                            <a href="'.esc_url($value['link']).'" class="client-name color2"><strong>'.esc_html($value['title']).'</strong></a>
                                            <span class="client-job">- '.esc_html($value['pos']).'</span>
                                        </div>';
                    }
                }
               $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'image-slider7':
                if(empty($item) && empty($item_res)) $item_res = '0:1';
                if(empty($item)) $item = 1;
                $html .=    '<div class="brand-logo07 pull-right">';
                if(!empty($title)) $html .= '<span class="brand-title07">'.esc_html($title).'</span>';
                $html .=        '<div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-animation="fade" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=    '<div class="item-brand07"><a href="'.esc_url($value['link']).'" class="wobble-top">'.wp_get_attachment_image($value['image'],'full').'</a></div>';
                    }
                }
                $html .=        '</div>
                            </div>';
                break;

            default:
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $icon_html .= '<a class="wobble-vertical" href="'.esc_url($value['link']).'">'.wp_get_attachment_image($value['image'],'full').'</a>';
                    }
                }
                $html .=    '<div class="payment-method '.esc_attr($style).'">';
                $html .=        $icon_html;
                $html .=    '</div>';
                break;
        }
          
		return  $html;
    }
}

stp_reg_shortcode('sv_payment','s7upf_vc_payment');


vc_map( array(
    "name"      => esc_html__("SV Image link", 'isone'),
    "base"      => "sv_payment",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Style",'isone'),
            "param_name"    => "style",
            "value"         => array(
                esc_html__("Payment footer",'isone')    => 'text-center',
                esc_html__("Images slider (header home 7)",'isone')    => 'image-slider7',
                esc_html__("Testimonial slider (home 7)",'isone')    => 'tes-slider7',
                esc_html__("Category slider (home 8)",'isone')    => 'cat-slider8',
                esc_html__("Testimonial slider (home 8)",'isone')    => 'tes-slider8',
                esc_html__("Brands list (home 8)",'isone')    => 'brand-list8',
                esc_html__("Category list (home 8)",'isone')    => 'cat-list8',
                esc_html__("Images slider (home 10)",'isone')    => 'image-slider10',
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Title",'isone'),
            "param_name" => "title",
            "dependency"    => array(
                "element"   => 'style',
                "value"   => array('image-slider10','image-slider7','cat-slider8','tes-slider7','tes-slider8','brand-list8','cat-list8'),
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Description",'isone'),
            "param_name" => "des",
            "dependency"    => array(
                "element"   => 'style',
                "value"   => array('brand-list8'),
                )
        ),
		array(
            "type" => "param_group",
            "heading" => esc_html__("Add Image List",'isone'),
            "param_name" => "list",
            "params"    => array(
                array(
                    "type" => "attach_image",
                    "heading" => esc_html__("Image",'isone'),
                    "param_name" => "image",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Title",'isone'),
                    "param_name" => "title",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Description",'isone'),
                    "param_name" => "des",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Position",'isone'),
                    "param_name" => "pos",
                    "description" => esc_html__("Apply for testimonial item",'isone'),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Link",'isone'),
                    "param_name" => "link",
                ),
            )
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Item",'isone'),
            "param_name"    => "item",
            "group"         => esc_html__("Advanced Slider",'isone'),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Item Responsive",'isone'),
            "param_name"    => "item_res",
            "group"         => esc_html__("Advanced Slider",'isone'),
            'description'   => esc_html__( 'Enter item for screen width(px) format is width:value and separate values by ",". Example is 0:2,600:3,1000:4. Default is auto.', 'isone' ),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Speed",'isone'),
            "param_name"    => "speed",
            "group"         => esc_html__("Advanced Slider",'isone'),                    
        ),
    )
));