<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 15/12/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_lastest_post'))
{
    function s7upf_vc_lastest_post($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'     => '',
            'cats'      => '',
            'title'     => '',
            'icon'     => '',
            'number'    => '7',
            'order'     => 'DESC',
            'item'          => '',
            'item_res'      => '',
            'speed'         => '',
            'size'          => '',
        ),$attr));
        $args = array(
            'post_type'         => 'post',
            'posts_per_page'    => $number,
            'orderby'           => 'date',
            'order'             => $order,
        );
        if(!empty($cats)) {
            $custom_list = explode(",",$cats);
            $args['tax_query'][]=array(
                'taxonomy'=>'category',
                'field'=>'slug',
                'terms'=> $custom_list
            );
        }
        $query = new WP_Query($args);
        $count = 1;
        $count_query = $query->post_count;
        if(!empty($size)) $size = explode('x', $size);
        switch ($style) {
            case 'home10':
                if(empty($item) && empty($item_res)) $item_res = '0:1,640:2,990:3';
                if(empty($item)) $item = 3;
                if(empty($size)) $size = array(380,274);
                $html .=    '<div class="latest-news10-wrap">';
                if(!empty($title)) $html .=    '<h2 class="title30"><i class="fa '.esc_attr($icon).'"></i>'.esc_html($title).'</h2>';
                $html .=        '<div class="post-slider10">
                                    <div class="wrap-item group-navi navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        $html .=    '<div class="item-blog10 bg-white">';
                        if($count % 2 == 1){
                        $html .=        '<div class="banner-adv zoom-image">
                                            <a href="'.esc_url(get_the_permalink()).'" class="adv-thumb-link">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                            <a href="'.get_the_post_thumbnail_url(get_the_ID(),'full').'" class="post-zoom-link"></a>
                                        </div>';
                        }
                        $html .=        '<div class="blog-info">
                                            <h2 class="title18"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h2> 
                                            <p class="desc">'.s7upf_substr(get_the_excerpt(),0,100).'</p>
                                            <a href="'.esc_url(get_the_permalink()).'" class="shop-button font-bold">'.esc_html__("read more","isone").'</a>
                                        </div>';
                        if($count % 2 == 0){
                        $html .=        '<div class="banner-adv zoom-image">
                                            <a href="'.esc_url(get_the_permalink()).'" class="adv-thumb-link">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                            <a href="'.get_the_post_thumbnail_url(get_the_ID(),'full').'" class="post-zoom-link"></a>
                                        </div>';
                        }
                        $html .=    '</div>';
                        $count++;
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'home8':
                if(empty($item) && empty($item_res)) $item_res = '0:1,560:2';
                if(empty($item)) $item = 2;
                if(empty($size)) $size = array(270,270);
                $html .=    '<div class="latest-post-wrap8">
                                <h2 class="title30 white text-center"><i class="fa '.esc_attr($icon).'"></i>'.esc_html($title).'</h2>
                                <div class="latestnews-slider18">
                                    <div class="wrap-item navi-style2 smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        $html .=    '<div class="item-news18">
                                        <div class="row">
                                            <div class="col-md-6 col-sm-12 col-xs-12">
                                                <div class="post-thumb">
                                                    <a href="'.esc_url(get_the_permalink()).'" class="post-thumb-link">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                                    <a href="'.get_the_post_thumbnail_url(get_the_ID(),'full').'" class="post-zoom-link"></a>
                                                </div>
                                            </div>
                                            <div class="col-md-6 col-sm-12 col-xs-12">
                                                <div class="post-info white">
                                                    <h2 class="title18"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h2>
                                                    <p>'.s7upf_substr(get_the_excerpt(),0,80).'</p>
                                                    <ul class="list-none post-date-comment">
                                                        <li><i class="fa fa-comment" aria-hidden="true"></i><a href="'.esc_url( get_comments_link()).'">'.get_comments_number().'</a></li>
                                                        <li>'.get_avatar(get_the_author_meta('email'),29).'<a href="'.esc_url(get_author_posts_url(get_the_author_meta('ID'))).'">'.get_the_author().'</a></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'home7':
                if(empty($item) && empty($item_res)) $item_res = '0:1,560:2';
                if(empty($item)) $item = 2;
                if(empty($size)) $size = array(270,270);
                $html .=    '<div class="latest-post-wrap7">
                                <h2 class="title30 white text-center"><i class="fa '.esc_attr($icon).'"></i>'.esc_html($title).'</h2>
                                <div class="latestnews-slider18">
                                    <div class="wrap-item smart-slider arrow-style07" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        $html .=    '<div class="item-news18">
                                        <div class="row">
                                            <div class="col-md-6 col-sm-12 col-xs-12">
                                                <div class="post-thumb">
                                                    <a href="'.esc_url(get_the_permalink()).'" class="post-thumb-link">'.get_the_post_thumbnail(get_the_ID(),$size).'</a>
                                                    <a href="'.get_the_post_thumbnail_url(get_the_ID(),'full').'" class="post-zoom-link"></a>
                                                </div>
                                            </div>
                                            <div class="col-md-6 col-sm-12 col-xs-12">
                                                <div class="post-info white">
                                                    <h2 class="title18"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h2>
                                                    <p>'.s7upf_substr(get_the_excerpt(),0,80).'</p>
                                                    <ul class="list-none post-date-comment">
                                                        <li><i class="fa fa-comment" aria-hidden="true"></i><a href="'.esc_url( get_comments_link()).'">'.get_comments_number().'</a></li>
                                                        <li>'.get_avatar(get_the_author_meta('email'),29).'<a href="'.esc_url(get_author_posts_url(get_the_author_meta('ID'))).'">'.get_the_author().'</a></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'list-banner-scroll':
                if(empty($size)) $size = array(270,270);
                $html .=    '<div class="product-scroll-bar">';
                if(!empty($title)){
                $html .=        '<div class="title-box19">
                                    <span class="color"><i class="fa '.esc_attr($icon).'"></i> </span><h2 class="title18">'.esc_html($title).'</h2>
                                </div>';
                }
                $html .=        '<ul class="list-product-scroll list-none">';
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        $html .=        '<li>
                                            <div class="item-product-scroll table">
                                                <div class="product-thumb">
                                                    <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link zoom-thumb">
                                                        '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                    </a>
                                                </div>
                                                <div class="product-info post-info">
                                                    <ul class="post-date-comment">
                                                        <li><i class="fa fa-calendar-o" aria-hidden="true"></i><span>'.get_the_date('F d Y').'</span></li>
                                                    </ul>
                                                    <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                </div>
                                            </div>
                                        </li>';
                    }
                }
                $html .=        '</ul>
                            </div>';
                break;
            
            default:
                if(empty($size)) $size = array(270,270);
                $html .=    '<div class="product-scroll-bar">';
                if(!empty($title)){
                $html .=        '<div class="title-box19">
                                    <span class="color"><i class="fa '.esc_attr($icon).'"></i> </span><h2 class="title18">'.esc_html($title).'</h2>
                                </div>';
                }
                $html .=        '<ul class="list-product-scroll list-none">';
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        $html .=        '<li>
                                            <div class="item-product-scroll table">
                                                <div class="product-thumb">
                                                    <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link zoom-thumb">
                                                        '.get_the_post_thumbnail(get_the_ID(),$size).'
                                                    </a>
                                                </div>
                                                <div class="product-info post-info">
                                                    <ul class="post-date-comment">
                                                        <li><i class="fa fa-calendar-o" aria-hidden="true"></i><span>'.get_the_date('F d Y').'</span></li>
                                                    </ul>
                                                    <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                </div>
                                            </div>
                                        </li>';
                    }
                }
                $html .=        '</ul>
                            </div>';
                break;
        }
       
        wp_reset_postdata();
        return $html;
    }
}

stp_reg_shortcode('sv_lastest_post','s7upf_vc_lastest_post');

vc_map( array(
    "name"      => esc_html__("SV Latest Post", 'isone'),
    "base"      => "sv_lastest_post",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "holder" => "div",
            "heading" => esc_html__("Style",'isone'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Default",'isone')   => '',
                esc_html__("List Banner Scroll",'isone')   => 'list-banner-scroll',
                esc_html__("Home 7",'isone')   => 'home7',
                esc_html__("Home 8",'isone')   => 'home8',
                esc_html__("Home 10",'isone')   => 'home10',
                )
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__( 'Number post', 'isone' ),
            'param_name'  => 'number',
            'description' => esc_html__( 'Number posts are display. Default is 7.', 'isone' ),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__( 'Title', 'isone' ),
            'param_name'  => 'title',
        ),
        array(
            'type'          => 'iconpicker',
            'heading'       => esc_html__( 'Icon', 'isone' ),
            'param_name'    => 'icon',
            'value'         => '',
            'settings'      => array(
                'emptyIcon'     => true,
                'iconsPerPage'  => 4000,
            ),
            'description'   => esc_html__( 'Select icon from library.', 'isone' ),
        ),
        array(
            'holder'     => 'div',
            'heading'     => esc_html__( 'Categories', 'isone' ),
            'type'        => 'checkbox',
            'param_name'  => 'cats',
            'value'       => s7upf_list_taxonomy('category',false)
        ),
        array(
            'heading'     => esc_html__( 'Order', 'isone' ),
            'type'        => 'dropdown',
            'param_name'  => 'order',
            'value' => array(                   
                esc_html__('Desc','isone')  => 'DESC',
                esc_html__('Asc','isone')  => 'ASC',
            ),
            'description' => esc_html__( 'Select Order Type ', 'isone' ),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Size Thumbnail",'isone'),
            "param_name"    => "size",
            "group"         => esc_html__("Advanced",'isone'),
            'description'   => esc_html__( 'Enter site thumbnail to crop. [width]x[height]. Example is 300x300', 'isone' ),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Item",'isone'),
            "param_name"    => "item",
            "group"         => esc_html__("Advanced",'isone'),
            'description'   => esc_html__( 'Apply for slider style', 'isone' ),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Item Responsive",'isone'),
            "param_name"    => "item_res",
            "group"         => esc_html__("Advanced",'isone'),
            'description'   => esc_html__( 'Enter item for screen width(px) format is width:value and separate values by ",". Example is 0:2,600:3,1000:4. Default is auto. Apply for slider style', 'isone' ),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Speed",'isone'),
            "param_name"    => "speed",
            "group"         => esc_html__("Advanced",'isone'),
            'description'   => esc_html__( 'Apply for slider style', 'isone' ),
        ),
    )
));