<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_logo'))
{
    function s7upf_vc_logo($attr, $content = false)
    {
        $html = $logo = '';
        extract(shortcode_atts(array(
            'style'         => 'logo_img',
            'logo_img'      => '',
        ),$attr));
        switch ($style) {
            case 'logo-text':
                if(empty($content)) $content = get_bloginfo('name', 'display');
                $html .=    '<div class="logo">
                                <div class="text-logo">
                                    <h1 class="color">
                                    <a href="'.esc_url(get_home_url('/')).'">'. wpb_js_remove_wpautop($content, true).'</a>
                                    </h1>
                                </div>
                            </div>';
                break;
            
            default:
                if(!empty($logo_img)){
                    $html .=    '<div class="logo">
                                    <h1 class="hidden">'.get_bloginfo('name', 'display').'</h1>
                                    <a href="'.esc_url(get_home_url('/')).'">'.wp_get_attachment_image( $logo_img ,"full").'</a>   
                                </div>';             
                }
                break;
        }        
        return $html;
    }
}

stp_reg_shortcode('s7upf_logo','s7upf_vc_logo');

vc_map( array(
    "name"      => esc_html__("SV Logo", 'isone'),
    "base"      => "s7upf_logo",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            'holder'      => 'div',
            "heading" => esc_html__("Style",'isone'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Default",'isone')     => 'logo-img',
                esc_html__("Logo Text",'isone')     => 'logo-text',
                )
        ),
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Logo image",'isone'),
            "param_name" => "logo_img",
            "dependency"    => array(
                "element"   => "style",
                "value"   => "logo-img",
                )
        ),
        array(
            "type" => "textarea_html",
            "heading" => esc_html__("Text",'isone'),
            "param_name" => "content",
            "dependency"    => array(
                "element"   => "style",
                "value"   => "logo-text",
                )
        ),
    )
));