<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 26/12/15
 * Time: 10:00 AM
 */

if(!function_exists('sv_vc_mailchimp'))
{
    function sv_vc_mailchimp($attr, $content = false)
    {
        $html = $bg_class = '';
        extract(shortcode_atts(array(
            'style'         => 'footer-box',
            'title'         => '',
            'des'           => '',
            'placeholder'   => '',
            'submit'        => '',
            'form_id'       => '',
        ),$attr));
        $form_html = apply_filters('sv_remove_autofill',do_shortcode('[mc4wp_form id="'.$form_id.'"]'));
        switch ($style) {
            case 'footer-box footer-dark':
                 $html .=    '<div class="newsletter-form '.esc_attr($style).' sv-mailchimp-form" data-placeholder="'.$placeholder.'" data-submit="'.$submit.'">
                                <h2 class="title14">'.esc_html($title).'</h2>
                                '.$form_html.'
                            </div>';
                break;
            
            default:
                $html .=    '<div class="newsletter-form '.esc_attr($style).' sv-mailchimp-form" data-placeholder="'.$placeholder.'" data-submit="'.$submit.'">
                                <h2 class="title14 white">'.esc_html($title).'</h2>
                                '.$form_html.'
                            </div>';
                break;
        }        
        return $html;
    }
}

stp_reg_shortcode('sv_mailchimp','sv_vc_mailchimp');

vc_map( array(
    "name"      => esc_html__("SV MailChimp", 'isone'),
    "base"      => "sv_mailchimp",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            'holder'      => 'div',
            "heading" => esc_html__("Style",'isone'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Default",'isone')     => 'footer-box',
                esc_html__("Default Dark",'isone')     => 'footer-box footer-dark',
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Form ID",'isone'),
            "param_name" => "form_id",
        ),
        array(
            "type" => "textfield",
            'holder'      => 'div',
            "heading" => esc_html__("Title",'isone'),
            "param_name" => "title",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Placeholder Input",'isone'),
            "param_name" => "placeholder",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Submit Label",'isone'),
            "param_name" => "submit",
        ),
    )
));