<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 18/08/15
 * Time: 10:00 AM
 */
// Start 15/10/2016
if(!function_exists('s7upf_vc_menu'))
{
    function s7upf_vc_menu($attr,$content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'     => 'main-nav01',
            'menu'      => '',
            'hidden_menu'   => '',
        ),$attr));
        if(!empty($menu)){
            if($style == 'main-nav09') $html .=  '<div class="header-nav09"><a href="#" class="toggle-nav-button"></a>';
            $html .=    '<nav class="main-nav '.esc_attr($style.' '.$hidden_menu).'">';
                            ob_start();
                            wp_nav_menu( array(
                                'menu' => $menu,
                                'container'=>false,
                                'walker'=>new S7upf_Walker_Nav_Menu(),
                            ));
            $html .=        @ob_get_clean();
            if($style != 'main-nav09') $html .=        '<a href="#" class="toggle-mobile-menu"><span></span></a>';
            $html .=    '</nav>';
            if($style == 'main-nav09') $html .=  '</div>';
        }
        else{
            if($style == 'main-nav09') $html .=  '<div class="header-nav09"><a href="#" class="toggle-nav-button"></a>';
            $html .=    '<nav class="main-nav '.esc_attr($style.' '.$hidden_menu).'">';
                            ob_start();
                            wp_nav_menu( array(
                                'theme_location' => 'primary',
                                'container'=>false,
                                'walker'=>new S7upf_Walker_Nav_Menu(),
                            ));
            $html .=        @ob_get_clean();
            if($style != 'main-nav09') $html .=        '<a href="#" class="toggle-mobile-menu"><span></span></a>';
            $html .=    '</nav>';
            if($style == 'main-nav09') $html .=  '</div>';
        }        
        return $html;
    }
}

stp_reg_shortcode('sv_menu','s7upf_vc_menu');

vc_map( array(
    "name"      => esc_html__("SV Menu", 'isone'),
    "base"      => "sv_menu",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Style",'isone'),
            "param_name"        => "style",
            "value"             => array(
                                    esc_html__("Default",'isone')   => 'main-nav01',
                                    esc_html__("Home 7",'isone')   => 'main-nav01 main-nav07',
                                    esc_html__("Home 8",'isone')   => 'main-nav01 main-nav08',
                                    esc_html__("Home 9",'isone')   => 'main-nav09',
                                    esc_html__("Home 12",'isone')   => 'main-nav12',
                                )
        ),
        array(
            "type"              => "dropdown",
            "heading"           => esc_html__("Hidden menu on load",'isone'),
            "param_name"        => "hidden_menu",
            "value"             => array(
                                    esc_html__("Off",'isone')   => '',
                                    esc_html__("On",'isone')   => 'hidden-menu',
                                )
        ),
        array(
            'type'              => 'dropdown',
            'holder'            => 'div',
            'heading'           => esc_html__( 'Menu name', 'isone' ),
            'param_name'        => 'menu',
            'value'             => s7upf_list_menu_name(),
            'description'       => esc_html__( 'Select Menu name to display', 'isone' )
        ),
    )
));