<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */
if(class_exists("woocommerce")){
    if(!function_exists('s7upf_vc_mini_cart'))
    {
        function s7upf_vc_mini_cart($attr,$content = false)
        {
            $html = $header_cart_html = $info_content = '';
            extract(shortcode_atts(array(
                'style'         => 'mini-cart1',
            ),$attr));
            if(!is_admin()){
                $cart_url = "#";
                $cart_url = wc_get_cart_url();
                switch ($style) {
                    case 'variable':
                        # code...
                        break;
                    
                    default:
                        $header_cart_html = '<a class="mini-cart-link" href="'.esc_url($cart_url).'">
                                                <span class="mini-cart-icon"><i class="fa fa-shopping-basket" aria-hidden="true"></i></span>
                                                <span class="mini-cart-number border radius cart-item-count">0</span>
                                            </a>';
                        $html .=    '<div class="mini-cart-box '.$style.'">
                                        '.$header_cart_html.'
                                        <div class="mini-cart-content content-mini-cart">                                    
                                            <div class="mini-cart-main-content">'.s7upf_mini_cart().'</div>                    
                                            <input class="num-decimal" type="hidden" value="'.get_option("woocommerce_price_num_decimals").'">
                                            <input class="get-currency" type="hidden" value=".'.get_option("woocommerce_currency").'">
                                        </div>
                                    </div>';
                        break;
                }
            }
            return apply_filters('s7upf_tempalte_mini_cart',$html);
        }
    }

    stp_reg_shortcode('s7upf_mini_cart','s7upf_vc_mini_cart');

    vc_map( array(
        "name"      => esc_html__("SV Mini Cart", 'isone'),
        "base"      => "s7upf_mini_cart",
        "icon"      => "icon-st",
        "category"  => '7Up-theme',
        "params"    => array(
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Style",'isone'),
                "param_name" => "style",
                "value"     => array(
                    esc_html__("Default",'isone')   => 'mini-cart1',
                    esc_html__("Home 3",'isone')   => 'mini-cart3',
                    esc_html__("Home 6",'isone')   => 'mini-cart6',
                    esc_html__("Home 10",'isone')   => 'mini-cart10',
                    esc_html__("Home 17",'isone')   => 'mini-cart17',
                    esc_html__("Home 18",'isone')   => 'mini-cart18',
                    )
            ),            
        )
    ));
}