<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_product_intro'))
{
    function s7upf_vc_product_intro($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'      => 'default',
            'id'         => '',
            'time'       => '',
        ),$attr));
        if(!empty($id)){
            $product_query = new WP_Query( array(
                'post_type' => 'product',
                'post__in' => array($id)
            ));
            if($product_query->have_posts()) {
                while($product_query->have_posts()) {
                    $product_query->the_post();
                    global $product;
                    if(!empty($image)) $image_html = wp_get_attachment_image( $image, 'full');
                    else $image_html = get_the_post_thumbnail(get_the_ID(),'full');
                    switch ($style) {
                        case 'style2':
                            $thumb_id = array(get_post_thumbnail_id());
                            $attachment_ids = $product->get_gallery_image_ids();
                            $attachment_ids = array_merge($thumb_id,$attachment_ids);
                            $ul_block = ''; $i = 1;
                            foreach ( $attachment_ids as $attachment_id ) {
                                $image       = wp_get_attachment_image( $attachment_id, 'full');
                                if($i == 1) $active = 'active';
                                else $active = '';
                                $ul_block .= '<li><a href="#" class="'.esc_attr($active).'">'.$image.'</a></li>';
                                $i++;
                            }
                            $html .=    '<div class="gallery-function text-center">
                                            <div class="detail-gallery">
                                                <div class="mid">
                                                    '.$image_html.'
                                                </div>
                                                <div class="gallery-control">
                                                    <a href="#" class="prev"><i class="fa fa-angle-left"></i></a>
                                                    <div class="carousel">
                                                        <ul>
                                                            '.$ul_block.'
                                                        </ul>
                                                    </div>
                                                    <a href="#" class="next"><i class="fa fa-angle-right"></i></a>
                                                </div>
                                            </div>
                                            <div class="function-info-product">
                                                <h2 class="title24 font-bold"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h2>
                                                '.s7upf_get_price_html().'
                                                '.s7upf_addtocart_link('home13').'
                                            </div>
                                        </div>';
                            break;
                        
                        default:
                            $d_text = '[&quot;'.esc_html__("DAYS","isone").'&quot;,&quot;'.esc_html__("Hr","isone").'&quot;,&quot;'.esc_html__("Min","isone").'&quot;,&quot;'.esc_html__("Sec","isone").'&quot;]';
                            $ptime = ( $date = get_post_meta( get_the_ID(), '_sale_price_dates_to', true ) ) ? date_i18n( 'Y/m/d', $date ) : '';
                            if(!empty($ptime)) $data_time = $ptime;
                            else $data_time = $time;
                            $p_instock = $product->get_stock_quantity();
                            $sku = get_post_meta(get_the_ID(),'_sku',true);
                            $stock = $product->get_availability();
                            $stock_class = 'in-stock';
                            $from = $product->get_regular_price();
                            $to = $product->get_price();
                            $percent = $percent_html =  '';
                            if($from != $to && $from > 0){
                                $percent = round(($from-$to)/$from*100);            
                                $percent_html = '<span class="color"><span>'.$percent.'%</span> '.esc_html__("Off","isone").'</span> . ';
                            }
                            if(isset($stock['class'])) $stock_class = $stock['class'];
                            if(is_array($stock)){
                                if(!empty($stock['availability'])) $stock = $stock['availability'];
                                else {
                                    if($stock['class'] == 'in-stock') $stock = esc_html__("In stock","isone");
                                    else $stock = esc_html__("Out of stock","isone");
                                }
                            }
                            $html .=    '<div class=" product-best-featured13">
                                            <div class="row">
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <div class="item-product-deal11">
                                                        <div class="product-thumb">';
                            if(!empty($time)){
                                $html .=                    '<div class="time-countdown10">
                                                                <div class="time-countdown hidden-canvas" data-date="'.esc_attr($time).'" data-text="'.esc_attr($d_text).'"></div>
                                                            </div>';
                            }
                            $html .=                        '<a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                                                '.$image_html.'
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <div class="detail-info">
                                                        <h2 class="title-detail">'.get_the_title().'</h2>
                                                        '.s7upf_get_rating_html('shop-list').'
                                                        '.s7upf_get_price_html().'
                                                        <div class="available">
                                                            <strong>'.esc_html__("Availability:","isone").' </strong>
                                                            <span class="'.esc_attr($stock_class).'">'.$stock.'</span>
                                                        </div>
                                                        <p class="percent-config desc">';
                            $html .=    $percent_html;
                            if($p_instock) $html .=    esc_html__("Hurry, there are only ","isone") .$p_instock.esc_html__(" item(s) left!","isone");
                            $html .=                    '</p>
                                                        '.s7upf_addtocart_link('home13').'
                                                        <p class="desc product-desc">'.get_the_excerpt().'</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>';
                            break;
                    }                    
                }
            }
        }
        wp_reset_postdata();
        return $html;
    }
}

stp_reg_shortcode('s7upf_product_intro','s7upf_vc_product_intro');

vc_map( array(
    "name"      => esc_html__("SV Product Intro", 'isone'),
    "base"      => "s7upf_product_intro",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type"          => "dropdown",
            "holder"        => "div",
            "heading"       => esc_html__("Style Post",'isone'),
            "param_name"    => "style",
            "value"         => array(
                esc_html__("Style 1","isone")   => 'default',
                esc_html__("Style 2","isone")   => 'style2',
                ),
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "heading" => esc_html__("Product ID",'isone'),
            "param_name" => "id",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Time",'isone'),
            "param_name" => "time",
            'description'   => esc_html__( 'Enter time for countdown. Format is mm/dd/yyyy or mm/dd/yyyy hh:mm:ss. Example: 12/15/2017', 'isone' ),
            'dependency'    => array(
                'element'   => 'style',
                'value'   => array('default'),
                ),
        ),
    )
));