<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */
if(!function_exists('s7upf_vc_tab_slider_adv')){
    function s7upf_vc_tab_slider_adv($attr, $content = false){
        $html = $tab_html = $content_html = '';
        extract(shortcode_atts(array(
            'style'         => 'text-center',
            'title'         => '',
            'icon'          => '',
            'list'          => '',
            'des'           => '',
            'link'          => '',
            'item'          => '',
            'item_res'      => '',
            'speed'         => '',
            'item_adv'          => '',
            'item_res_adv'      => '',
            'speed_adv'         => '',
        ),$attr));
        $data = (array) vc_param_group_parse_atts( $list );
        if(empty($item) && empty($item_res)) $item_res = '0:2,480:3,640:4,768:5,860:6,1024:7,1200:8';
        if(empty($item)) $item = 8;
        if(empty($item_adv) && empty($item_res_adv)) $item_res_adv = '0:2,480:3,768:4,990:5,1200:6';
        if(empty($item_adv)) $item_adv = 6;
        if(is_array($data)){
            foreach ($data as $key => $value) {
                if(!isset($value['advs'])) $value['advs'] = '';                
                if($key == 0) $active = 'active';
                else $active = '';
                $tab_html .=    '<a href="'.esc_url($value['link']).'" data-advs="'.esc_attr($value['advs']).'" class="item-cat-brand '.esc_attr($active).'">
                                    '.wp_get_attachment_image($value['image'],'full').'
                                    <span>'.esc_html($value['title']).'</span>
                                </a>';
                if(!empty($value['advs']) && $key == 0){
                    $data2 = (array) vc_param_group_parse_atts( $value['advs'] );
                    foreach ($data2 as $key2 => $value2) {
                        $content_html .=   '<a href="'.esc_url($value2['link']).'" class="logo-cat-brand">
                                                '.wp_get_attachment_image($value2['image'],'full').'
                                            </a>';
                    }
                }
            }
        }
        $html .=    '<div class="brand-by-cat">';
        if(!empty($title)){
            $html .=    '<div class="title-box19">
                            <span class="color"><i class="fa '.esc_attr($icon).'"></i> </span><h2 class="title18">'.esc_html($title).'</h2>
                        </div>';
                    }
        $html .=        '<div class="content-brand-cat bg-white border">
                            <div class="brand-cat-slider">
                                <div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="" data-navigation="true">';
        $html .=                    $tab_html;
        $html .=                '</div>';
        $html .=                '<div class="list-cat-brand">
                                    <div class="item-brand-slider active">
                                        <div class="wrap-item smart-slider" data-item="'.esc_attr($item_adv).'" data-speed="'.esc_attr($speed_adv).'" data-itemres="'.esc_attr($item_res_adv).'" data-prev="" data-next="" data-pagination="" data-navigation="">';
        $html .=                            $content_html;
        $html .=                        '</div>
                                    </div>
                                </div>
                            </div>
                        </div>';
        $html .=    '</div>';
		return  $html;
    }
}

stp_reg_shortcode('sv_tab_slider_adv','s7upf_vc_tab_slider_adv');


vc_map( array(
    "name"      => esc_html__("SV Tab slider adv", 'isone'),
    "base"      => "sv_tab_slider_adv",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type'        => 'textfield',
            'holder'      => 'h3',
            'heading'     => esc_html__( 'Title', 'isone' ),
            'param_name'  => 'title',
        ),
        array(
            'type'          => 'iconpicker',
            'heading'       => esc_html__( 'Icon', 'isone' ),
            'param_name'    => 'icon',
            'value'         => '',
            'settings'      => array(
                'emptyIcon'     => true,
                'iconsPerPage'  => 4000,
            ),
            'description'   => esc_html__( 'Select icon from library.', 'isone' ),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Item",'isone'),
            "param_name"    => "item",
            "group"         => esc_html__("Advanced",'isone'),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Item Responsive",'isone'),
            "param_name"    => "item_res",
            "group"         => esc_html__("Advanced",'isone'),
            'description'   => esc_html__( 'Enter item for screen width(px) format is width:value and separate values by ",". Example is 0:2,600:3,1000:4. Default is auto.', 'isone' ),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Speed",'isone'),
            "param_name"    => "speed",
            "group"         => esc_html__("Advanced",'isone'),                    
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Item adv slider",'isone'),
            "param_name"    => "item_adv",
            "group"         => esc_html__("Advanced",'isone'),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Item Responsive adv slider",'isone'),
            "param_name"    => "item_res_adv",
            "group"         => esc_html__("Advanced",'isone'),
            'description'   => esc_html__( 'Enter item for screen width(px) format is width:value and separate values by ",". Example is 0:2,600:3,1000:4. Default is auto.', 'isone' ),
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Speed adv slider",'isone'),
            "param_name"    => "speed_adv",
            "group"         => esc_html__("Advanced",'isone'),                    
        ),
		array(
            "type" => "param_group",
            "heading" => esc_html__("Add Tab",'isone'),
            "param_name" => "list",
            "params"    => array(
                array(
                    "type" => "attach_image",
                    "heading" => esc_html__("Image",'isone'),
                    "param_name" => "image",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Title",'isone'),
                    "param_name" => "title",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Link",'isone'),
                    "param_name" => "link",
                ),              
                array(
                    "type" => "param_group",
                    "heading" => esc_html__("Add adv",'isone'),
                    "param_name" => "advs",
                    "params"    => array(
                        array(
                            "type" => "attach_image",
                            "heading" => esc_html__("Image",'isone'),
                            "param_name" => "image",
                        ),
                        array(
                            "type" => "textfield",
                            "heading" => esc_html__("Link",'isone'),
                            "param_name" => "link",
                        ),
                    )
                )
            )
        ),
    )
));
//Home 5
add_action( 'wp_ajax_load_tab_adv', 's7upf_load_tab_adv' );
add_action( 'wp_ajax_nopriv_load_tab_adv', 's7upf_load_tab_adv' );
if(!function_exists('s7upf_load_tab_adv')){
    function s7upf_load_tab_adv() {
        $data2         = $_POST['advs'];
        $content_html = '';
        $data2 = (array) vc_param_group_parse_atts( $data2 );
        foreach ($data2 as $key2 => $value2) {
            echo    '<a href="'.esc_url($value2['link']).'" class="logo-cat-brand">'.wp_get_attachment_image($value2['image'],'full').'</a>';
        }
        die();
    }
}