(function($){
    "use strict"; // Start of use strict

    /************** FUNCTION ****************/
    function tool_panel(){
    	$('.dm-open').on('click',function(){
    		$('#widget_indexdm').toggleClass('active');
    		$('.dm-content .item-content').hover(
    			function(){
    				$('#indexdm_img').addClass('active');
	    			var img_src = $(this).find('img').attr('data-src');
	    			$('.img-demo').css('display','block');
	    			$('.img-demo').css('background-image','url('+img_src+')');
	    		},
	    		function(){
	    			$('#indexdm_img').removeClass('active');
	    			$('.img-demo').attr('style','');
	    		}
    		);
    		return false;
    	})
    }
    function banner_scroll(){
    	$('.sidebar-scroll-wrap').each(function(){
    		var content_html = $(this).html();
    		$(this).remove();
    		$('.main-content article').append(content_html);
    	})
    	var wrap = $('.main-content article');
    	if($(window).width()>1300){
			if($('.content-full-sidebar').length>0){
				var ot = wrap.offset().top;
				var sh = wrap.innerHeight();
				var height = $('.sidebar-scroll').map(function (){
					return $(this).innerHeight();
				}).get();
				var dh = Math.max.apply(null, height);
				var st = $(window).scrollTop();
				console.log($('.fixed-header.active').innerHeight());
				var top = $(window).scrollTop() - ot;
				if(st>ot&&st<ot+sh-dh){
					wrap.addClass('onscroll');
					$('.onscroll .sidebar-scroll').css('top',top+Number($('.fixed-header.active').innerHeight())+'px');
				}else if(st<ot){
					$('.sidebar-scroll').css('top',0);
				}else{
					wrap.removeClass('onscroll');
				}
			}
		}else{
			$('.sidebar-scroll').css('top',0);
		}
    }
    function fix_custom_section_item_height(){
    	if($(window).width() > 667){
	    	var item_height = $('.content-from-cat .col-md-3').height();
	    	$('.content-from-cat .col-md-3').each(function(){
	    		var current_height = $(this).height();
	    		if(current_height > item_height) item_height = current_height;
	    	})
	    	$('.content-from-cat .custom-item-large > div').css('height',item_height);
	    	$('.content-from-cat .custom-list-small > div').css('height',item_height/3);
	    }
    }
    // Letter popup
    function letter_popup(){
    	//Popup letter
		var content = $('#boxes-content').html();
		$('#boxes-content').html('');
		if(content) $('body').append('<div id="boxes">'+content+'</div>');
		if($('#boxes').html() != ''){
			var id = '#dialog';	
			//Get the screen height and width
			var maskHeight = $(document).height();
			var maskWidth = $(window).width();
		
			//Set heigth and width to mask to fill up the whole screen
			$('#mask').css({'width':maskWidth,'height':maskHeight});
			
			//transition effect		
			$('#mask').fadeIn(500);	
			$('#mask').fadeTo("slow",0.9);	
		
			//Get the window height and width
			var winH = $(window).height();
			var winW = $(window).width();
	              
			//Set the popup window to center
			$(id).css('top',  winH/2-$(id).height()/2);
			$(id).css('left', winW/2-$(id).width()/2);
		
			//transition effect
			$(id).fadeIn(2000); 	
		
			//if close button is clicked
			$('.window .close-popup').on('click',function (e) {
				//Cancel the link behavior
				e.preventDefault();
				
				$('#mask').hide();
				$('.window').hide();
			});		
			
			//if mask is clicked
			$('#mask').on('click',function () {
				$(this).hide();
				$('.window').hide();
			});
		}
		//End popup letter
    }
    // Menu fixed
    function fixed_header(){
        var menu_element;
        menu_element = $('.main-nav:not(.menu-fixed-content)').closest('.vc_row');
        var column_element = $('.main-nav:not(.menu-fixed-content)').closest('.col-sm-12');
        if(column_element.length > 0 && !column_element.hasClass('col-md-9') && !column_element.hasClass('col-md-6') && !column_element.hasClass('col-md-4'))  menu_element = $('.main-nav:not(.menu-fixed-content)').closest('.col-sm-12');
        if($('.menu-fixed-enable').length > 0 && $(window).width()>1024){           
            var menu_class = $('.main-nav').attr('class');
            var header_height = $("#header").height()+100;
            var ht = header_height + 150;
            var st = $(window).scrollTop();

            if(!menu_element.hasClass('header-fixed') && menu_element.attr('data-vc-full-width') == 'true') menu_element.addClass('header-fixed');
            if(st>header_height){               
                if(menu_element.attr('data-vc-full-width') == 'true'){
                    if(st > ht) menu_element.addClass('active');
                    else menu_element.removeClass('active');
                    menu_element.addClass('fixed-header');
                }
                else{
                    if(st > ht) menu_element.parent().parent().addClass('active');
                    else menu_element.parent().parent().removeClass('active');
                    if(!menu_element.parent().parent().hasClass('fixed-header')){
                        menu_element.wrap( "<div class='menu-fixed-content fixed-header "+menu_class+"'><div class='container'></div></div>" );
                    }
                }
            }else{
                menu_element.removeClass('active');
                if(menu_element.attr('data-vc-full-width') == 'true') menu_element.removeClass('fixed-header');
                else{
                    if(menu_element.parent().parent().hasClass('fixed-header')){
                        menu_element.unwrap();
                        menu_element.unwrap();
                    }
                }
            }
        }
        else{
            menu_element.removeClass('active');
            if(menu_element.attr('data-vc-full-width') == 'true') menu_element.removeClass('fixed-header');
            else{
                if(menu_element.parent().parent().hasClass('fixed-header')){
                    menu_element.unwrap();
                    menu_element.unwrap();
                }
            }
        }
    }

    //Slider Background
	function background(){
		$('.bg-slider .item-bn,.bg-slider .item-banner,.bg-slider .item-slider').each(function(){
			var src=$(this).find('.banner-thumb a img').attr('src');
			$(this).find('.banner-thumb a img').css('height',$(this).find('.banner-thumb a img').attr('height'));
			$(this).css('background-image','url("'+src+'")');
		});	
	}
    //Detail Gallery
	function detail_gallery(){
		if($('.detail-gallery').length>0){
			$('.detail-gallery').each(function(){
				$(this).find(".carousel").jCarouselLite({
					btnNext: $(this).find(".gallery-control .next"),
					btnPrev: $(this).find(".gallery-control .prev"),
					speed: 800,
					visible:3,
				});
				//Elevate Zoom
				if($('.zoom-image-on').length>0){
					$(this).find('.mid img').elevateZoom({
						zoomType: "inner",
						cursor: "crosshair",
						zoomWindowFadeIn: 500,
						zoomWindowFadeOut: 750
					});
				}
				$(this).find(".carousel a").on('click',function(event) {
					event.preventDefault();
					$(this).parents('.detail-gallery').find(".carousel a").removeClass('active');
					$(this).addClass('active');
					$(this).parents('.detail-gallery').find(".mid img").attr("src", $(this).find('img').attr("src"));
					$(this).parents('.detail-gallery').find(".mid img").attr("alt", $(this).find('img').attr("alt"));
					$(this).parents('.detail-gallery').find(".mid img").attr("title", $(this).find('img').attr("title"));
					$(this).parents('.detail-gallery').find(".mid img").attr("srcset", $(this).find('img').attr("srcset"));
					var z_url = $(this).parents('.detail-gallery').find('.mid img').attr('src');
					if($('.zoom-image-on').length>0){
						$('.zoomWindow').css('background-image','url("'+z_url+'")');
						$.removeData($('.detail-gallery .mid img'), 'elevateZoom');//remove zoom instance from image
						$('.zoomContainer').remove();
						$('.detail-gallery .mid img').elevateZoom({
							zoomType: "inner",
							cursor: "crosshair",
							zoomWindowFadeIn: 500,
							zoomWindowFadeOut: 750
						});
					}
				});
			});
		}
	}
    function menu_responsive(){
    	//Menu Responsive
		$('.toggle-mobile-menu').on('click',function(event){
			event.preventDefault();
			$(this).parents('.main-nav').toggleClass('active');
		});
		$('.main-nav li.menu-item-has-children,.main-nav li.has-mega-menu').append('<span class="btn-toggle-mobile-menu"></span>');
		$('.main-nav li.menu-item-has-children>.btn-toggle-mobile-menu,.main-nav li.has-mega-menu>.btn-toggle-mobile-menu').on('click',function(event){
			if($(window).width()<768){
				$(this).toggleClass('active');
				$(this).prev().stop(true,false).slideToggle();
			}
		});
    }
    
    function fix_variable_product(){
    	//Fix product variable thumb   
    	$('input[name="variation_id"]').on('change',function(){
        	var id = $(this).val();
            var data = $('.variations_form').attr('data-product_variations');
            var curent_data = {};
            data = $.parseJSON(data);
            if(id){
            	for (var i = data.length - 1; i >= 0; i--) {
					if(data[i].variation_id == id) curent_data = data[i];
				};
				if('image_id' in curent_data){
					$('.detail-gallery .gallery-control').find('li a[data-image_id="'+curent_data.image_id+'"]').trigger( 'click' );
                }
            }          
        }) 	
        $('body .variations_form select').live('change',function(){
        	var text = $(this).val();
            $(this).parents('.attr-product').find('.current-color').html(text);
            var id = $('input[name="variation_id"]').val();
            if(id){
                $('.detail-gallery .gallery-control').find('li[data-image_id="'+id+'"] a').trigger( 'click' );            	
				var data = $('.variations_form').attr('data-product_variations');
				var curent_data;
				data = $.parseJSON(data);
				for (var i = data.length - 1; i >= 0; i--) {
					if(data[i].variation_id == id) curent_data = data[i];
				};
				console.log(curent_data);
				$('.total-current').attr('data-re_price',curent_data.display_price);
				$('.total-current').attr('data-price',curent_data.display_regular_price);
				$('.total-current').html(curent_data.display_price);
				$('.addcart-special').removeClass("disabled");
            }
            else $('.addcart-special').addClass("disabled");
        })
        // variable product
        if($('.wrap-attr-product.special').length > 0){
            $('.attr-filter ul li a').live('click',function(event){
                event.preventDefault();
                var text = $(this).html();
                $(this).parents('.attr-product').find('.current-color').html(text);
                $(this).parents('ul').find('li').removeClass('active');
                $(this).parents('ul').find('li a').removeClass('active');
                $(this).parent().addClass('active');
                $(this).addClass('active');
                var attribute = $(this).parent().attr('data-attribute');
                var select = $(this).parents('.attr-hover-box').next().find('select');
                select.val(attribute);
                select.trigger( 'change' );
                select.trigger( 'focusin' );
                return false;
            })
            $('.attr-hover-box').on('hover',function(){
                var seff = $(this);
                var old_html = $(this).find('ul').html();
                var current_val = $(this).find('ul li.active').attr('data-attribute');
                $(this).next().find('select').trigger( 'focusin' );
                var content = '';
                $(this).next().find('select').find('option').each(function(){
                    var val = $(this).attr('value');
                    var title = $(this).html();
                    var el_class = '';
                    var in_class = '';
                    if(current_val == val){
                    	el_class = ' class="active"';
                    	in_class = 'active';
                    }
                    if(val != ''){
                        content += '<li'+el_class+' data-attribute="'+val+'"><a href="#" class="bgcolor-'+val+' '+in_class+'"><span></span>'+title+'</a></li>';
                    }
                })
                if(old_html != content) $(this).find('ul').html(content);
            })
            $('body .reset_variations').live('click',function(){
                $('.attr-hover-box').each(function(){
                    var seff = $(this);
                    var old_html = $(this).find('ul').html();
                    var current_val = $(this).find('ul li.active').attr('data-attribute');
                    $(this).next().find('select').trigger( 'focusin' );
                    var content = '';
                    $(this).next().find('select').find('option').each(function(){
                        var val = $(this).attr('value');
                        var title = $(this).html();
                        var el_class = '';
                        var in_class = '';
	                    if(current_val == val){
	                    	el_class = ' class="active"';
	                    	in_class = 'active';
	                    }
                        if(val != ''){
	                        content += '<li'+el_class+' data-attribute="'+val+'"><a href="#" class="bgcolor-'+val+' '+in_class+'"><span></span>'+title+'</a></li>';
	                    }
                    })
                    if(old_html != content) $(this).find('ul').html(content);
                    $(this).find('ul li').removeClass('active');
                })
            })
        }
        //end
    }
    
    function afterAction(){
		this.$elem.find('.owl-item').each(function(){
			var check = $(this).hasClass('active');
			if(check==true){
				$(this).find('.animated').each(function(){
					var anime = $(this).attr('data-animated');
					$(this).addClass(anime);
				});
			}else{
				$(this).find('.animated').each(function(){
					var anime = $(this).attr('data-animated');
					$(this).removeClass(anime);
				});
			}
		})
	}
	function afterAction2(){
		if(this.$elem.parents('.lf-append,.title-tab-collect11').length > 0){
			var visible = this.owl.visibleItems;
			var first_item = visible[0];
			var last_item = visible[visible.length-1];
			this.$elem.find('.owl-item').removeClass('first-item');
			this.$elem.find('.owl-item').removeClass('last-item');
			this.$elem.find('.owl-item').eq(first_item).addClass('first-item');
			this.$elem.find('.owl-item').eq(last_item).addClass('last-item');
		}
	}
    function s7upf_qty_click(){
    	//QUANTITY CLICK
		$("body").on("click",".quantity .qty-up",function(){
            var min = $(this).prev().attr("min");
            var max = $(this).prev().attr("max");
            var step = $(this).prev().attr("step");
            if(step === undefined) step = 1;
            if(max !==undefined && Number($(this).prev().val())< Number(max) || max === undefined || max === ''){ 
                if(step!='') $(this).prev().val(Number($(this).prev().val())+Number(step));
            }
            $( 'div.woocommerce > form .button[name="update_cart"]' ).prop( 'disabled', false );
            return false;
        })
        $("body").on("click",".quantity .qty-down",function(){
            var min = $(this).next().attr("min");
            var max = $(this).next().attr("max");
            var step = $(this).next().attr("step");
            if(step === undefined) step = 1;
            if(Number($(this).next().val()) > 1){
	            if(min !==undefined && $(this).next().val()>min || min === undefined || min === ''){
	                if(step!='') $(this).next().val(Number($(this).next().val())-Number(step));
	            }
	        }
	        $( 'div.woocommerce > form .button[name="update_cart"]' ).prop( 'disabled', false );
	        return false;
        })
        $("body").on("keyup change","input.qty-val",function(){
        	$( 'div.woocommerce > form .button[name="update_cart"]' ).prop( 'disabled', false );
        })
		//END
    }
    
    function s7upf_owl_slider(){
    	//Carousel Slider
		if($('.sv-slider').length>0){
			$('.sv-slider').each(function(){
				var seff = $(this);
				var item = seff.attr('data-item');
				var speed = seff.attr('data-speed');
				var itemres = seff.attr('data-itemres');
				var animation = seff.attr('data-animation');
				var nav = seff.attr('data-nav');
				var text_prev = seff.attr('data-prev');
				var text_next = seff.attr('data-next');
				var pagination = false, navigation= true, singleItem = false;
				var autoplay;
				if(speed != '') autoplay = speed;
				else autoplay = false;
				// Navigation
				if(nav == 'nav-hidden'){
					pagination = false;
					navigation= false;
				}
				if(nav == 'superdeal-slider11' || nav == 'testimo-slider' || nav =='testimo-slider14'){
					pagination = true;
					navigation= false;
				}
				if(nav == 'banner-slider' || nav == 'banner-slider banner-slider08' || nav == 'banner-slider banner-slider12'){
					pagination = true;
					navigation= true;
				}
				if(animation != ''){
					singleItem = true;
					item = '1';
				}
				else animation = false;
				var prev_text = '<i class="fa fa-angle-left" aria-hidden="true"></i>';
				var next_text = '<i class="fa fa-angle-right" aria-hidden="true"></i>';
				if(nav == 'nav-text-data'){
					var prev_text = text_prev;
					var next_text = text_next;
				}
				if(itemres == '' || itemres === undefined){
					if(item == '1') itemres = '0:1,480:1,768:1,1200:1';
					if(item == '2') itemres = '0:1,480:1,768:2,1200:2';
					if(item == '3') itemres = '0:1,480:2,768:2,992:3';
					if(item == '4') itemres = '0:1,480:2,840:3,1200:4';
					if(item >= '5') itemres = '0:1,480:2,768:3,1024:4,1200:'+item;
				}				
				itemres = itemres.split(',');
				var i;
				for (i = 0; i < itemres.length; i++) { 
				    itemres[i] =  $.map(itemres[i].split(':'), function(value){
					    return parseInt(value, 10);
					});
				}
				seff.owlCarousel({
					items: item,
					itemsCustom: itemres,
					autoPlay:autoplay,
					pagination: pagination,
					navigation: navigation,
					navigationText:[prev_text,next_text],
					singleItem : singleItem,
					beforeInit:background,
					addClassActive : true,
					afterAction: afterAction,
					touchDrag: true,
					transitionStyle : animation
				});
			});			
		}
    }

    function s7upf_all_slider(seff,number){
    	if(!seff) seff = $('.smart-slider');
    	if(!number) number = '';
    	//Carousel Slider
		if(seff.length>0){
			seff.each(function(){
				var seff = $(this);
				var item = seff.attr('data-item'+number);
				var speed = seff.attr('data-speed');
				var itemres = seff.attr('data-itemres'+number);
				var text_prev = seff.attr('data-prev');
				var text_next = seff.attr('data-next');
				var pagination = seff.attr('data-pagination');
				var navigation = seff.attr('data-navigation');
				var animation = seff.attr('data-animation');
				var autoplay;
				var singleItem = false;
				if(animation != '' && animation !== undefined){
					singleItem = true;
					item = '1';
				}
				if(speed === undefined) speed = '';
				if(speed != '') autoplay = speed;
				else autoplay = false;
				if(item == '' || item === undefined) item = 1;
				if(itemres === undefined) itemres = '';
				if(text_prev == 'false') text_prev = '';
				else{
					if(text_prev == '' || text_prev === undefined) text_prev = '<i class="fa fa-angle-left" aria-hidden="true"></i>';
					else text_prev = '<i class="fa '+text_prev+'" aria-hidden="true"></i>';
				}
				if(text_next == 'false') text_next = '';
				else{
					if(text_next == '' || text_next === undefined) text_next = '<i class="fa fa-angle-right" aria-hidden="true"></i>';
					else text_next = '<i class="fa '+text_next+' aria-hidden="true"></i>';
				}
				if(pagination == 'true') pagination = true;
				else pagination = false;
				if(navigation == 'true') navigation = true;
				else navigation = false;
				// Item responsive
				if(itemres == '' || itemres === undefined){
					if(item == '1') itemres = '0:1,480:1,768:1,1200:1';
					if(item == '2') itemres = '0:1,480:1,768:2,1200:2';
					if(item == '3') itemres = '0:1,480:2,768:2,992:3';
					if(item == '4') itemres = '0:1,480:2,840:3,1200:4';
					if(item >= '5') itemres = '0:1,480:2,768:3,1200:'+item;
				}				
				itemres = itemres.split(',');
				var i;
				for (i = 0; i < itemres.length; i++) { 
				    itemres[i] =  $.map(itemres[i].split(':'), function(value){
					    return parseInt(value, 10);
					});
				}
				seff.owlCarousel({
					items: item,
					itemsCustom: itemres,
					autoPlay:autoplay,
					pagination: pagination,
					navigation: navigation,
					navigationText:[text_prev,text_next],
					addClassActive : true,
					touchDrag: true,
					singleItem : singleItem,
					transitionStyle : animation,
					afterAction: afterAction2,
				});
			});			
		}
    }

    /************ END FUNCTION **************/

	$(document).ready(function(){
		tool_panel();
		banner_scroll();
		$('.image-lightbox').on('click',function(event){
			event.preventDefault();
			var gallerys = $(this).attr('data-gallery');
			var gallerys_array = gallerys.split(',');
			var data = [];
			if(gallerys != ''){
				for (var i = 0; i < gallerys_array.length; i++) {
					if(gallerys_array[i] != ''){
						data[i] = {};
						data[i].href = gallerys_array[i];
					}
				};
			}
			$.fancybox.open(data);
			$('.zoomContainer').addClass('lightbox-opend');
		})
		//Control Video
		$('.btn-video-control').on('click',function(event) {
			event.preventDefault();
			$(this).parents('.banner-video13').toggleClass('active');
			var video = $(this).parents('.banner-video13').find('video');
			video.fadeIn();
			if (video.get(0).paused) {
				video.get(0).play();
			}
			else {
				video.get(0).pause();
			}
	    });
	    		
		//Tab Active
		if($('.item-collect11').length>0){
			$('.item-collect11 a').on('click',function(event){
				event.preventDefault();
				$(this).parents('.title-tab-collect11').find('.item-collect11').removeClass('active');
				$(this).parent().addClass('active');
			});
		}
		
		$('.header09,.header-main10').parents('.container').css('position','relative');
		// Submit load more sort form
		$('.loadmore-sort select').on('change',function(){
			$(this).parents('form').submit();
		})
		//Background Image
		if($('.adv-background').length>0){
			$('.adv-background').each(function(){
				var p_url = $(this).attr("data-image");
				$(this).css('background-image','url("'+p_url+'")');	
			});
		}
		//Time Countdown
		if($('.time-countdown').length>0){
			$(".time-countdown").each(function(){
				var data = $(this).data(); 
				$(this).TimeCircles({
					fg_width: data.width,
					bg_width: 0,
					text_size: 0,
					circle_bg_color: data.bg,
					time: {
						Days: {
							show: data.day,
							text: data.text[0],
							color: data.color,
						},
						Hours: {
							show: data.hou,
							text: data.text[1],
							color: data.color,
						},
						Minutes: {
							show: data.min,
							text: data.text[2],
							color: data.color,
						},
						Seconds: {
							show: data.sec,
							text: data.text[3],
							color: data.color,
						}
					}
				}); 
			});
		}
		// tab hover active
		$('.adv-custom-tab .vc_tta-tab > a').on('hover',function(){
			$(this).trigger('click');
		})
		$('.tab-hight-light').each(function(){
			var id = $(this).attr('id');
			$('a[href="#'+id+'"]').addClass('tab-hight-light');
		})
		//adv 2 column fix in tab content
		var elems = $(".df-col2");
		var wrapper = $('<div class="adv-col2-wrap row" />');
		var pArrLen = elems.length;
		for (var i = 0;i < pArrLen;i+=2){
		    elems.filter(':eq('+i+'),:eq('+(i+1)+')').wrapAll(wrapper);
		};		
		$(".df-col2").each(function(){
			$(this).wrapAll('<div class="col-md-6 col-sm-6 col-xs-6" />');
		})
		//end fix

		//Drop Box Hover
		$('.dropdown-box').on('mouseover',function(){
			$('body').addClass('overlay');
			$(this).addClass('active');
		}).on('mouseout',function(){
			$('body').removeClass('overlay');
			$(this).removeClass('active');
		});
		if($('.list-category-toggle:not(.mCustomScrollbar)').length>0){
			$(".list-category-toggle:not(.mCustomScrollbar)").mCustomScrollbar();
		}
		if($('.variations_form').length > 0){
			var id = $('input[name="variation_id"]').val();
			if(id == 0) $('.addcart-special').addClass("disabled");
		}
		$('.special-total-cart .qty-down').on('click',function(){
			$('.detail-extralink .qty-down').trigger('click');
			var price = $('.total-current').attr('data-price');
			var qty = $('.detail-qty input[name="quantity"]').val();
			var total = Number(price)*Number(qty);
			$('.total-current').html(total);
		})
		$('.special-total-cart .qty-up').on('click',function(){
			$('.detail-extralink .qty-up').trigger('click');
			var price = $('.total-current').attr('data-price');
			var qty = $('.detail-qty input[name="quantity"]').val();
			var total = Number(price)*Number(qty);
			$('.total-current').html(total);
		})
		//Add Cart Special
		$('.btn-get-coupon').fancybox({
			'closeBtn' : false 
		});
		//Get Coupon
		$('.btn-get-coupon').fancybox({
			'closeBtn' : false 
		});
		$('.close-light-box').on('click',function(event){
			event.preventDefault();
			$.fancybox.close(); 
		})
		letter_popup();
		menu_responsive();
		s7upf_qty_click();
		fix_variable_product();
		//menu fix home 8
		$('.title-cat-icon').on('click',function(){
			if($(this).closest('.vc_row').hasClass('fixed-header')) $(this).next().slideToggle('slow');
		})
		//Back To Top
		$('.scroll-top').on('click',function(event){
			event.preventDefault();
			$('html, body').animate({scrollTop:0}, 'slow');
		});
		//Animate
		new WOW().init();
		//Count item cart
        if($("#count-cart-item").length){
            var count_cart_item = $("#count-cart-item").val();
            $(".cart-item-count").html(count_cart_item);
        }
        //Widget Product Category
        $('.widget .product-categories li.cat-parent').first().addClass('active');
		$('.widget .product-categories li.cat-parent').first().find('ul').show();
		$('.widget .product-categories li.cat-parent > a').on('click',function(event){
			event.preventDefault();
			$(this).parent().toggleClass('active');
			$(this).next().slideToggle();
		});
		//Widget Toggle
		$('.widget-title').on('click',function(){
			$(this).toggleClass('active');
			$(this).next().slideToggle();
		});
		//Fix mailchimp
        $('.sv-mailchimp-form').each(function(){
            var placeholder = $(this).attr('data-placeholder');
            var submit = $(this).attr('data-submit');
            if(placeholder) $(this).find('input[name="EMAIL"]').attr('placeholder',placeholder);
            if(submit) $(this).find('input[type="submit"]').val(submit);
        })
        //Cat search
		$('.select-category .list-category-toggle li a').click(function(event){
			event.preventDefault();
			$(this).parents('.list-category-toggle').find('li').removeClass('active');
			$(this).parent().addClass('active');
			var x = $(this).attr('data-filter');
			if(x){
				x = x.replace('.','');
				$('.cat-value').val(x);
			}
			else $('.cat-value').val('');
			$('.category-toggle-link span').text($(this).text());
		});
		//Live search
		$('.live-search-on input[name="s"]').on('click',function(event){
			event.preventDefault();
			event.stopPropagation();
			$(this).parents('.live-search-on').addClass('active');
		})
		$('body').on('click',function(event){
			$('.live-search-on.active').removeClass('active');
			$(this).removeClass('lightbox-opend');
		})
		//Flash Count Down
		if($('.flash-countdown').length>0){
			$(".flash-countdown").TimeCircles({
				fg_width: 0.01,
				bg_width: 1.2,
				text_size: 0.07,
				circle_bg_color: "#ffffff",
				time: {
					Days: {
						show: true,
						text: "",
						color: "#f9bc02"
					},
					Hours: {
						show: true,
						text: "",
						color: "#f9bc02"
					},
					Minutes: {
						show: true,
						text: "",
						color: "#f9bc02"
					},
					Seconds: {
						show: true,
						text: "",
						color: "#f9bc02"
					}
				}
			}); 
		}
		if($('.deals-cowndown').length>0){
			$(".deals-cowndown").TimeCircles({
				fg_width: 0.01,
				bg_width: 1.2,
				text_size: 0.07,
				circle_bg_color: "#ffffff",
				time: {
					Days: {
						show: true,
						text: "d",
						color: "#f9bc02"
					},
					Hours: {
						show: true,
						text: "h",
						color: "#f9bc02"
					},
					Minutes: {
						show: true,
						text: "m",
						color: "#f9bc02"
					},
					Seconds: {
						show: true,
						text: "s",
						color: "#f9bc02"
					}
				}
			}); 
		}
		//Tag Toggle
		if($('.toggle-tab').length>0){
			$('.toggle-tab').each(function(){
				$(this).find('.item-toggle-tab').first().addClass('active');
				$(this).find('.item-toggle-tab').first().find('.toggle-tab-content').show();				
			});
		}
		$('.toggle-tab-title').on('click',function(){
			$(this).parent().siblings().removeClass('active');
			$(this).parent().toggleClass('active');
			$(this).parents('.toggle-tab').find('.toggle-tab-content').not($(this).next()).slideUp();
			$(this).next().slideToggle();
		});
	});

	/************ END READY **************/

	$(window).load(function(){		
		detail_gallery();
		s7upf_owl_slider();
		s7upf_all_slider();
		//Toggle Nav Home 9
		$('.toggle-nav-button').on('click',function(event){
			event.preventDefault();
			$(this).parent().toggleClass('active');
		});
		$('.header-nav09').height($(window).height());

		//Change z-index
		$('.brand-slider10 .owl-wrapper-outer .item-brand10').on('mouseover',function(){
			$(this).parents('.brand-slider10 .owl-wrapper-outer').css('z-index',9999);
		});
		$('.brand-slider10 .owl-wrapper-outer .item-brand10').on('mouseout',function(){
			$(this).parents('.brand-slider10 .owl-wrapper-outer').css('z-index',0);
		});

		$('.fix-row-bg').each(function(){
			var row_class = $(this).attr('class');
			row_class = row_class.replace('vc_row wpb_row','');
			$(this).removeClass(row_class);
			$(this).removeClass('fix-row-bg');
			$(this).wrap('<div class="wrap-vc-row'+row_class+'"></div>');
		})

		$('.top-banner19').each(function(){
			var src = $(this).find('img').attr('src');
			$(this).css('background-image','url('+src+')');
		})
		$('.top-banner19').on('click',function(){
			console.log('hjshn');
			window.location.href = $(this).find('a').attr('href');
		})
		$('.fix-slider-nav8').each(function(){
			var title_width = $(this).find('.title18 > span').width();
			$(this).find('.owl-controls').css('left',title_width + 20);
		})
		//img Light Box
		$('.post-zoom-link').fancybox();
		$('.price-sale').each(function(){
			var sale_html = $(this).find('.sale-content').html();
			$(this).find('.sale-content').remove();
			$(sale_html).insertAfter( $(this).find('.product-price').find('del'));
		})
		//Control Category Banner
		if($('.cat-pro3').length>0){
			$('.cat-pro3').each(function(){
				$(this).find('.hide-cat-banner').on('click',function(event){
					event.preventDefault();
					$(this).parents('.cat-pro3').addClass('hidden-banner');
				});
				$(this).find('.show-cat-banner').on('click',function(event){
					event.preventDefault();
					$(this).parents('.cat-pro3').removeClass('hidden-banner');
				});
			});
		}
		if($('.countdown-master').length>0){
			$('.countdown-master').each(function(){
				var seconds = Number($(this).attr('data-time'));
				$(this).FlipClock(seconds,{
			        clockFace: 'HourlyCounter',
			        countdown: true,
			        autoStart: true,
			    });
			});
		}
		// menu fixed onload
		$("#header").css('min-height','');
        if($(window).width()>1024){
            $("#header").css('min-height',$("#header").height());
            fixed_header();
        }
        else{
            $("#header").css('min-height','');
        }
		if($('.rtl-enable').length > 0){
            $('*[data-vc-full-width="true"]').each(function(){
                var style = $(this).attr('style');
                style = style.replace("left","right");
                $(this).attr('style',style);
            })
            $('*[data-vc-full-width="true"] > *[data-vc-full-width="true"]').each(function(){
                var style = $(this).parent().attr('style');
                $(this).attr('style',style);
            })
        }
        //Blog Masonry 
		if($('.content-blog-masonry').length>0){
			$('.content-blog-masonry').masonry({
				// options
				itemSelector: '.item-post-masonry',
			});
		}

		//BxSlider
		if($('.bxslider-banner').length>0){
			$('.bxslider-banner').each(function(){
				$(this).find('.bxslider').bxSlider({
					controls:false,
					pagerCustom: $(this).find('.bx-pager')
				});
			});
		}
		
		//Deal Count Down
		if($('.detail-countdown').length>0){
			$(".detail-countdown").TimeCircles({
				fg_width: 0.01,
				bg_width: 1.2,
				text_size: 0.07,
				circle_bg_color: "#ffffff",
				time: {
					Days: {
						show: true,
						text: "",
						color: "#f9bc02"
					},
					Hours: {
						show: true,
						text: "",
						color: "#f9bc02"
					},
					Minutes: {
						show: true,
						text: "",
						color: "#f9bc02"
					},
					Seconds: {
						show: true,
						text: "",
						color: "#f9bc02"
					}
				}
			}); 
		}
	
	});

	/************ END LOAD **************/
	var w_width = $(window).width();
	$(window).resize(function(){		
		$("#header").css('min-height','');		
		var c_width = $(window).width();
        setTimeout(function() {
            if($('.rtl-enable').length > 0 && c_width != w_width){
                $('*[data-vc-full-width="true"]').each(function(){
                    var style = $(this).attr('style');
                    style = style.replace(" left:"," right:");
                    $(this).attr('style',style);
                })
                $('*[data-vc-full-width="true"] > *[data-vc-full-width="true"]').each(function(){
	                var style = $(this).parent().attr('style');
	                $(this).attr('style',style);
	            })
                w_width = c_width;
            }
        }, 3000);
        $.removeData($('.detail-gallery .mid img'), 'elevateZoom');//remove zoom instance from image
		$('.zoomContainer').remove();
		$('.detail-gallery .mid img').elevateZoom({
			zoomType: "inner",
			cursor: "crosshair",
			zoomWindowFadeIn: 500,
			zoomWindowFadeOut: 750
		});
	});

	/************ END RESIZE **************/

	$(window).scroll(function(){
		banner_scroll();
		if($(window).width()>1024){
			var scrolled = $(this).scrollTop();
			$('.banner-video-parallax video').css('transform', 'translate3d(0, ' + (scrolled * 0.5) + 'px, 0)');
		}
		if($('.parallax-slider').length>0){
			var ot = $('.parallax-slider').offset().top;
			var sh = $('.parallax-slider').height();
			var st = $(window).scrollTop();
			var top = (($(window).scrollTop() - ot) * 0.5) + 'px';
			if(st>ot&&st<ot+sh){
				$('.parallax-slider .item-slider').css({
					'background-position': 'center ' + top
				});
			}else{
				$('.parallax-slider .item-slider').css({
					'background-position': 'center 0'
				});
			}
		}
		if($(window).width()>1024){
            $("#header").css('min-height',$("#header").height());
            fixed_header();
        }
        else{
            $("#header").css('min-height','');
        }
		//Scroll Top
		if($(this).scrollTop()>$(this).height()){
			$('.scroll-top').addClass('active');
		}else{
			$('.scroll-top').removeClass('active');
		}
		var count = 1;
		if($('#coupon-light-box').length > 0){
		  	if ($(window).scrollTop() > ($('body').height() / 2 - 250) && $(window).scrollTop() < ($('body').height() / 2 + 250)) {
		  		if (count == 1) {
			    	if (!$.cookie("first_visitor")) {
					    $('.btn-get-coupon').trigger('click');
					    count++;
					}				
					$.cookie("first_visitor", "visited");
				}
		  	}
		  }
	});

	/************ END SCROLL **************/

})(jQuery);